GNU bug report logs - #50201
[PATCH core-updates-frozen 0/52] Support cross-compilation in glib-or-gtk-build-system and fix cross-compilation errors

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Maxime Devos <maximedevos@HIDDEN>; Keywords: patch; Done: Mathieu Othacehe <othacehe@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 50201-done <at> debbugs.gnu.org:


Received: (at 50201-done) by debbugs.gnu.org; 20 Sep 2021 11:22:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 20 07:22:40 2021
Received: from localhost ([127.0.0.1]:41096 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mSHNf-0000XI-US
	for submit <at> debbugs.gnu.org; Mon, 20 Sep 2021 07:22:40 -0400
Received: from eggs.gnu.org ([209.51.188.92]:37604)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <othacehe@HIDDEN>) id 1mSHNd-0000X5-UU
 for 50201-done <at> debbugs.gnu.org; Mon, 20 Sep 2021 07:22:38 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56494)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <othacehe@HIDDEN>)
 id 1mSHNY-00041t-0U; Mon, 20 Sep 2021 07:22:32 -0400
Received: from [195.122.1.73] (port=42628 helo=meije)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <othacehe@HIDDEN>)
 id 1mSHNW-0004zw-K9; Mon, 20 Sep 2021 07:22:31 -0400
From: Mathieu Othacehe <othacehe@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: bug#50201: [PATCH core-updates-frozen 0/52] Support
 cross-compilation in glib-or-gtk-build-system and fix cross-compilation
 errors
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
 <20210825180332.5720-16-maximedevos@HIDDEN>
 <87v93n9jhz.fsf_-_@HIDDEN>
 <5130a9b285c92995481da3eee481033f0e26a9b2.camel@HIDDEN>
 <87czp4d0zz.fsf_-_@HIDDEN>
 <ea455e695f4904e176265ae739b6f0e335802550.camel@HIDDEN>
Date: Mon, 20 Sep 2021 11:22:27 +0000
In-Reply-To: <ea455e695f4904e176265ae739b6f0e335802550.camel@HIDDEN>
 (Maxime Devos's message of "Sun, 19 Sep 2021 20:25:51 +0200")
Message-ID: <87mto7sd8s.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50201-done
Cc: 50201-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Hello,

I pushed the series, with a minor modification to add a reference to our
discussion on introspection data cross-compilation.

It would be nice to remove the associated TODOs on core-updates while
this is still fresh.

Thanks for your work on that topic,

Mathieu




Notification sent to Maxime Devos <maximedevos@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Mathieu Othacehe <othacehe@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 19 Sep 2021 18:25:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 19 14:25:56 2021
Received: from localhost ([127.0.0.1]:39922 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mS1Vk-0005sP-JZ
	for submit <at> debbugs.gnu.org; Sun, 19 Sep 2021 14:25:56 -0400
Received: from baptiste.telenet-ops.be ([195.130.132.51]:53816)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mS1Vh-0005sF-5t
 for 50201 <at> debbugs.gnu.org; Sun, 19 Sep 2021 14:25:55 -0400
Received: from ptr-bvsjgyjmffd7q9timvx.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by baptiste.telenet-ops.be with bizsmtp
 id vuRr2500E0mfAB401uRr4Q; Sun, 19 Sep 2021 20:25:52 +0200
Message-ID: <ea455e695f4904e176265ae739b6f0e335802550.camel@HIDDEN>
Subject: Re: bug#50201: [PATCH core-updates-frozen 0/52] Support
 cross-compilation in glib-or-gtk-build-system and fix cross-compilation
 errors
From: Maxime Devos <maximedevos@HIDDEN>
To: Mathieu Othacehe <othacehe@HIDDEN>
Date: Sun, 19 Sep 2021 20:25:51 +0200
In-Reply-To: <87czp4d0zz.fsf_-_@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
 <20210825180332.5720-16-maximedevos@HIDDEN> <87v93n9jhz.fsf_-_@HIDDEN>
 <5130a9b285c92995481da3eee481033f0e26a9b2.camel@HIDDEN>
 <87czp4d0zz.fsf_-_@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-ICAHAh+i77tnDBKisKp8"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1632075952; bh=n3My/EHu7fq+G1pXegNl8aez7Yvbe7o7Gg9PZ8EzHh4=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=gzizNXC5vQXs7vkLgE4PXCeIgbbbHLS3TqWGigjRGDpwqhJk04wFBLPoxBMUOlbJm
 NrEgh3L5C196T9ld0cFRlp3j6/1rX+MtPAfYirqvqM0IvCAyzUoS6Na3GzIdlyG2u5
 dHj70pq7QqKO/OV2Dnj4m7CXboFGLloUFYhyDSwh5KRrO1spJhbHWquYG+O2QvXaVQ
 2gA8iiaO5B9/S8wjkoOEl0zNM5BktpSXqn3lzuKNtCbK+3W+QbvsElxq/hgfPl6aiv
 eWSERaxplJbwlWBHdyxZQBg2U/hr7olq8ZrG8110dtb5CIyWES2KKt6KgN8tI8XdOc
 ODKp4CKUpJJ8g==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: 50201 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-ICAHAh+i77tnDBKisKp8
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Mathieu Othacehe schreef op zo 19-09-2021 om 15:43 [+0000]:
> Hello Maxime,
>=20
> > Indeed.  I attached a patch independent of python's version number,
> > to be squashed in the v2 patch series.
>=20
> Nice, thanks. The series doesn't apply anymore, would you have a branch
> somewhere that I could use?

The merge conflicts were trivial (in the copyright lines).
Anyway, you could find a rebased branch at <https://notabug.org/maximed/gui=
x-gnunet/src/gtk-cross-fixes1>
(untested) (commit: 3936dfc4d1c29bb5311caa3597ca272c8326f0c3).

Greetings,
Maxime.

--=-ICAHAh+i77tnDBKisKp8
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYUeArxccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7o4SAQD4ae4O0UW1dj0m/7kGTVi9PNfc
9k/9EverTGocy6EF1wD8Cf/mY50MVhOGL3Cv2NmtI3Eqg7ZvOkKx2XlAdhDwzwc=
=zT1b
-----END PGP SIGNATURE-----

--=-ICAHAh+i77tnDBKisKp8--





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 19 Sep 2021 15:44:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 19 11:44:00 2021
Received: from localhost ([127.0.0.1]:39609 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mRyz2-0007aX-7c
	for submit <at> debbugs.gnu.org; Sun, 19 Sep 2021 11:44:00 -0400
Received: from eggs.gnu.org ([209.51.188.92]:47820)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <othacehe@HIDDEN>) id 1mRyyz-0007aI-EG
 for 50201 <at> debbugs.gnu.org; Sun, 19 Sep 2021 11:43:58 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:55974)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <othacehe@HIDDEN>)
 id 1mRyyt-0008N6-4D; Sun, 19 Sep 2021 11:43:51 -0400
Received: from [178.250.34.74] (port=33552 helo=meije)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <othacehe@HIDDEN>)
 id 1mRyyp-000243-42; Sun, 19 Sep 2021 11:43:51 -0400
From: Mathieu Othacehe <othacehe@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: bug#50201: [PATCH core-updates-frozen 0/52] Support
 cross-compilation in glib-or-gtk-build-system and fix cross-compilation
 errors
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
 <20210825180332.5720-16-maximedevos@HIDDEN>
 <87v93n9jhz.fsf_-_@HIDDEN>
 <5130a9b285c92995481da3eee481033f0e26a9b2.camel@HIDDEN>
Date: Sun, 19 Sep 2021 15:43:44 +0000
In-Reply-To: <5130a9b285c92995481da3eee481033f0e26a9b2.camel@HIDDEN>
 (Maxime Devos's message of "Fri, 03 Sep 2021 14:35:57 +0200")
Message-ID: <87czp4d0zz.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50201
Cc: 50201 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Hello Maxime,

> Indeed.  I attached a patch independent of python's version number,
> to be squashed in the v2 patch series.

Nice, thanks. The series doesn't apply anymore, would you have a branch
somewhere that I could use?

Mathieu




Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 11 Sep 2021 21:30:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 11 17:30:40 2021
Received: from localhost ([127.0.0.1]:41533 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mPAa7-0005ym-Om
	for submit <at> debbugs.gnu.org; Sat, 11 Sep 2021 17:30:39 -0400
Received: from michel.telenet-ops.be ([195.130.137.88]:51314)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mPAa5-0005yc-Db
 for 50201 <at> debbugs.gnu.org; Sat, 11 Sep 2021 17:30:38 -0400
Received: from butterfly.local ([213.119.184.220])
 by michel.telenet-ops.be with bizsmtp
 id slWW250044ljsT106lWXVQ; Sat, 11 Sep 2021 23:30:36 +0200
Message-ID: <5935c21da5ac42db20ccbcb41535d34f7443b669.camel@HIDDEN>
Subject: Re: bug#50201: [PATCH core-updates-frozen 0/52] Support
 cross-compilation in glib-or-gtk-build-system and fix cross-compilation
 errors
From: Maxime Devos <maximedevos@HIDDEN>
To: Mathieu Othacehe <othacehe@HIDDEN>
Date: Sat, 11 Sep 2021 23:30:25 +0200
In-Reply-To: <87r1ea54g2.fsf@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
 <20210825180332.5720-17-maximedevos@HIDDEN> <87sfyr9jff.fsf_-_@HIDDEN>
 <8b124a24c7ffc56efcb0b44b064bce0ff0085123.camel@HIDDEN>
 <87r1ea54g2.fsf@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-YgVqJ+0J50CbgC/YWHjZ"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1631395836; bh=jATHIhW4IUqKVxf6wlrAoBdxIJbtcFKsZuekNzh7hXo=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=U/4sLM/ioUnN5r+WRngmU2v5V6ne0fj3dUQuKcbeXk3WX80zHDkt5hG1bAx9cltO6
 z2dMYGPbnU8w95cRiVbXjyd+j03orDu70T48e++8TcWsC6WdEOw+Qr2WAHmFiTBPa0
 cLDXOezCEiJ12G9TP0onB2HQQSwHtv5uWyJNnSic2JiOOggbNvaaj+Sf/jeP5vfjUT
 NZZpDLoJa5xysb2vUWUWNTDWEBPQ4mSEkgX7uP9vPUh2MhCMqPCR28qbc4hQBJtLG5
 DRfJ2iHuMtOjjZMwqEuGD/ojbx7HqvfJ7cISC3VNIeDtKVg/99l4coZ8bid9QnQ43B
 OflAlvhdfKj4A==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: 50201 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-YgVqJ+0J50CbgC/YWHjZ
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Mathieu Othacehe schreef op di 31-08-2021 om 11:49 [+0200]:
> Hey,
>=20
> Thanks for investigating it.
>=20
> > One =E2=80=98solution=E2=80=99 is to run g-ir-scanner under QEMU:
> > <https://maxice8.github.io/8-cross-the-gir/>;.  That isn't really cross=
-compilation
> > though, but emulated compilation, so it won't work with the Hurd.
> > Might be good enough for cross-compiling between Linux targets though .=
..
>=20
> Yes, looks like some projects such as Yocto[1] and Void[2] are also
> using this solution.Requiring transparent emulating through QEMU while
> cross-compiling will for sure make the process more complex.

FWIW, IIUC, qemu-binfmt-style _transparent_ emulation is not required.  "me=
son" can
be told where to find the QEMU binary, with an option in the =E2=80=98cross=
 file=E2=80=99.

Greetings,
Maxime.

--=-YgVqJ+0J50CbgC/YWHjZ
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYT0f8RccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7oBeAP99fczzbU+qF8ewJIa7LjN5eezM
4P3+5aJzylrLxXU40AEArZe8JLhGZAqWZVsl7ZUc1+RPrC/Iw1iTK2swpz053Ag=
=OlQV
-----END PGP SIGNATURE-----

--=-YgVqJ+0J50CbgC/YWHjZ--





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 3 Sep 2021 12:36:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 03 08:36:10 2021
Received: from localhost ([127.0.0.1]:43263 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mM8QU-0000Kh-5n
	for submit <at> debbugs.gnu.org; Fri, 03 Sep 2021 08:36:10 -0400
Received: from laurent.telenet-ops.be ([195.130.137.89]:56108)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mM8QO-0000KW-Pv
 for 50201 <at> debbugs.gnu.org; Fri, 03 Sep 2021 08:36:08 -0400
Received: from ptr-bvsjgyjmffd7q9timvx.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by laurent.telenet-ops.be with bizsmtp
 id pQc22500h0mfAB401Qc3AZ; Fri, 03 Sep 2021 14:36:03 +0200
Message-ID: <5130a9b285c92995481da3eee481033f0e26a9b2.camel@HIDDEN>
Subject: Re: bug#50201: [PATCH core-updates-frozen 0/52] Support
 cross-compilation in glib-or-gtk-build-system and fix cross-compilation
 errors
From: Maxime Devos <maximedevos@HIDDEN>
To: Mathieu Othacehe <othacehe@HIDDEN>
Date: Fri, 03 Sep 2021 14:35:57 +0200
In-Reply-To: <87v93n9jhz.fsf_-_@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
 <20210825180332.5720-16-maximedevos@HIDDEN> <87v93n9jhz.fsf_-_@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-7hm+6xBMYiXTxRhA/cmJ"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1630672563; bh=Mbjd1ohax6NeWqm5FsL8HlWCkPtnKTHmSn0L61yi63s=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=alF9tDnn/DboFcCi/T1gvCbc2yBCODCFnwoe+ho0NZIAcSLlWOuQX2FJ9NOWiKme3
 /jVOYLzJTy4uq2Xt3NePBK+PaOJV9btvbUZT6uobmm7YRMYzPUfbQoqsuQSwuh3RWL
 E9BE1SEwczaO3m2FydyO6E+HQADrmLhwXnU0agQAICFR6p9j4ocxdSFdDUmMf0Cpsp
 SmVcNo7PiyQh15VRo8WDrJMtFhFD4J/pLgxFz//5UyxC+n00GmcnQDbVwgp74HfqE+
 TpC5BN1ZRF8fgfeGfC8WLxatAsCsplhUon9oIlO+VFREwylyBsstV28i+ZuKgWW3fB
 jGlaOUOZ9YllA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: 50201 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-7hm+6xBMYiXTxRhA/cmJ
Content-Type: multipart/mixed; boundary="=-wSsf671hruPWVu5UdgCT"


--=-wSsf671hruPWVu5UdgCT
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

                                                                      Mathi=
eu Othacehe schreef op ma 30-08-2021 om 14:58 [+0200]:
> Hey,
>=20
> > +                         (string-append dir "/_giscanner.cpython-39-"
> > +                                        (normalise-system system) ".so=
"))
>=20
> Won't this be "cpython-310-" or so when we will update the Python
> package definition?

Indeed.  I attached a patch independent of python's version number,
to be squashed in the v2 patch series.

Greetings,
Maxime

--=-wSsf671hruPWVu5UdgCT
Content-Disposition: inline;
	filename*0=0001-SQUASH-gobject-introspection-C-extension-correction.patc;
	filename*1=h
Content-Type: text/x-patch;
	name="0001-SQUASH-gobject-introspection-C-extension-correction.patch";
	charset="UTF-8"
Content-Transfer-Encoding: base64
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==


--=-wSsf671hruPWVu5UdgCT--

--=-7hm+6xBMYiXTxRhA/cmJ
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYTIWrRccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7iUFAPwKVIVXlyFBZVZDDzv7hm0GkZhX
Vqoz7uv/afaWTbIVLAEAnICQB6F0D4s8a4bNuN6LWDh34CTw9kqYChaw15fGeAE=
=Ujyx
-----END PGP SIGNATURE-----

--=-7hm+6xBMYiXTxRhA/cmJ--





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 2 Sep 2021 14:53:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 02 10:53:12 2021
Received: from localhost ([127.0.0.1]:41723 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mLo5X-0004qk-V6
	for submit <at> debbugs.gnu.org; Thu, 02 Sep 2021 10:53:12 -0400
Received: from michel.telenet-ops.be ([195.130.137.88]:56674)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mLo5U-0004qa-WB
 for 50201 <at> debbugs.gnu.org; Thu, 02 Sep 2021 10:53:10 -0400
Received: from ptr-bvsjgyjmffd7q9timvx.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by michel.telenet-ops.be with bizsmtp
 id p2t6250010mfAB4062t6Kp; Thu, 02 Sep 2021 16:53:07 +0200
Message-ID: <9dad287d9cc30856642f3dda45667ebcb12dc2c9.camel@HIDDEN>
Subject: Re: bug#50201: [PATCH core-updates-frozen 0/52] Support
 cross-compilation in glib-or-gtk-build-system and fix cross-compilation
 errors
From: Maxime Devos <maximedevos@HIDDEN>
To: Mathieu Othacehe <othacehe@HIDDEN>
Date: Thu, 02 Sep 2021 16:53:00 +0200
In-Reply-To: <87pmtv9iu8.fsf_-_@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
 <20210825180332.5720-45-maximedevos@HIDDEN> <87pmtv9iu8.fsf_-_@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-BsovCW8Qtw5l3vnemQt8"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1630594387; bh=HbFJ+tbtnBDl9JRwuyE9+Z/E1UgYc0+SgAAhWZMAsR4=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=sgjbeHVD/DEHDNg6z8jRaOYCut+K1lD+HcfSx3iyRx10FOWc2rsMoECmCCma+Y0ba
 /3khRovzCaHp7dEEkicXYlAR2pA3VvVFMTt5y9hnd4Lkdb7h5xxssA9Cmq2JVx+Ts0
 q9s4i87+9u+Jgck4ua3uuUx54PrvgW8M+n5dEfyBQgdhw/qSwg/5Tz9nI96MmkisLB
 IDgrG0v7g0vjW1WBhyHNi7GUwUdz7ZMreGH7hD4c8oXxvAT4GjjENWyixJYNsFuZbF
 ferDY5phwADb1ILiGIwwwx8wCHiXlJkF9sSBM22WS1oUgk4rFXlYKAZ4FPNpqp/FOE
 UFeJrmB2JF5hA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: 50201 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-BsovCW8Qtw5l3vnemQt8
Content-Type: multipart/mixed; boundary="=-bpdLuu03P1ybinP3kuWu"


--=-bpdLuu03P1ybinP3kuWu
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Mathieu Othacehe schreef op ma 30-08-2021 om 15:13 [+0200]:
> Hey,
>=20
> > +    (native-search-paths
> > +     (list (search-path-specification
> > +            (variable "PKG_CONFIG_PATH_FOR_BUILD")
> > +            (files '("lib/pkgconfig" "lib64/pkgconfig" "share/pkgconfi=
g")))))))
>=20
> You could maybe extract the files list from the %pkg-config definition
> not to duplicate it?

Done in local checkout.  Also, the package inherits from %pkg-config instea=
d
of pkg-config now (doesn't change the derivations but seems more proper).

Let me now when I should send a v2 (I'll look into the cpython-39 issue fir=
st).

Greetings,
Maxime

--=-bpdLuu03P1ybinP3kuWu
Content-Disposition: inline;
	filename*0=0001-SQUASH-pkg-config-Inherit-pkg-config-search-path-spe.pat;
	filename*1=ch
Content-Transfer-Encoding: base64
Content-Type: text/x-patch;
	name="0001-SQUASH-pkg-config-Inherit-pkg-config-search-path-spe.patch";
	charset="UTF-8"

RnJvbSA4NDAzZjk3ZWFjMzU0YTAyZWZhOTJmMGEzY2VkN2M5NTUyM2ZhZDEyIE1vbiBTZXAgMTcg
MDA6MDA6MDAgMjAwMQpGcm9tOiBNYXhpbWUgRGV2b3MgPG1heGltZWRldm9zQHRlbGVuZXQuYmU+
CkRhdGU6IFRodSwgMiBTZXAgMjAyMSAxNToxODo1NCArMDIwMApTdWJqZWN0OiBbUEFUQ0hdIFNR
VUFTSCEgcGtnLWNvbmZpZyEgSW5oZXJpdCAlcGtnLWNvbmZpZyAmIHNlYXJjaC1wYXRoLXNwZWMK
Ci0tLQogZ251L3BhY2thZ2VzL3BrZy1jb25maWcuc2NtIHwgMTAgKysrKysrLS0tLQogMSBmaWxl
IGNoYW5nZWQsIDYgaW5zZXJ0aW9ucygrKSwgNCBkZWxldGlvbnMoLSkKCmRpZmYgLS1naXQgYS9n
bnUvcGFja2FnZXMvcGtnLWNvbmZpZy5zY20gYi9nbnUvcGFja2FnZXMvcGtnLWNvbmZpZy5zY20K
aW5kZXggOWQxNTg4MzM4ZS4uMmI0MTczYTdkYiAxMDA2NDQKLS0tIGEvZ251L3BhY2thZ2VzL3Br
Zy1jb25maWcuc2NtCisrKyBiL2dudS9wYWNrYWdlcy9wa2ctY29uZmlnLnNjbQpAQCAtMTM5LDcg
KzEzOSw3IEBAIGJ1aWxkLCBvciBhIEdOVSB0cmlwbGV0LiIKIDs7IHdvcmsgYmVjYXVzZSB0aGV5
IGJvdGggdXNlIHRoZSAiUEtHX0NPTkZJR19QQVRIIiBlbnZpcm9ubWVudCB2YXJpYWJsZS4KIChk
ZWZpbmUtcHVibGljIHBrZy1jb25maWctZm9yLWJ1aWxkCiAgIChwYWNrYWdlCi0gICAgKGluaGVy
aXQgKGhpZGRlbi1wYWNrYWdlIHBrZy1jb25maWcpKQorICAgIChpbmhlcml0IChoaWRkZW4tcGFj
a2FnZSAlcGtnLWNvbmZpZykpCiAgICAgKG5hbWUgInBrZy1jb25maWctZm9yLWJ1aWxkIikKICAg
ICAodmVyc2lvbiAiMCIpCiAgICAgKHNvdXJjZSAjZikKQEAgLTE2Myw2ICsxNjMsOCBAQCBleGVj
IH5hIFwiJEBcIiIKICAgICAgICAgICAgICAgICAgICAgICAgIChzZWFyY2gtaW5wdXQtZmlsZSAl
YnVpbGQtaW5wdXRzICJiaW4vcGtnLWNvbmZpZyIpKSkpCiAgICAgICAgICAgICAoY2htb2Qgd2hl
cmUgI281MDApKSkpCiAgICAgKG5hdGl2ZS1zZWFyY2gtcGF0aHMKLSAgICAgKGxpc3QgKHNlYXJj
aC1wYXRoLXNwZWNpZmljYXRpb24KLSAgICAgICAgICAgICh2YXJpYWJsZSAiUEtHX0NPTkZJR19Q
QVRIX0ZPUl9CVUlMRCIpCi0gICAgICAgICAgICAoZmlsZXMgJygibGliL3BrZ2NvbmZpZyIgImxp
YjY0L3BrZ2NvbmZpZyIgInNoYXJlL3BrZ2NvbmZpZyIpKSkpKSkpCisgICAgIChtYXAgKGxhbWJk
YSAob3JpZ2luYWwpCisgICAgICAgICAgICAoc2VhcmNoLXBhdGgtc3BlY2lmaWNhdGlvbgorICAg
ICAgICAgICAgIChpbmhlcml0IG9yaWdpbmFsKQorICAgICAgICAgICAgICh2YXJpYWJsZSAiUEtH
X0NPTkZJR19GT1JfQlVJTEQiKSkpCisgICAgICAgICAgKHBhY2thZ2UtbmF0aXZlLXNlYXJjaC1w
YXRocyAlcGtnLWNvbmZpZykpKSkpCi0tIAoyLjMzLjAKCg==


--=-bpdLuu03P1ybinP3kuWu--

--=-BsovCW8Qtw5l3vnemQt8
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYTDlTRccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7g1MAP4u0JSC1ADQdM2X8PCko/vu5TAk
Tg/vfBH3ovHYwNoKCwD/dlLQpi1aD9ebHWNBhG8TXkPrA5K80kO5NJ644h5TBwA=
=srfM
-----END PGP SIGNATURE-----

--=-BsovCW8Qtw5l3vnemQt8--





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 31 Aug 2021 09:50:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 31 05:50:00 2021
Received: from localhost ([127.0.0.1]:33071 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mL0P2-0002Xs-5Y
	for submit <at> debbugs.gnu.org; Tue, 31 Aug 2021 05:50:00 -0400
Received: from eggs.gnu.org ([209.51.188.92]:34216)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <othacehe@HIDDEN>) id 1mL0Oz-0002Xe-I2
 for 50201 <at> debbugs.gnu.org; Tue, 31 Aug 2021 05:49:58 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:57168)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <othacehe@HIDDEN>)
 id 1mL0Ou-0001du-43; Tue, 31 Aug 2021 05:49:52 -0400
Received: from [2a01:e0a:19b:d9a0:f2f7:a404:c3d3:f8b4] (port=37374 helo=meije)
 by fencepost.gnu.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 (envelope-from <othacehe@HIDDEN>)
 id 1mL0Ot-00087D-0A; Tue, 31 Aug 2021 05:49:52 -0400
From: Mathieu Othacehe <othacehe@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: bug#50201: [PATCH core-updates-frozen 0/52] Support
 cross-compilation in glib-or-gtk-build-system and fix cross-compilation
 errors
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
 <20210825180332.5720-17-maximedevos@HIDDEN>
 <87sfyr9jff.fsf_-_@HIDDEN>
 <8b124a24c7ffc56efcb0b44b064bce0ff0085123.camel@HIDDEN>
Date: Tue, 31 Aug 2021 11:49:49 +0200
In-Reply-To: <8b124a24c7ffc56efcb0b44b064bce0ff0085123.camel@HIDDEN>
 (Maxime Devos's message of "Mon, 30 Aug 2021 18:45:48 +0200")
Message-ID: <87r1ea54g2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50201
Cc: 50201 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Hey,

Thanks for investigating it.

> One =E2=80=98solution=E2=80=99 is to run g-ir-scanner under QEMU:
> <https://maxice8.github.io/8-cross-the-gir/>.  That isn't really cross-co=
mpilation
> though, but emulated compilation, so it won't work with the Hurd.
> Might be good enough for cross-compiling between Linux targets though ...

Yes, looks like some projects such as Yocto[1] and Void[2] are also
using this solution. Requiring transparent emulating through QEMU while
cross-compiling will for sure make the process more complex. Restricting
this support to architectures that can be emulated by QEMU is also an
important limitation.

> (*) One solution would be to copy it over anyway and substitute things(**=
*) where needed,
>     and re-generate the typelib data.  That seems rather prone to mistake=
s though,
>     so maybe we should then hash the adjusted introspection data and comp=
are the hash
>     to the hash of what we now the introspection data must be (**).

This is a very interesting idea, I'm not familiar with this
introspection mechanism an couldn't judge how hard the substitution
would be. Maybe we could bring this topic upstream, to see what's their
opinion about it.

That's a whole new topic anyway, that shouldn't block the current
patchset we are discussing.

Thanks,

Mathieu

[1]: https://www.openembedded.org/pipermail/openembedded-core/2015-November=
/113390.html
[2]: https://voidlinux.org/news/2019/02/cross-gobject.html




Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 30 Aug 2021 16:46:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 30 12:46:09 2021
Received: from localhost ([127.0.0.1]:60112 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mKkQC-00023s-PE
	for submit <at> debbugs.gnu.org; Mon, 30 Aug 2021 12:46:09 -0400
Received: from laurent.telenet-ops.be ([195.130.137.89]:60202)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mKkQ7-00023L-75
 for 50201 <at> debbugs.gnu.org; Mon, 30 Aug 2021 12:46:06 -0400
Received: from ptr-bvsjgyjmffd7q9timvx.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by laurent.telenet-ops.be with bizsmtp
 id nsm12501B0mfAB401sm1go; Mon, 30 Aug 2021 18:46:01 +0200
Message-ID: <8b124a24c7ffc56efcb0b44b064bce0ff0085123.camel@HIDDEN>
Subject: Re: bug#50201: [PATCH core-updates-frozen 0/52] Support
 cross-compilation in glib-or-gtk-build-system and fix cross-compilation
 errors
From: Maxime Devos <maximedevos@HIDDEN>
To: Mathieu Othacehe <othacehe@HIDDEN>
Date: Mon, 30 Aug 2021 18:45:48 +0200
In-Reply-To: <87sfyr9jff.fsf_-_@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
 <20210825180332.5720-17-maximedevos@HIDDEN> <87sfyr9jff.fsf_-_@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-WZYAKHhGZus3SUCja51F"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1630341961; bh=GbGEVlRDzb8iJWtoeDeguqJagXTU7czNZUv8enL20p4=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=CBNQXTE3wQy1Tne2ssi9E+lydH2Lp1ZsaJxswjacsnhC1EUoHF7310o8FneEqsIv4
 YMOFmUjZYvQjjzpczx+YbwlvTqFqpn2C4J4qKMHwWAEahj3v8hKzmzZVJZ7V98nuRK
 kHKvvePGvehUKb2juzPhJ2yfW6k/9efoqwyQXNmsKvK5E1KNBhoYQabAGv/9cyqUCn
 z1OLZGBHm3DpE471joX+66J0irOYzU3r8y8iZzubB8+URg3E1XpMaeVSao5ooE9Rgp
 cUw80wzfQZ4noUvHSbbuqK/0c5tf44ugQgxfJ3yQfDM3sGhBlrgETkrLZfl+QWpiHm
 6PTIBxV0EWxwQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: 50201 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-WZYAKHhGZus3SUCja51F
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Mathieu Othacehe schreef op ma 30-08-2021 om 15:00 [+0200]:
> Hey,
>=20
> > +               ;; introspection requires running binaries for the host=
 system
> > +               ;; on the build system.
> > +               '("-Dintrospection=3Dfalse"))
>=20
> Nix is often ahead of Guix regarding cross-compilation support. Did you
> have a chance to see how they are dealing with introspection in the
> context of cross-compilation?

It appears that, say, atk can be cross-compiled on Nix, but other than that=
,
Nix doesn't seem to be ahead here.  We seem to be in good company here.  I =
found
the following

Nix setting -Dintrospection=3Dfalse too when cross-compiling:
https://github.com/NixOS/nixpkgs/issues/72868

Nix people finding gobject-introspection is hard to cross-compile
https://github.com/NixOS/nixpkgs/issues?q=3Dis%3Aissue+is%3Aopen+introspect=
ion

Nix people using an emulator (presumably QEMU?):
https://github.com/NixOS/nixpkgs/pull/88222/files

Unfortunately, it appears that introspection data is architecture-dependent=
:
<https://archive.md/U8rm2>, so just copying over the data from a natively
compiled version won't work (*).

One =E2=80=98solution=E2=80=99 is to run g-ir-scanner under QEMU:
<https://maxice8.github.io/8-cross-the-gir/>.  That isn't really cross-comp=
ilation
though, but emulated compilation, so it won't work with the Hurd.
Might be good enough for cross-compiling between Linux targets though ...

Here is an alternative idea that I won't attempt in this patch series:

(*) One solution would be to copy it over anyway and substitute things(***)=
 where needed,
    and re-generate the typelib data.  That seems rather prone to mistakes =
though,
    so maybe we should then hash the adjusted introspection data and compar=
e the hash
    to the hash of what we now the introspection data must be (**).

    Of course, we can't just guess that, so maybe when compiling atk native=
ly for,
    say, x86_64-linux, a message

    =E2=80=98new introspection hashes: ("x86_64-linux-gnu" ("Atk-1.0" "THE-=
HASH"))=E2=80=99
    or
    =E2=80=98stale introspection hash: "Atk-1.0" "THE-OLD-HASH" "THE-NEW-HA=
SH"

    followed by:

    =E2=80=98Please add it to #:gir-hashes to help cross-compilers.=E2=80=
=99

    could be printed (maybe even fail the build?).

    This hash checking and substitution could be implemented with an additi=
onal
    build phase for meson-build-system (#:gir would be an additional argume=
nt for
    meson-build-system).

    Something like:

    (package
      (name "atk")
      [...]
      (arguments
        `(#:gir-hashes
          (("x86_64-linux-gnu" ("Atk-1.0" "THE-HASH"))
           ("powerpc64-linux-gnu"
            ("Atk-1.0"
             ;; XXX(core-updates): We forgot to update the hash,
             ;; and now we're stuck with it unless we want a world-rebuild
             ;; for powerpc64le-linux (other architectures would be unaffec=
ted).
             ;; Use the right hash when cross-compiling.
             ,(if (%current-target-system)
                  "THE-CORRECT-HASH"
                  "THE-OLD-HASH"))
           ;; XXX I forgot the triplet, imagine you saw the triplet here in=
stead ...
           ("i586-hurd" ...)
           ...)
          #:gir-substitutions
          ;; TODO: need to thing of a good scheme here ...
          ((replace-value c:identifier "ARCHITECTURE_DEPENDENT"
            ((? architecture "ppc64le") "x")
            ((? ...) "y"))
           (replace-value c:identifier "KERNEL_DEPENDENT"
            ((? kernel-os "linux-gnu") "x")
            ((? kernel-os "gnu") "y"))
           ;; Only x86_64 has this quirk.
           (replace-value c:identifier "QUIRK"
            ((? architecture "x86_64") "yes)
            (otherwise "no"))))
     [...])

    A limitation of this solution is that someone needs to compile it nativ=
ely
    for the target architecture first (possibly emulated with QEMU).

(**) The .gir includes the name of the shared library, so maybe compute the=
 hash
     modulo store references to avoid invalidating the reference hashes eve=
ry time
     an (indirect) dependency is updated.

(***) An ordinary 'substitute*' won't work well, something specific for .gi=
r XML
      would be needed.  E.g., consider the following (in this case architec=
ture-independent)
      snippet from Atk-1.0.gir:

      <member name=3D"alert"
              value=3D"2"
              c:identifier=3D"ATK_ROLE_ALERT"
              glib:nick=3D"alert">
        <doc xml:space=3D"preserve"
             filename=3D"../atk/atkobject.h"
             line=3D"39">An object which is an alert to the user. Assistive=
 Technologies typically respond to ATK_ROLE_ALERT by reading the entire ons=
creen co>
      </member>

      Sometimes the =E2=80=98value=3D"..."=E2=80=99 part is architecture-de=
pendent, and needs to
      be adjusted for the target architecture.

Greetings,
Maxime.

--=-WZYAKHhGZus3SUCja51F
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYS0LPRccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7nvoAQCrF4LCmZvZKx450LDekpNqAxLE
P8qUIEod8PQbj30ARgD+MKFqCOarK1iXbwDUwWGVr5oHNO8IJ1zgWkNzHk2wPwc=
=CWni
-----END PGP SIGNATURE-----

--=-WZYAKHhGZus3SUCja51F--





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 30 Aug 2021 13:13:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 30 09:13:13 2021
Received: from localhost ([127.0.0.1]:58465 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mKh69-0003NL-Lr
	for submit <at> debbugs.gnu.org; Mon, 30 Aug 2021 09:13:13 -0400
Received: from eggs.gnu.org ([209.51.188.92]:45682)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <othacehe@HIDDEN>) id 1mKh68-0003N7-9T
 for 50201 <at> debbugs.gnu.org; Mon, 30 Aug 2021 09:13:12 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45512)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <othacehe@HIDDEN>)
 id 1mKh61-0000hP-CN; Mon, 30 Aug 2021 09:13:06 -0400
Received: from [2a01:e0a:19b:d9a0:f2f7:a404:c3d3:f8b4] (port=37356 helo=meije)
 by fencepost.gnu.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 (envelope-from <othacehe@HIDDEN>)
 id 1mKh60-0006xr-NL; Mon, 30 Aug 2021 09:13:05 -0400
From: Mathieu Othacehe <othacehe@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: bug#50201: [PATCH core-updates-frozen 0/52] Support
 cross-compilation in glib-or-gtk-build-system and fix cross-compilation
 errors
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
 <20210825180332.5720-45-maximedevos@HIDDEN>
Date: Mon, 30 Aug 2021 15:13:03 +0200
In-Reply-To: <20210825180332.5720-45-maximedevos@HIDDEN> (Maxime Devos's
 message of "Wed, 25 Aug 2021 20:03:25 +0200")
Message-ID: <87pmtv9iu8.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50201
Cc: 50201 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Hey,

> +    (native-search-paths
> +     (list (search-path-specification
> +            (variable "PKG_CONFIG_PATH_FOR_BUILD")
> +            (files '("lib/pkgconfig" "lib64/pkgconfig" "share/pkgconfig")))))))

You could maybe extract the files list from the %pkg-config definition
not to duplicate it?

Mathieu




Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 30 Aug 2021 13:00:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 30 09:00:40 2021
Received: from localhost ([127.0.0.1]:58442 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mKgtz-0002zO-V0
	for submit <at> debbugs.gnu.org; Mon, 30 Aug 2021 09:00:40 -0400
Received: from eggs.gnu.org ([209.51.188.92]:42730)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <othacehe@HIDDEN>) id 1mKgty-0002z7-Eq
 for 50201 <at> debbugs.gnu.org; Mon, 30 Aug 2021 09:00:38 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45068)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <othacehe@HIDDEN>)
 id 1mKgtt-0003D8-7F; Mon, 30 Aug 2021 09:00:33 -0400
Received: from [2a01:e0a:19b:d9a0:f2f7:a404:c3d3:f8b4] (port=37354 helo=meije)
 by fencepost.gnu.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 (envelope-from <othacehe@HIDDEN>)
 id 1mKgth-00074N-E3; Mon, 30 Aug 2021 09:00:24 -0400
From: Mathieu Othacehe <othacehe@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: bug#50201: [PATCH core-updates-frozen 0/52] Support
 cross-compilation in glib-or-gtk-build-system and fix cross-compilation
 errors
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
 <20210825180332.5720-17-maximedevos@HIDDEN>
Date: Mon, 30 Aug 2021 15:00:20 +0200
In-Reply-To: <20210825180332.5720-17-maximedevos@HIDDEN> (Maxime Devos's
 message of "Wed, 25 Aug 2021 20:02:57 +0200")
Message-ID: <87sfyr9jff.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50201
Cc: 50201 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Hey,

> +               ;; introspection requires running binaries for the host system
> +               ;; on the build system.
> +               '("-Dintrospection=false"))

Nix is often ahead of Guix regarding cross-compilation support. Did you
have a chance to see how they are dealing with introspection in the
context of cross-compilation?

Thanks,

Mathieu




Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 30 Aug 2021 12:58:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 30 08:58:58 2021
Received: from localhost ([127.0.0.1]:58438 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mKgsM-0002ub-4s
	for submit <at> debbugs.gnu.org; Mon, 30 Aug 2021 08:58:58 -0400
Received: from eggs.gnu.org ([209.51.188.92]:42420)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <othacehe@HIDDEN>) id 1mKgsJ-0002uI-R8
 for 50201 <at> debbugs.gnu.org; Mon, 30 Aug 2021 08:58:56 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45038)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <othacehe@HIDDEN>)
 id 1mKgsE-0002X1-47; Mon, 30 Aug 2021 08:58:50 -0400
Received: from [2a01:e0a:19b:d9a0:f2f7:a404:c3d3:f8b4] (port=37352 helo=meije)
 by fencepost.gnu.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 (envelope-from <othacehe@HIDDEN>)
 id 1mKgsD-0004BJ-QH; Mon, 30 Aug 2021 08:58:50 -0400
From: Mathieu Othacehe <othacehe@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: bug#50201: [PATCH core-updates-frozen 0/52] Support
 cross-compilation in glib-or-gtk-build-system and fix cross-compilation
 errors
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
 <20210825180332.5720-16-maximedevos@HIDDEN>
Date: Mon, 30 Aug 2021 14:58:48 +0200
In-Reply-To: <20210825180332.5720-16-maximedevos@HIDDEN> (Maxime Devos's
 message of "Wed, 25 Aug 2021 20:02:56 +0200")
Message-ID: <87v93n9jhz.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50201
Cc: 50201 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Hey,

> +                         (string-append dir "/_giscanner.cpython-39-"
> +                                        (normalise-system system) ".so"))

Won't this be "cpython-310-" or so when we will update the Python
package definition?

Thanks,

Mathieu




Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 30 Aug 2021 12:30:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 30 08:30:10 2021
Received: from localhost ([127.0.0.1]:58368 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mKgQT-00022w-UJ
	for submit <at> debbugs.gnu.org; Mon, 30 Aug 2021 08:30:10 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36860)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <othacehe@HIDDEN>) id 1mKgQS-00021j-8z
 for 50201 <at> debbugs.gnu.org; Mon, 30 Aug 2021 08:30:08 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:44324)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <othacehe@HIDDEN>)
 id 1mKgQM-0000Cq-4f; Mon, 30 Aug 2021 08:30:02 -0400
Received: from [2a01:e0a:19b:d9a0:f2f7:a404:c3d3:f8b4] (port=37350 helo=meije)
 by fencepost.gnu.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 (envelope-from <othacehe@HIDDEN>)
 id 1mKgQL-0005nH-Ro; Mon, 30 Aug 2021 08:30:02 -0400
From: Mathieu Othacehe <othacehe@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: bug#50201: [PATCH core-updates-frozen 0/52] Support
 cross-compilation in glib-or-gtk-build-system and fix cross-compilation
 errors
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <87sfyty9rb.fsf@HIDDEN>
 <d58391df1cfb649df4bbd05c558ad70c438e6e1a.camel@HIDDEN>
Date: Mon, 30 Aug 2021 14:30:00 +0200
In-Reply-To: <d58391df1cfb649df4bbd05c558ad70c438e6e1a.camel@HIDDEN>
 (Maxime Devos's message of "Mon, 30 Aug 2021 14:16:34 +0200")
Message-ID: <87y28j9ktz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50201
Cc: 50201 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Hello Maxime,

> Going by the patch series title: =E2=80=98Support cross-compilation in
> glib-or-gtk-build-system=E2=80=99, I don't see why this would have to go =
in
> core-updates instead of core-updates-frozen, because:
>
>   (1) no rebuilds, unless I missed something (*)
>   (2) due to (1), it doesn't introduce bugs
>   (3) after this patch series, glib-or-gtk-build-system _does_ support
>       support cross-compilation
>
> (*) In one patch, I unconditionally added a glib:bin input.  IIRC, it fai=
led
>     to build natively previously, but I'd better check again ..

I made this suggestion mostly because there are quite a few
"TODO(core-updates)" that could be spared by basing this series on
core-updates directly.

>   When we decide to start building the =E2=80=98staging=E2=80=99 or =E2=
=80=98core-updates=E2=80=99
>   branches, they will be forked and renamed with the suffix
>   =E2=80=98-frozen=E2=80=99, at which time only bug fixes may be pushed t=
o the frozen
>   branches.

Yeah this series is near the limit between a bug fix and a feature
addition. Anyway, let's go for the core-updates-frozen branch if there
are no other objections.

Thanks,

Mathieu




Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 30 Aug 2021 12:19:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 30 08:19:08 2021
Received: from localhost ([127.0.0.1]:58359 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mKgFo-0001iH-L3
	for submit <at> debbugs.gnu.org; Mon, 30 Aug 2021 08:19:08 -0400
Received: from andre.telenet-ops.be ([195.130.132.53]:59568)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mKgFm-0001i8-Tq
 for 50201 <at> debbugs.gnu.org; Mon, 30 Aug 2021 08:19:07 -0400
Received: from ptr-bvsjgyjmffd7q9timvx.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by andre.telenet-ops.be with bizsmtp
 id noK52500d0mfAB401oK5SP; Mon, 30 Aug 2021 14:19:05 +0200
Message-ID: <5f98411cb1077efcb6af418c5065f514f23486c3.camel@HIDDEN>
Subject: Re: [bug#50201] [PATCH core-updates-frozen 0/52] Support
 cross-compilation in glib-or-gtk-build-system and fix cross-compilation
 errors
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Date: Mon, 30 Aug 2021 14:19:05 +0200
In-Reply-To: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-C+PQsEAtqS90LH85Femy"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1630325945; bh=X3H/ugYEYiD6Si/60r7oJNIK431C5zprFEAmr5Caz2k=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=h30jvfPQwl26d+imoKStJ01BbhGxdk/78BayvtPdSnHLGmzZpY19FIhLsYQJlSJ7G
 2noZOsDg5BdApz24R6cp+vtiHUw49AaM+J3WLd5oBMf25BPoHiEZjyv3DrvqhhrbN6
 6Ex9TqSTELjbIGBJfo+M9S90kc2P2hhXJnDiMRDpxMCbfoN/n/IHkxGSDFLUxAv8eA
 CGxfU/5akzsPDFFAVXaogipOBxQuSRiM2uTMNbuKO9xFaB6cmmPWT5qdLPS2l5RWl9
 ym8UO+yXDgCAp0Pl0pR1MpQC7wzv+TW3BscXvBWBCLyjRYOLuxmQsMfbpsSYPxcYmh
 P4FkAT+RN0cyA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-C+PQsEAtqS90LH85Femy
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Maxime Devos schreef op wo 25-08-2021 om 19:55 [+0200]:
> Hi guix,
>=20
> This patch series does two things:
>=20
>   * let 'glib-or-gtk-build-system' support cross-compilation
>=20
>   * fix many (but not all) cross-compilation errors that prevent
>     "guix build gtk+ --target=3Daarch64-linux-gnu" from succeeding.
>=20
> It should not cause any rebuilds.  You can test with
> ./pre-inst-env guix build gtk+ --target=3Daarch64-linux-gnu.

Be aware that I don't have an aarch64-linux-gnu machine to test this on.
Some binaries of some packages I've run through qemu-aarch64 and I've
run "guix gc --references [...]" on a few store items to check if it
looks reaonable, but that's it.

Greetings,
Maxime.

--=-C+PQsEAtqS90LH85Femy
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYSzMuRccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7pUCAQCzAyFBQcPa8hUQinLYyXykFISt
22YytyycEsU/ciB/MQEA9MNIRPg5w7qvDziyXOT1WsKUdWl8yeFLyWppRKRNLQI=
=rNMs
-----END PGP SIGNATURE-----

--=-C+PQsEAtqS90LH85Femy--





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 30 Aug 2021 12:17:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 30 08:17:00 2021
Received: from localhost ([127.0.0.1]:58353 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mKgDk-0001eF-3z
	for submit <at> debbugs.gnu.org; Mon, 30 Aug 2021 08:17:00 -0400
Received: from baptiste.telenet-ops.be ([195.130.132.51]:43660)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mKgDh-0001e5-1j
 for 50201 <at> debbugs.gnu.org; Mon, 30 Aug 2021 08:16:58 -0400
Received: from ptr-bvsjgyjmffd7q9timvx.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by baptiste.telenet-ops.be with bizsmtp
 id noGu2500T0mfAB401oGurw; Mon, 30 Aug 2021 14:16:55 +0200
Message-ID: <d58391df1cfb649df4bbd05c558ad70c438e6e1a.camel@HIDDEN>
Subject: Re: bug#50201: [PATCH core-updates-frozen 0/52] Support
 cross-compilation in glib-or-gtk-build-system and fix cross-compilation
 errors
From: Maxime Devos <maximedevos@HIDDEN>
To: Mathieu Othacehe <othacehe@HIDDEN>
Date: Mon, 30 Aug 2021 14:16:34 +0200
In-Reply-To: <87sfyty9rb.fsf@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <87sfyty9rb.fsf@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-yu+2w0MQKATjDq4U6Phk"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1630325815; bh=TDCMvOf9DPjc/F6EAy4IAkPYtumDEwRuN8jOioCUOQw=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=aGSoMjbkXVYEefS4YeG35vJN+F9kgNSdxaixCQgwoob6Lk6dQljmO8v74dY38OV1j
 nhnbA6ecyabiNqZ/5c7SWfV4E4WL0yer1dUpl3+Hl4IEJ3Pt0qofcdjpSoni76D8L7
 pWYR35pEzJXGsA6HuRmXe9oZWcbczKF5kIXWyo8oJ34Oj9xEdnk1Ac1qZF+fT32KTo
 Bq2pkIxYkiPK57dmIo+f9uqQahwKuuucFUYNSTMXNAHr7eYFVvve4Cfr2mPluyzMqH
 jGjjGLfFJ0RC3QR3dR3Pu+90Mqk/QnnAL4WksaVnc3yPaetBWeKNsZX3Vi8MP32ws6
 3WH8O758dXLCg==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: 50201 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-yu+2w0MQKATjDq4U6Phk
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Mathieu Othacehe schreef op za 28-08-2021 om 15:33 [+0200]:
> Hello Maxime,
>=20
> > It should not cause any rebuilds.  You can test with
> > ./pre-inst-env guix build gtk+ --target=3Daarch64-linux-gnu.
> > There is still some work to be done though:
>=20
> Thanks for this series, that a great step forward. I will have a closer
> look later, but as a general remark, should we really target the=20
> core-updates-frozen branch?=20
>
> Maybe it would make more sense to target the core-updates branch as
> there's still some work required to get gtk+ to cross-build.

Going by the patch series title: =E2=80=98Support cross-compilation in
glib-or-gtk-build-system=E2=80=99, I don't see why this would have to go in
core-updates instead of core-updates-frozen, because:

  (1) no rebuilds, unless I missed something (*)
  (2) due to (1), it doesn't introduce bugs
  (3) after this patch series, glib-or-gtk-build-system _does_ support
      support cross-compilation

(*) In one patch, I unconditionally added a glib:bin input.  IIRC, it faile=
d
    to build natively previously, but I'd better check again ..

For example, cairo, which uses glib-or-gtk-build-system, now cross-compiles
for aarch64-linux-gnu.  True, ideally gtk+ would cross-compile as well,
but cairo being cross-compilable is already useful (e.g., it's a
dependency of harfbuzz which is a dependency of qtbase which is a dependenc=
y
of graphical Qt software.) (**)

(**) qtbase (indirectly) depends on perl-file-mimeinfo and 'perl-build-syst=
em'
doesn't support cross-compilation, so this argument is probably not really
convincing ...  Maybe texlive-bin would be a
better example?(***)
(***) The dependency libungif fails to cross-compile/

Also, hacking on master (or core-updates-frozen) is simpler on than on core=
-updates,
due to more substitutes, and it is more appealing to me because the cross-c=
ompilation
support would be available earlier to most people than if it the patches we=
re based
on core-updates.

As a general principle, I prefer basing patches on 'master'.  That wasn't p=
ossible
here due to the use of G-exps in glib-or-gtk-build-system, so I based the p=
atches
on 'core-updates-frozen' instead.  That goes a bit against
(guix)Submitting Patches though, so I would understand if the patches will =
have to
be rebased on core-updates:

  When we decide to start building the =E2=80=98staging=E2=80=99 or =E2=80=
=98core-updates=E2=80=99
  branches, they will be forked and renamed with the suffix
  =E2=80=98-frozen=E2=80=99, at which time only bug fixes may be pushed to =
the frozen
  branches.

unless =E2=80=98let glib-or-gtk-build-system support cross-compilation=E2=
=80=99 counts as a bug fix.
To me, this is not all that different from other cross-compilation fixes li=
ke
"CC=3Dgcc" --> (string-append "CC=3D" (cc-for-target)) or moving inputs bet=
ween
'native-inputs' and 'inputs', but YMMV.

Greetings,
Maxime.

--=-yu+2w0MQKATjDq4U6Phk
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYSzMIxccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7scBAP4hda7fLPnNw/yF9hNrB2+rPwwY
K00WbUWs5eSqp5NadwEA1jd9SkLKsRf6Vja09ASxbmyod2/e7lSvyhonH4neXQw=
=jpU8
-----END PGP SIGNATURE-----

--=-yu+2w0MQKATjDq4U6Phk--





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 28 Aug 2021 13:33:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 28 09:33:26 2021
Received: from localhost ([127.0.0.1]:53557 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mJySc-0000kn-96
	for submit <at> debbugs.gnu.org; Sat, 28 Aug 2021 09:33:26 -0400
Received: from eggs.gnu.org ([209.51.188.92]:60432)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <othacehe@HIDDEN>) id 1mJySZ-0000kX-5L
 for 50201 <at> debbugs.gnu.org; Sat, 28 Aug 2021 09:33:24 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36468)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <othacehe@HIDDEN>)
 id 1mJyST-0003NG-ED; Sat, 28 Aug 2021 09:33:17 -0400
Received: from [2a01:e0a:19b:d9a0:45b5:a14a:5c75:5737] (port=53534 helo=meije)
 by fencepost.gnu.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 (envelope-from <othacehe@HIDDEN>)
 id 1mJyST-0001Fj-57; Sat, 28 Aug 2021 09:33:17 -0400
From: Mathieu Othacehe <othacehe@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: bug#50201: [PATCH core-updates-frozen 0/52] Support
 cross-compilation in glib-or-gtk-build-system and fix cross-compilation
 errors
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
Date: Sat, 28 Aug 2021 15:33:12 +0200
In-Reply-To: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 (Maxime Devos's message of "Wed, 25 Aug 2021 19:55:33 +0200")
Message-ID: <87sfyty9rb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50201
Cc: 50201 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Hello Maxime,

> It should not cause any rebuilds.  You can test with
> ./pre-inst-env guix build gtk+ --target=aarch64-linux-gnu.
> There is still some work to be done though:

Thanks for this series, that a great step forward. I will have a closer
look later, but as a general remark, should we really target the 
core-updates-frozen branch? 

Maybe it would make more sense to target the core-updates branch as
there's still some work required to get gtk+ to cross-build.

Mathieu




Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:10:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:10:50 2021
Received: from localhost ([127.0.0.1]:47836 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxMQ-00036u-4O
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:10:50 -0400
Received: from newton.telenet-ops.be ([195.130.132.45]:38246)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxMF-000360-Kt
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:10:40 -0400
Received: from laurent.telenet-ops.be (laurent.telenet-ops.be
 [IPv6:2a02:1800:110:4::f00:19])
 by newton.telenet-ops.be (Postfix) with ESMTPS id 4Gvv431NxwzMqynd
 for <50201 <at> debbugs.gnu.org>; Wed, 25 Aug 2021 20:03:47 +0200 (CEST)
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by laurent.telenet-ops.be with bizsmtp
 id lu3k2500G0mfAB401u3m9K; Wed, 25 Aug 2021 20:03:46 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 34/52] gnu: libdaemon: Support cross-compilation to
 aarch64-linux-gnu.
Date: Wed, 25 Aug 2021 20:03:14 +0200
Message-Id: <20210825180332.5720-34-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914627; bh=qIAyVAEUEOtc606GaRNSOeWUaMUcsfj44Nl5oROg5Vg=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=jlnsRY90gLGsP8tH/7n6VmPxNnA1YLOeL9UB2vUAkqWHGgRV85cBqr2E2fspIqeen
 GYxhLqLlv0tWoQ5jh6/1kfAFzNhKvA3+m+TPIVzPxs4e1cyZoWIdcWmAOOP9nKWK9l
 LeRhH09ivtwNtQ0F4Mqe5yLKhRYLhW7Bu/140bSS6hA4jc85wimEK/M8inqEHNKHcZ
 1lrTdxLjxK8l88nNFHpJ9rnAXMQUvS5irWOl+LYMUIKGCmiNeBuWobGuJcxfH3DWHU
 /gpbzT+Qctexa2vh7lXXK6aWnW9JQGU+rVHmdid2hGVjp7fMDYYTiaGweLY/UK36AG
 wwBXVGQTLveaQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/libdaemon.scm
  (libdaemon)[native-inputs]: Add "config" when cross-compiling for
  aarch64.
  (libdaemon)[arguments]<#:phases>{update-config.sub}: When cross-compiling
  for aarch64, update the "config.sub" script.
---
 gnu/packages/libdaemon.scm | 42 ++++++++++++++++++++++++++------------
 1 file changed, 29 insertions(+), 13 deletions(-)

diff --git a/gnu/packages/libdaemon.scm b/gnu/packages/libdaemon.scm
index e47d66cfa7..9dc851e823 100644
--- a/gnu/packages/libdaemon.scm
+++ b/gnu/packages/libdaemon.scm
@@ -1,5 +1,6 @@
 ;;; GNU Guix --- Functional package management for GNU
 ;;; Copyright © 2013, 2014, 2020 Ludovic Courtès <ludo@HIDDEN>
+;;; Copyright © 2021 Maxime Devos <maximedevos@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -17,8 +18,10 @@
 ;;; along with GNU Guix.  If not, see <http://www.gnu.org/licenses/>.
 
 (define-module (gnu packages libdaemon)
+  #:use-module (gnu packages autotools)
   #:use-module (guix licenses)
   #:use-module (guix packages)
+  #:use-module (guix utils)
   #:use-module (guix download)
   #:use-module (guix build-system gnu))
 
@@ -45,21 +48,34 @@
                "0d5qlq5ab95wh1xc87rqrh1vx6i8lddka1w3f1zcqvcqdxgyn8zx"))
              (file-name (string-append name "-" version ".tar.gz"))))
     (build-system gnu-build-system)
-    (arguments
-     (if (%current-target-system)
-         ;; The 'setpgrp' test cannot provide an answer when cross-compiling,
-         ;; so provide the right one for glibc.
-         `(#:configure-flags (list "ac_cv_func_setpgrp_void=yes"
-
-                                   ;; TODO: Move this globally on the next
-                                   ;; rebuild cycle.
-                                   ;; Set a valid localstatedir for the
-                                   ;; benefit of the default
-                                   ;; 'daemon_pid_file_proc', used by the
-                                   ;; Hurd's console client.
-                                   "--localstatedir=/var"))
+    (native-inputs
+     (if (and=> (%current-target-system) target-aarch64?)
+         `(("config" ,config)) ; for config.sub
          '()))
+    (arguments
+     `(,@(if (%current-target-system)
+             ;; The 'setpgrp' test cannot provide an answer when cross-compiling,
+             ;; so provide the right one for glibc.
+             `(#:configure-flags (list "ac_cv_func_setpgrp_void=yes"
 
+                                       ;; TODO: Move this globally on the next
+                                       ;; rebuild cycle.
+                                       ;; Set a valid localstatedir for the
+                                       ;; benefit of the default
+                                       ;; 'daemon_pid_file_proc', used by the
+                                       ;; Hurd's console client.
+                                       "--localstatedir=/var"))
+             '())
+       ,@(if (and=> (%current-target-system) target-aarch64?)
+             `(#:phases
+               (modify-phases %standard-phases
+                 (add-before 'configure 'update-config.sub
+                   (lambda _
+                     ;; Replace outdated config.sub such that aarch64
+                     ;; will be recognised as an architecture.
+                     (delete-file "config.sub")
+                     (symlink (which "config.sub") "config.sub")))))
+             '())))
     ;; XXX: Stale URL, missing replacement.  See <http://bugs.gnu.org/18639>.
     (home-page "http://0pointer.de/lennart/projects/libdaemon/")
 
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:10:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:10:41 2021
Received: from localhost ([127.0.0.1]:47834 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxMG-00036X-PG
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:10:41 -0400
Received: from newton.telenet-ops.be ([195.130.132.45]:38030)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxME-00035j-Qd
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:10:39 -0400
Received: from laurent.telenet-ops.be (laurent.telenet-ops.be
 [IPv6:2a02:1800:110:4::f00:19])
 by newton.telenet-ops.be (Postfix) with ESMTPS id 4Gvv444vJBzMr096
 for <50201 <at> debbugs.gnu.org>; Wed, 25 Aug 2021 20:03:48 +0200 (CEST)
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by laurent.telenet-ops.be with bizsmtp
 id lu3n2500L0mfAB401u3o9k; Wed, 25 Aug 2021 20:03:48 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 45/52] gnu: Add pkg-config-for-build.
Date: Wed, 25 Aug 2021 20:03:25 +0200
Message-Id: <20210825180332.5720-45-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914628; bh=+X6gWZHIl7bx9msF6MB/IgoQUd0S8kuaDIrVutH/PaI=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=n6ttHKBHKNOKTZdrO6dpx3cyof0lyAWBFMZLdNTh7AHhj1YCYdL2q6wN+NkNq9cyV
 lgnXueBDvs4chC3OjXdfsdPJ3MudyjEjbTcv4UzHoR7hVv2MnnnwHng3lMtTMpUZbX
 kpzQsUmrlnPm8t+fEiLG9w3lBwqqc27wy9HGGm5LjAGUEHykBHb/ZtI40IxPriGipn
 Y6d30V2VOSPLyfme8BUU4TH92in9K9m7b/EykKDhadBY7ax/UXgk0UyxktPPZMOmIW
 9qpxkU99As+VSInkGhTfQEYHTjc+Fd2TXrEwolDw50w7lueVAZ1LVhRO5iTqpVpz5x
 Qcu0bW0P9KM/g==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/pkg-config.scm
  (pkg-config-for-build): New variable.
---
 gnu/packages/pkg-config.scm | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)

diff --git a/gnu/packages/pkg-config.scm b/gnu/packages/pkg-config.scm
index 9c632532be..9d1588338e 100644
--- a/gnu/packages/pkg-config.scm
+++ b/gnu/packages/pkg-config.scm
@@ -1,6 +1,7 @@
 ;;; GNU Guix --- Functional package management for GNU
 ;;; Copyright © 2012, 2013, 2014, 2016 Ludovic Courtès <ludo@HIDDEN>
 ;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
+;;; Copyright © 2021 Maxime Devos <maximedevos@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -21,8 +22,10 @@
   #:use-module (guix licenses)
   #:use-module (guix packages)
   #:use-module (guix download)
+  #:use-module (guix gexp)
   #:use-module (guix build-system gnu)
   #:use-module (guix build-system trivial)
+  #:use-module (gnu packages bash)
   #:use-module (guix memoization)
   #:export (pkg-config))
 
@@ -130,3 +133,36 @@ build, or a GNU triplet."
 ;; environment or not.
 (define-syntax pkg-config
   (identifier-syntax (pkg-config-for-target (%current-target-system))))
+
+;; This hack allows for using both "pkg-config" and "TARGET-pkg-config"
+;; at the same time.  Simply using '%pkg-config' and 'pkg-config' won't
+;; work because they both use the "PKG_CONFIG_PATH" environment variable.
+(define-public pkg-config-for-build
+  (package
+    (inherit (hidden-package pkg-config))
+    (name "pkg-config-for-build")
+    (version "0")
+    (source #f)
+    (build-system trivial-build-system)
+    (inputs
+     `(("bash-minimal" ,bash-minimal)
+       ("pkg-config" ,%pkg-config)))
+    (arguments
+     `(#:modules ((guix build utils))
+       #:builder
+       ,#~(begin
+            (use-modules (guix build utils))
+            (define where (string-append #$output "/bin/pkg-config"))
+            (mkdir-p (dirname where))
+            (call-with-output-file where
+              (lambda (port)
+                (format port "#!~a
+export PKG_CONFIG_PATH=\"$PKG_CONFIG_PATH_FOR_BUILD\"
+exec ~a \"$@\""
+                        (search-input-file %build-inputs "bin/bash")
+                        (search-input-file %build-inputs "bin/pkg-config"))))
+            (chmod where #o500))))
+    (native-search-paths
+     (list (search-path-specification
+            (variable "PKG_CONFIG_PATH_FOR_BUILD")
+            (files '("lib/pkgconfig" "lib64/pkgconfig" "share/pkgconfig")))))))
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:10:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:10:40 2021
Received: from localhost ([127.0.0.1]:47832 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxMG-00036Q-GN
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:10:40 -0400
Received: from newton.telenet-ops.be ([195.130.132.45]:38026)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxME-00035m-Qq
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:10:39 -0400
Received: from laurent.telenet-ops.be (laurent.telenet-ops.be
 [IPv6:2a02:1800:110:4::f00:19])
 by newton.telenet-ops.be (Postfix) with ESMTPS id 4Gvv451Jc8zMr2T7
 for <50201 <at> debbugs.gnu.org>; Wed, 25 Aug 2021 20:03:49 +0200 (CEST)
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by laurent.telenet-ops.be with bizsmtp
 id lu3n2500L0mfAB401u3o9v; Wed, 25 Aug 2021 20:03:48 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 49/52] gnu: gdk-pixbuf: Find docbook when cross-compiling.
Date: Wed, 25 Aug 2021 20:03:29 +0200
Message-Id: <20210825180332.5720-49-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914629; bh=vYlwZ4JViL0w8VaU3tpAulUNlmmOu4afIBBTKxWC0+0=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=G8J+vBDz5rI0n6QrBAjuNugmx//14DJ5IBiBrEM+HCtK/GfPutduNCuxYSiwlHRXV
 93pNU4k7MDk3AWz9CDVZvz6tow6U0xNeZayNTUuHHZxjgwW/74fmOAr6hF87sJH3Ce
 pWNBlFiUpghfB/wcaCPDxK7leMAoP9AkpIbe4Cf+ggZ6bizXVAP7PsYMtA6NgtOiL7
 yOfpcdqzF06DJmypUrBXjMnXnzVcv7Ko2XJUw3I/fcktTJYW4WG4heAscao5FEmOMC
 WVZTKXQBpWVepUP/6yFoGlGnKzjQ3/W0qHs/LyQ7EEkoY5NZXWqosd3yX6vfbKFfiF
 Czdw5+bKS6YYA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/gtk.scm
  (gdk-pixbuf)[arguments]<#:phases>{patch-docbook}: Look for docbook
  in 'native-inputs' instead of 'inputs' when cross-compiling.
---
 gnu/packages/gtk.scm | 14 +++++++++++---
 1 file changed, 11 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/gtk.scm b/gnu/packages/gtk.scm
index 1d6be00e60..8bf55ccf14 100644
--- a/gnu/packages/gtk.scm
+++ b/gnu/packages/gtk.scm
@@ -628,15 +628,23 @@ highlighting and other features typical of a source code editor.")
        #:phases
        (modify-phases %standard-phases
          (add-after 'unpack 'patch-docbook
-           (lambda* (#:key inputs #:allow-other-keys)
+           ;; TODO(core-updates): Unconditionally look in (or native-inputs inputs)
+           (lambda* (#:key ,@(if (%current-target-system)
+                                 '(native-inputs)
+                                 '())
+                     inputs #:allow-other-keys)
              (with-directory-excursion "docs"
                (substitute* "meson.build"
                  (("http://docbook.sourceforge.net/release/xsl/current/")
-                  (string-append (assoc-ref inputs "docbook-xsl")
+                  (string-append (assoc-ref ,(if (%current-target-system)
+                                                 '(or native-inputs inputs)
+                                                 'inputs) "docbook-xsl")
                                  "/xml/xsl/docbook-xsl-1.79.2/")))
                (substitute* (find-files "." "\\.xml$")
                  (("http://www.oasis-open.org/docbook/xml/4\\.3/")
-                  (string-append (assoc-ref inputs "docbook-xml")
+                  (string-append (assoc-ref ,(if (%current-target-system)
+                                                 '(or native-inputs inputs)
+                                                 'inputs) "docbook-xml")
                                  "/xml/dtd/docbook/"))))
              #t))
          (add-before 'configure 'disable-failing-tests
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:10:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:10:40 2021
Received: from localhost ([127.0.0.1]:47830 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxMG-00036E-5X
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:10:40 -0400
Received: from newton.telenet-ops.be ([195.130.132.45]:38024)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxME-00035k-Qa
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:10:39 -0400
Received: from laurent.telenet-ops.be (laurent.telenet-ops.be
 [IPv6:2a02:1800:110:4::f00:19])
 by newton.telenet-ops.be (Postfix) with ESMTPS id 4Gvv43322qzMr08F
 for <50201 <at> debbugs.gnu.org>; Wed, 25 Aug 2021 20:03:47 +0200 (CEST)
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by laurent.telenet-ops.be with bizsmtp
 id lu3k2500G0mfAB401u3n9P; Wed, 25 Aug 2021 20:03:47 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 36/52] gnu: avahi: Use the cross-compiled bash.
Date: Wed, 25 Aug 2021 20:03:16 +0200
Message-Id: <20210825180332.5720-36-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914627; bh=YX9wfBKkm73EwTOS0vcYLp+PG3tPEb2OsLbGo8MTGEk=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=ptV4OXs17cVOhjxdsVsBoFWDtDye1fZgw0mJE2I46yDQW2EkFm7gzv8hLLd5I3UHr
 EpAFoTp9iC/Ppn81yk6NNME9i1sM21e5e0n/Uk+a/TGFaP7QiWvtTKHko21szbWca+
 if21Tq7zonnGnxo0siJl9LAzIGkJ3INgYGfXIAlUcIcPzr0rmGQltT2f0oic7PZyM1
 hnhXW7YpHd8XPkL1LSCWfpTlH5t/z2BvElLZLeRO3X+mHWbRxunAI7bkz3B5O16zDg
 9DQsH5tSvGutyPzZu8Zyi6m4yjFYmq4WWCUVwj1GXyqoPwGOz/JG1YbbZDv50TKx2M
 hB3St15NeiU0g==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/avahi.scm (avahi)[arguments]<#:phases>{patch-more-shebangs}:
  Replace the bash in the shebangs in "/etc/avahi" with a cross-compiled bash.
---
 gnu/packages/avahi.scm | 25 +++++++++++++++++++++++--
 1 file changed, 23 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/avahi.scm b/gnu/packages/avahi.scm
index 5582df479e..7dcaa17a76 100644
--- a/gnu/packages/avahi.scm
+++ b/gnu/packages/avahi.scm
@@ -23,9 +23,11 @@
 (define-module (gnu packages avahi)
   #:use-module ((guix licenses) #:select (lgpl2.1+))
   #:use-module (guix packages)
+  #:use-module (guix gexp)
   #:use-module (guix download)
   #:use-module (guix build-system gnu)
   #:use-module (gnu packages)
+  #:use-module (gnu packages bash)
   #:use-module (gnu packages dbm)
   #:use-module (gnu packages gettext)
   #:use-module (gnu packages glib)
@@ -72,9 +74,28 @@
                            "--enable-compat-libdns_sd"
                            ,@(if (%current-target-system)
                                  '("ac_cv_prog_have_pkg_config=yes")
-                                 '()))))
+                                 '()))
+       ;; TODO(core-updates): Make this unconditional.
+       ,@(if (%current-target-system)
+             `(#:modules ((srfi srfi-26)
+                          (guix build utils)
+                          (guix build gnu-build-system))
+               #:phases
+               ,#~(modify-phases %standard-phases
+                    (add-after 'patch-shebangs 'patch-more-shebangs
+                      (lambda* (#:key inputs #:allow-other-keys)
+                        (define path
+                          `(,(dirname (search-input-file inputs "bin/sh"))))
+                        (for-each
+                         (cut patch-shebang <> path)
+                         (find-files (string-append #$output "/etc/avahi")))))))
+             '())))
     (inputs
-     `(("dbus" ,dbus)
+     ;; TODO(core-updates): Make this input unconditional.
+     `(,@(if (%current-target-system)
+             `(("bash-minimal" ,bash-minimal))
+             '())
+       ("dbus" ,dbus)
        ("expat" ,expat)
        ("gdbm" ,gdbm)
        ("glib" ,glib)
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:10:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:10:40 2021
Received: from localhost ([127.0.0.1]:47828 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxMF-00036B-UG
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:10:40 -0400
Received: from newton.telenet-ops.be ([195.130.132.45]:38028)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxME-00035l-Qi
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:10:39 -0400
Received: from laurent.telenet-ops.be (laurent.telenet-ops.be
 [IPv6:2a02:1800:110:4::f00:19])
 by newton.telenet-ops.be (Postfix) with ESMTPS id 4Gvv426m2yzMqyYF
 for <50201 <at> debbugs.gnu.org>; Wed, 25 Aug 2021 20:03:46 +0200 (CEST)
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by laurent.telenet-ops.be with bizsmtp
 id lu3k2500G0mfAB401u3m9E; Wed, 25 Aug 2021 20:03:46 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 32/52] gnu: json-glib: Don't build introspection data when
 cross-compiling.
Date: Wed, 25 Aug 2021 20:03:12 +0200
Message-Id: <20210825180332.5720-32-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914626; bh=v68gmTajnUjRDhUxE+dpEb0JUA5+k9Tjas4U2rg6t6Q=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=buwvmdEKKTwht9frU9lFsBTUpIA8nohRjX+oUIUk4yWlniseIqldn8Drey92LSfp2
 bZ8EZhA2+jpz2GyHGwrUZzh4cFcfWpBBU7OEFtUonZA0A31Bsa1tYeGCniN7C1o/H9
 FxUrDlpE15pBOshvHS29MRXyiAl5+L/rcRwqfR7cqxTvzxc7pLEcg8TP4zE0kTwNiB
 G32JgbhVfKjsqIInW1OQVe77zhYBq2ef7Y84iDnVen6B6QZplrpL74bCjXij2c1jy1
 IsScS/YXmrsxJcR9nWc6WWwDditTJIbZ1hw69xwBZgpODRKU3FcCRT6S5qN+eRvLlt
 /+Co4+sR+H2jA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/gnome.scm
  (json-glib)[arguments]<#:configure-flags>: Set introspection=false when
  cross-compiling.
---
 gnu/packages/gnome.scm | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index febbe10ee8..6d7efb8382 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -4581,7 +4581,10 @@ configuration storage systems.")
         ,@(if (%current-target-system)
               ;; If enabled, gtkdoc-scangobj will try to execute a
               ;; cross-compiled binary.
-              '("-Dgtk_doc=disabled")
+              '("-Dgtk_doc=disabled"
+                ;; Trying to build introspection data when cross-compiling
+                ;; causes errors during linking.
+                "-Dintrospection=disabled")
               '()))
        #:phases
        (modify-phases %standard-phases
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:09:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:09:38 2021
Received: from localhost ([127.0.0.1]:47811 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxLG-00033W-J7
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:09:38 -0400
Received: from leibniz.telenet-ops.be ([195.130.137.77]:52092)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxLC-00032U-9T
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:09:36 -0400
Received: from laurent.telenet-ops.be (laurent.telenet-ops.be
 [IPv6:2a02:1800:110:4::f00:19])
 by leibniz.telenet-ops.be (Postfix) with ESMTPS id 4Gvv4328Z6zMqhbg
 for <50201 <at> debbugs.gnu.org>; Wed, 25 Aug 2021 20:03:47 +0200 (CEST)
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by laurent.telenet-ops.be with bizsmtp
 id lu3k2500G0mfAB401u3n9M; Wed, 25 Aug 2021 20:03:47 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 35/52] gnu: avahi: Find 'TARGET-pkg-config' when
 cross-compiling.
Date: Wed, 25 Aug 2021 20:03:15 +0200
Message-Id: <20210825180332.5720-35-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914627; bh=NF4bBhNIRWZ3tNhawPkP9cYxSSubIgpeB5iaYIJhqIs=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=ot7dF3qRRUGNr48sNxdyU+xQGfRswGySXhh8yaPEH9/VOQkZYAxh9v1HzBqYUwWE7
 ARfR4PjuhbQCOQmPHU3wKeIWJWstEQw8sysg3giqVX7Vid/+w5UnYi0fg3PLtsrnpU
 izudMMr+ePh5P0mNYgMCpEEirjZhNdR/Zh582Kpos4pymM45RW2VZYPCl0suYRF8eh
 bMvReIUbba/V85rVgTQeakvmRfYCkHwEcwTppnMu45Sql0ltxI8Q8iseuHeMA6jKYt
 1LOVvTP1yr14GRTwehlT9oSvnWkdWGXymkSGGHm9w/s67GFg71vn3r3kzGebFe2VB0
 YkFeySrq/twcw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

The configure script first tests whether "pkg-config" is in PATH,
and then uses "TARGET-pkg-config".  Pretend "pkg-config" exists.

* gnu/packages/avahi.scm (avah)[arguments]<#:configure-flags>: Set
  ac_cv_prog_have_pkg_config=yes when cross-compiling.
---
 gnu/packages/avahi.scm | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/avahi.scm b/gnu/packages/avahi.scm
index 602f9d7997..5582df479e 100644
--- a/gnu/packages/avahi.scm
+++ b/gnu/packages/avahi.scm
@@ -3,6 +3,7 @@
 ;;; Copyright © 2014 Mark H Weaver <mhw@HIDDEN>
 ;;; Copyright © 2018 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright © 2020 Marius Bakke <mbakke@HIDDEN>
+;;; Copyright © 2021 Maxime Devos <maximedevos@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -58,7 +59,7 @@
                  #t))))
     (build-system gnu-build-system)
     (arguments
-     '(#:configure-flags '("--with-distro=none"
+     `(#:configure-flags '("--with-distro=none"
                            "--disable-static"
                            "--localstatedir=/var" ; for the DBus socket
                            "--disable-python"
@@ -68,7 +69,10 @@
                            "--enable-tests"
                            "--disable-qt4" "--disable-qt5"
                            "--disable-gtk" "--disable-gtk3"
-                           "--enable-compat-libdns_sd")))
+                           "--enable-compat-libdns_sd"
+                           ,@(if (%current-target-system)
+                                 '("ac_cv_prog_have_pkg_config=yes")
+                                 '()))))
     (inputs
      `(("dbus" ,dbus)
        ("expat" ,expat)
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:09:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:09:37 2021
Received: from localhost ([127.0.0.1]:47809 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxLF-00033J-CV
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:09:37 -0400
Received: from leibniz.telenet-ops.be ([195.130.137.77]:52090)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxLC-00032V-9X
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:09:36 -0400
Received: from laurent.telenet-ops.be (laurent.telenet-ops.be
 [IPv6:2a02:1800:110:4::f00:19])
 by leibniz.telenet-ops.be (Postfix) with ESMTPS id 4Gvv4534V3zMqjF8
 for <50201 <at> debbugs.gnu.org>; Wed, 25 Aug 2021 20:03:49 +0200 (CEST)
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by laurent.telenet-ops.be with bizsmtp
 id lu3n2500L0mfAB401u3pA0; Wed, 25 Aug 2021 20:03:49 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 51/52] gnu: pango: Add bash-minimal input when cross-compiling.
Date: Wed, 25 Aug 2021 20:03:31 +0200
Message-Id: <20210825180332.5720-51-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914629; bh=XmevQrh9NttlcklnhGoyL2dWMav0cIRxAyrErHrpNq4=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=R/RqUR5lZYOZfO27urqvrreiIQgiQVs+CrCwCqjoykL9rgy82posPV3poj1bqvriv
 zFNaIM4WdHmX03DHRxbdM+PdPPaNYu6ZYJICzDS6t8Xy8d6xatpqcPU84RxepcU1uX
 qnxY4MR4pRaSjcjELmtLrKtNJKj3Z7V1+BUjqdz9ncIjlzuiO7g5NVBVZxOnBA9Nau
 PMtKnBIflS2qpECU3SVPPUQQJDcTP4K2X8FwO3W6PYYU/pPHLdGtmDFcCaqW2SH0ud
 CB+bxucodIF6an8wWbwlUVszqySk94VDYUwy4NHfNFdkcmxU15ZlOnAIUthALxJArM
 2NwOZjNFDcJMg==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/gtk.scm
  (pango)[inputs]: Add "bash-minimal" when cross-compiling.
---
 gnu/packages/gtk.scm | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/gtk.scm b/gnu/packages/gtk.scm
index 74c4eee155..5409d0c510 100644
--- a/gnu/packages/gtk.scm
+++ b/gnu/packages/gtk.scm
@@ -383,7 +383,11 @@ applications.")
        ("libxft" ,libxft)
        ("libxrender" ,libxrender)))
     (inputs
-     `(("zlib" ,zlib)))
+     ;; TODO(core-updates): Unconditionally add "bash-minimal"
+     `(,@(if (%current-target-system)
+             `(("bash-minimal" ,bash-minimal)) ; for glib-or-gtk-wrap
+             '())
+       ("zlib" ,zlib)))
     (native-inputs
      `(("glib" ,glib "bin")             ; glib-mkenums, etc.
        ("gobject-introspection" ,gobject-introspection) ; g-ir-compiler, etc.
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:09:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:09:37 2021
Received: from localhost ([127.0.0.1]:47807 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxLF-00033C-3r
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:09:37 -0400
Received: from leibniz.telenet-ops.be ([195.130.137.77]:52094)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxLC-00032T-9R
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:09:36 -0400
Received: from laurent.telenet-ops.be (laurent.telenet-ops.be
 [IPv6:2a02:1800:110:4::f00:19])
 by leibniz.telenet-ops.be (Postfix) with ESMTPS id 4Gvv433rb6zMqhm5
 for <50201 <at> debbugs.gnu.org>; Wed, 25 Aug 2021 20:03:47 +0200 (CEST)
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by laurent.telenet-ops.be with bizsmtp
 id lu3k2500G0mfAB401u3n9R; Wed, 25 Aug 2021 20:03:47 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 37/52] gnu: at-spi2-core: Don't cross-compile documentation.
Date: Wed, 25 Aug 2021 20:03:17 +0200
Message-Id: <20210825180332.5720-37-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914627; bh=uinquif/dC+EkmCEcL+ynVcq2Qt2ZKWVBLGkyg0aHHU=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=DJTnmJign0Zzwmw256B3K4UoHKnUkKcgpXsk6m59oj1VBGVUULrmKlCFQfjvNmJ8p
 KAquFZWSvTBKEiisP60sH+74/h3vm7yqgdGWytLE9nf3HGIoLJOcbOssqHJvYWXq+2
 6e1LCkC6sFRXEEfTVR6gS4Bz5JDcDrw7p59n14qo416Y+eMZOwCe0vctpX11HPsyT9
 H9SEaHSxqxVZGPCkmm8ej5aWGdoXkRN9d4wIxwCq4ICftgaCnmU+ZLrPofEUBeJACd
 gdZqlhijWHOwY8YwvWQ+zqkZlsn4FWhpNNBeE3xEJW/eNRkncucOoebwdry//ukKGw
 /UsO2xbwISplw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/gtk.scm
  (at-spi2-core)[arguments]<#:configure-flags>: Set docs=false when
  cross-compiling.
  (at-spi2-core)[arguments]<#:phases>{move-documentation}: Remove when
  cross-compiling.
---
 gnu/packages/gtk.scm | 30 ++++++++++++++++++------------
 1 file changed, 18 insertions(+), 12 deletions(-)

diff --git a/gnu/packages/gtk.scm b/gnu/packages/gtk.scm
index 48abbdcd77..73b805f6fe 100644
--- a/gnu/packages/gtk.scm
+++ b/gnu/packages/gtk.scm
@@ -724,9 +724,13 @@ scaled, composited, modified, saved, or rendered.")
     (build-system meson-build-system)
     (outputs '("out" "doc"))
     (arguments
-     '(#:glib-or-gtk? #t     ; To wrap binaries and/or compile schemas
+     `(#:glib-or-gtk? #t     ; To wrap binaries and/or compile schemas
        #:configure-flags
-       (list "-Ddocs=true")
+       ;; Generating documentation requires running binaries for the host
+       ;; on the build machine.
+       (list ,(if (%current-target-system)
+                  "-Ddocs=false"
+                  "-Ddocs=true"))
        #:phases
        (modify-phases %standard-phases
          (add-after 'unpack 'set-documentation-path
@@ -748,16 +752,18 @@ scaled, composited, modified, saved, or rendered.")
                  (("http://.*/docbookx\\.dtd")
                   (string-append xmldoc "/docbookx.dtd")))
                #t)))
-         (add-after 'install 'move-documentation
-           (lambda* (#:key outputs #:allow-other-keys)
-             (let ((out (assoc-ref outputs "out"))
-                   (doc (assoc-ref outputs "doc")))
-               (copy-recursively
-                (string-append out "/share/gtk-doc")
-                (string-append doc "/share/gtk-doc"))
-               (delete-file-recursively
-                (string-append out "/share/gtk-doc")))
-             #t))
+         ,@(if (%current-target-system)
+               '()
+               '((add-after 'install 'move-documentation
+                   (lambda* (#:key outputs #:allow-other-keys)
+                     (let ((out (assoc-ref outputs "out"))
+                           (doc (assoc-ref outputs "doc")))
+                       (copy-recursively
+                        (string-append out "/share/gtk-doc")
+                        (string-append doc "/share/gtk-doc"))
+                       (delete-file-recursively
+                        (string-append out "/share/gtk-doc")))
+                     #t))))
          (add-after 'install 'check
            (lambda _
              (setenv "HOME" (getenv "TMPDIR")) ; xfconfd requires a writable HOME
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:09:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:09:37 2021
Received: from localhost ([127.0.0.1]:47805 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxLE-000335-Tb
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:09:37 -0400
Received: from leibniz.telenet-ops.be ([195.130.137.77]:52098)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxLC-00032X-9U
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:09:35 -0400
Received: from laurent.telenet-ops.be (laurent.telenet-ops.be
 [IPv6:2a02:1800:110:4::f00:19])
 by leibniz.telenet-ops.be (Postfix) with ESMTPS id 4Gvv4439gdzMqj9f
 for <50201 <at> debbugs.gnu.org>; Wed, 25 Aug 2021 20:03:48 +0200 (CEST)
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by laurent.telenet-ops.be with bizsmtp
 id lu3n2500L0mfAB401u3o9e; Wed, 25 Aug 2021 20:03:48 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 43/52] gnu: libxrandr: Add --disable-malloc0-returnsnull when
 necessary.
Date: Wed, 25 Aug 2021 20:03:23 +0200
Message-Id: <20210825180332.5720-43-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914628; bh=8DgYxbtB1iQaTCTuIGthOIk7ENwWD77WMCTbLVUowg4=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=vQHRIR8HiSriRL47Ub9vo2QHveS8zzmLRD9WowUFnAJ9NK+0Ax4gm7bWqzIhT2Gbn
 3qCKMP5L3zBBk0Op0nCtAZg87qxN5YHE4jR4TPenguz93nMbRhwwEXjmOg076u0qL2
 kCxEw87QG5ruSmnRWMfrybQDdE8dSsblwyeGFEEz+Vg3fpBlBD09rD+02qM5F087fg
 zx23p6C7jgaSKetWdXZ3NcgTc3IcF0ajfaMt3kA62OILhs6m5L08/mq2RhULzAM9Y0
 mc6ZaxPbIQi5nYC7s2pjo+BS28URfISKnte7rRZPXOgNXBN59mhIbnHKeuWFZZUt8H
 Vx8qyMCnLZRoQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/xorg.scm
  (libxrandr)[arguments]<#:configure-flags>: Add malloc0-flags.
---
 gnu/packages/xorg.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/packages/xorg.scm b/gnu/packages/xorg.scm
index eecfacd0ec..385a1cb3bc 100644
--- a/gnu/packages/xorg.scm
+++ b/gnu/packages/xorg.scm
@@ -5241,7 +5241,7 @@ new API's in libXft, or the legacy API's in libX11.")
             "08z0mqywrm7ij8bxlfrx0d2wy6kladdmkva1nw5k6qix82z0xsla"))))
     (build-system gnu-build-system)
     (arguments
-     '(#:configure-flags '("--disable-static")))
+     `(#:configure-flags '("--disable-static" ,@(malloc0-flags))))
     (propagated-inputs
       ;; In accordance with xrandr.pc.
       `(("libx11" ,libx11)
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:09:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:09:36 2021
Received: from localhost ([127.0.0.1]:47803 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxLE-000332-MS
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:09:36 -0400
Received: from leibniz.telenet-ops.be ([195.130.137.77]:52096)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxLC-00032W-9S
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:09:35 -0400
Received: from laurent.telenet-ops.be (laurent.telenet-ops.be
 [IPv6:2a02:1800:110:4::f00:19])
 by leibniz.telenet-ops.be (Postfix) with ESMTPS id 4Gvv430VrwzMqhJM
 for <50201 <at> debbugs.gnu.org>; Wed, 25 Aug 2021 20:03:47 +0200 (CEST)
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by laurent.telenet-ops.be with bizsmtp
 id lu3k2500G0mfAB401u3m9G; Wed, 25 Aug 2021 20:03:46 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 33/52] gnu: libthai: Add datrie as native-input when
 cross-compiling.
Date: Wed, 25 Aug 2021 20:03:13 +0200
Message-Id: <20210825180332.5720-33-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914626; bh=1KOrMpUxymccNn0C6g1JfavoyYMU1+DPnAs0QaHWtyk=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=Yz6iZ25NswdiHA7LOBvWorXuWaaMcv8JD+RWejAdQ3TrR5xJi5cgDj5J4c2pIeXIa
 VnP+pZok2+thM31Pg4jP6kVqKgJHxq05W5VNE7mQg9B42nCS4cbINoqzkGyCm7X777
 Xcs3OmfjKs8IrKm8XZlPdNhPwD1bL66SzKUEUiqmSiW8gw3NzBX25JI8aGdRi2PZTV
 IOM9SnySOMD1YZGZS7veKvqRSyz40+L/2C/wTSoLsVPf7jPvqHpPWuKM0H15dp/J6o
 B3y3yik00BYBSDTQHZMFwjGZpfIKqzYRiirpevQVnYbTAI62bgb8UIdsB/+VtAfhS2
 Umkreh/G4Tu7g==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This allows the cross-build to succeed.

* gnu/packages/gnome.scm
  (libthai)[native-inputs]: Add "datrie" when cross-compiling.
---
 gnu/packages/gtk.scm | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/gtk.scm b/gnu/packages/gtk.scm
index cd764da7f3..48abbdcd77 100644
--- a/gnu/packages/gtk.scm
+++ b/gnu/packages/gtk.scm
@@ -328,7 +328,11 @@ representing trie.  Trie is a kind of digital search tree.")
                        "/share/doc/libthai/html"))))
     (native-inputs
      `(("doxygen" ,doxygen)
-       ("pkg-config" ,pkg-config)))
+       ("pkg-config" ,pkg-config)
+       ;; TODO(core-updates): Make this input unconditional.
+       ,@(if (%current-target-system)
+             `(("datrie" ,libdatrie)) ; for 'trietool'
+             '())))
     (propagated-inputs
      `(("datrie" ,libdatrie)))
     (synopsis "Thai language support library")
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:05:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:05:58 2021
Received: from localhost ([127.0.0.1]:47777 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxHd-0002vI-SE
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:05:58 -0400
Received: from laurent.telenet-ops.be ([195.130.137.89]:55678)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxFd-0002hr-3H
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:53 -0400
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by laurent.telenet-ops.be with bizsmtp
 id lu3n2500L0mfAB401u3o9t; Wed, 25 Aug 2021 20:03:48 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 48/52] gnu: libproxy: Don't run tests when cross-compiling.
Date: Wed, 25 Aug 2021 20:03:28 +0200
Message-Id: <20210825180332.5720-48-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914628; bh=inntnXJSMjmYk0z0OTj1C2P0DNn0dE3AMMJ+Eyu5GRY=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=D4scjUyVvZZ5IE6rhfel7NdfECXtEd8NCde6QnNT2IrkpE6zkl4QK1iHCCr+DvWyN
 8WUskvvZTz+KOiMwzKzkKB44Kw23osiuJXE7olxRFrXECZq8spLuVt6t1x+1tYk6jd
 1Gh1UtcFzRpGF50pWYqdx7QLfjx2JXpCh4w6iXr0CxzdGY8nyGyX2VfttNFHOJR6V7
 y9VNqoLKk31pGa8VvZYhjhrn1rg6g4OCnumNS9fYOUNgd+tSp4lHxzqDJJhrEO/eBw
 JIiKE5yyme1pj5VpGTNHQ9N5V1YTSrVQxC8+JgxL8Sje4+KBCoS61cMmEouJ0avRqa
 IEGEq8dc/wYJg==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/networking.scm
  (libproxy)[arguments]]<#:phases>{check}: Respect #:tests? when
  cross-compiling.
---
 gnu/packages/networking.scm | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/networking.scm b/gnu/packages/networking.scm
index db01771fc7..fe50c0eb27 100644
--- a/gnu/packages/networking.scm
+++ b/gnu/packages/networking.scm
@@ -44,6 +44,7 @@
 ;;; Copyright © 2021 Hartmut Goebel <h.goebel@HIDDEN>
 ;;; Copyright © 2021 Justin Veilleux <terramorpha@HIDDEN>
 ;;; Copyright © 2021 Vinicius Monego <monego@HIDDEN>
+;;; Copyright © 2021 Maxime Devos <maximedevos@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -2224,8 +2225,13 @@ sockets in Perl.")
      `(#:phases
        (modify-phases %standard-phases
          (replace 'check
-                  (lambda _
-                    (invoke "ctest" "-E" "url-test"))))))
+           ;; TODO(core-updates): Make this unconditional.
+           ,(if (%current-target-system)
+                '(lambda* (#:key tests? #:allow-other-keys)
+                   (when tests?
+                     (invoke "ctest" "-E" "url-test")))
+                '(lambda _
+                   (invoke "ctest" "-E" "url-test")))))))
     (synopsis "Library providing automatic proxy configuration management")
     (description "Libproxy handles the details of HTTP/HTTPS proxy
 configuration for applications across all scenarios.  Applications using
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:05:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:05:53 2021
Received: from localhost ([127.0.0.1]:47775 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxHa-0002ue-1r
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:05:53 -0400
Received: from newton.telenet-ops.be ([195.130.132.45]:34874)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxFd-0002is-LU
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:52 -0400
Received: from laurent.telenet-ops.be (laurent.telenet-ops.be
 [IPv6:2a02:1800:110:4::f00:19])
 by newton.telenet-ops.be (Postfix) with ESMTPS id 4Gvv445lD1zMr1mL
 for <50201 <at> debbugs.gnu.org>; Wed, 25 Aug 2021 20:03:48 +0200 (CEST)
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by laurent.telenet-ops.be with bizsmtp
 id lu3n2500L0mfAB401u3o9m; Wed, 25 Aug 2021 20:03:48 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 46/52] gnu: wayland: Find wayland-scanner when cross-compiling.
Date: Wed, 25 Aug 2021 20:03:26 +0200
Message-Id: <20210825180332.5720-46-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914628; bh=ntisTMycjy7D8kjrPJR0CXX92jEEr0bOs2YZ4Z8++go=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=Ey8Glt7l+jO5/WZRlsNEEA/mlzJYahe1Hboc1IAE6AKfA5ZtTKM0NHxKHXuFd1B7k
 MycqcCZuuv1Sn1LDBJEs7d0gf6xalokjBAb8v/45iUxdEPuc6GgOhh9QkAYRkyA6mq
 I3siQhLGNhYgwjivkR4R8Vu+w/m3sFIAN0b4nUfVKWzsyAUzmYt2MGFcE/4JNcvew5
 PdTq8BHhTA+h6X9N0Hnu8iA23UtCWD7ZdgQYtlNH89PTqKljhzPn3K2COrzlomY9er
 2KbstlJ9GDRYw+Yc46Kuohi2lkKPIbyGLk8BgrUWV5aemeUiNoeXvs8bFscKyYgkSI
 FOfflm1n/ROlg==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/freedesktop.scm (wayland)[native-inputs]: Add
  pkg-config-for-build and 'this-package' when cross-compiling.
---
 gnu/packages/freedesktop.scm | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/freedesktop.scm b/gnu/packages/freedesktop.scm
index 0f6bb72a1f..9384ecd3f2 100644
--- a/gnu/packages/freedesktop.scm
+++ b/gnu/packages/freedesktop.scm
@@ -1006,7 +1006,11 @@ Python.")
        ("doxygen" ,doxygen)
        ("pkg-config" ,pkg-config)
        ("xmlto" ,xmlto)
-       ("xsltproc" ,libxslt)))
+       ("xsltproc" ,libxslt)
+       ,@(if (%current-target-system)
+             `(("pkg-config-for-build" ,pkg-config-for-build)
+               ("wayland" ,this-package)) ; for wayland-scanner
+             '())))
     (inputs
      `(("expat" ,expat)
        ("libxml2" ,libxml2)))           ; for XML_CATALOG_FILES
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:05:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:05:50 2021
Received: from localhost ([127.0.0.1]:47773 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxHW-0002uU-4n
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:05:49 -0400
Received: from laurent.telenet-ops.be ([195.130.137.89]:55696)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxFd-0002i2-JX
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:51 -0400
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by laurent.telenet-ops.be with bizsmtp
 id lu3n2500L0mfAB401u3pA2; Wed, 25 Aug 2021 20:03:49 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 52/52] gnu: at-spi2-atk: Don't compile tests when
 cross-compiling.
Date: Wed, 25 Aug 2021 20:03:32 +0200
Message-Id: <20210825180332.5720-52-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914629; bh=rodQ7jTvcuR6DdI/nnQEAWhuUI8ewDnzr9HdaPr9Cuw=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=mBqXwR7+CVERFUQbtiLD4fql0vIzCL8Fq2FGeD7uO2aHuT+ewc/eF2Qcpct1AprtG
 2BMslUnE8iTXuFRbOuzfE2E2Lac2DUbeJRVXI9wXENk3S09owsSkCm2P8xeyJhxytp
 Fala/jmGipzi68aI4bS3r1eiGfvnjhBUmYAj/pg8qGjGRG0CCRHNMjbqYVmW2YQkiQ
 GbVH67yP96rFcv8KocD6bc5PLj7hsRR4YVEZ1Yi3GszatGS059/nd9oKMR8BG6aOMj
 Awv0q5yUw9cw14X+f88sdLmWLKr9CH97f/umSqKUQPFWwK069Y5QWaswkp8J0RCEQU
 knkGYoBlVldnQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/gtk.scm
  (at-spi2-atk)[arguments]<#:configure-flags>: Set tests=false when
  cross-compiling.
---
 gnu/packages/gtk.scm | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/gnu/packages/gtk.scm b/gnu/packages/gtk.scm
index 5409d0c510..dceb5069fd 100644
--- a/gnu/packages/gtk.scm
+++ b/gnu/packages/gtk.scm
@@ -856,6 +856,10 @@ is part of the GNOME accessibility project.")
     (build-system meson-build-system)
     (arguments
      `(#:glib-or-gtk? #t     ; To wrap binaries and/or compile schemas
+       ;; Compiling tests requires "libxml2" to be in 'inputs'.
+       ,@(if (%current-target-system)
+             `(#:configure-flags '("-Dtests=false"))
+             '())
        #:phases
        (modify-phases %standard-phases
          (replace 'check
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:05:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:05:46 2021
Received: from localhost ([127.0.0.1]:47771 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxHS-0002uH-8S
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:05:46 -0400
Received: from laurent.telenet-ops.be ([195.130.137.89]:55690)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxFd-0002hz-Bn
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:51 -0400
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by laurent.telenet-ops.be with bizsmtp
 id lu3n2500L0mfAB401u3p9x; Wed, 25 Aug 2021 20:03:49 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 50/52] gnu: gdk-pixbuf: Add bash-minimal input when
 cross-compiling.
Date: Wed, 25 Aug 2021 20:03:30 +0200
Message-Id: <20210825180332.5720-50-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914629; bh=f1/3ZfYlKVYoC3xa5g4bYkjJeuYIN99EULHwBRvg8fc=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=Lhilq6e7HCGpVX1ffOa+hblLvGwhwd3P1pi2BWoqqv7qlbMjSMcM1VFxflRJIICqT
 b7s7D8oQ0zx9iGDCrzCl8YiZ2l5skouCM47werWKT7zilTNdZzZHgeoTChZE2ztnx0
 C6bbssTvaqflE5q4W2GAxAN3AlOWwq5kAQxIAqNzP9efcPQGyACKD5Eff1i7r3xgcM
 55RwtzCYFFpuToXMNI8QFnGp4vEfwBXuGG0j9rP5nsekXww/io19VPjrNca/gRyhao
 9/UeLdRUL0w4XhcEglDBw/hPhL1mPFlFBc1go/of9A3ff+cPCpJ0qRheLkti1GvmOt
 w1Awryfp2xW3w==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/gtk.scm
  (gdk-pixbuf)[inputs]: Add "bash-minimal" when cross-compiling.
---
 gnu/packages/gtk.scm | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/gtk.scm b/gnu/packages/gtk.scm
index 8bf55ccf14..74c4eee155 100644
--- a/gnu/packages/gtk.scm
+++ b/gnu/packages/gtk.scm
@@ -668,7 +668,10 @@ highlighting and other features typical of a source code editor.")
        ;; Used for testing and required at runtime.
        ("shared-mime-info" ,shared-mime-info)))
     (inputs
-     `(("jasper" ,jasper)
+     `(,@(if (%current-target-system)
+             `(("bash-minimal" ,bash-minimal)) ; for glib-or-gtk-wrap
+             '())
+       ("jasper" ,jasper)
        ("libjpeg" ,libjpeg-turbo)
        ("libpng"  ,libpng)
        ("libtiff" ,libtiff)))
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:05:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:05:42 2021
Received: from localhost ([127.0.0.1]:47769 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxHN-0002td-Vv
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:05:42 -0400
Received: from laurent.telenet-ops.be ([195.130.137.89]:55684)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxFc-0002hs-Vm
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:50 -0400
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by laurent.telenet-ops.be with bizsmtp
 id lu3n2500L0mfAB401u3o9p; Wed, 25 Aug 2021 20:03:48 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 47/52] gnu: wayland: Find docbook-xml when cross-compiling.
Date: Wed, 25 Aug 2021 20:03:27 +0200
Message-Id: <20210825180332.5720-47-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914628; bh=ColfQF2cLOaGA5eWaVpM9KQVlgOPnO6A2eFh5snvTAU=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=d+Uxr/Evh8nFj9AjN53/0Dxr7+T4dDju1CxP3Kswp/KS8TLhFOtZMMTp4MUnf7AgL
 R0u7hiZ5tzild/1XhUksOosSJ9viwkPRcil6vWpDtR6qFm6ieuv8ePH0FbdhMK5lm5
 lPREu9jBO3faRyz6IZMjSzFJu+0V41FBCN8fwXHBpDx+5I2awH/IqSTNwFP+ABV8Zz
 jiVUYdrMt/gBBpclW3ksaGilAzQ0585Z0Xq6E6Bk+SExaOCEmH7rdVpOrxqLumH6hR
 q27UMr9sc241BD5P+SY3sbMnKRp+oZm+r/yo6m5vy6/ih6eUoh7vZJPTXQ0mr5x8wa
 tNk1CFVj31LQw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/freedesktop.scm
  (wayland)[arguments]<#:phases>{patchdocbook-xml}: Look in 'native-inputs'
  instead of 'inputs' when cross-compiling.
---
 gnu/packages/freedesktop.scm | 14 +++++++++++---
 1 file changed, 11 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/freedesktop.scm b/gnu/packages/freedesktop.scm
index 9384ecd3f2..2e696f3848 100644
--- a/gnu/packages/freedesktop.scm
+++ b/gnu/packages/freedesktop.scm
@@ -979,14 +979,22 @@ Python.")
         #:phases
        (modify-phases %standard-phases
          (add-after 'unpack 'patch-docbook-xml
-           (lambda* (#:key inputs #:allow-other-keys)
+           ;; TODO(core-updates): Use 'native-inputs' unconditionally
+           (lambda* (#:key ,@(if (%current-target-system)
+                                 '(native-inputs)
+                                 '())
+                     inputs #:allow-other-keys)
              (with-directory-excursion "doc"
                (substitute* (find-files "." "\\.xml$")
                  (("http://www.oasis-open.org/docbook/xml/4\\.5/")
-                  (string-append (assoc-ref inputs "docbook-xml")
+                  (string-append (assoc-ref ,(if (%current-target-system)
+                                                 '(or native-inputs inputs)
+                                                 'inputs) "docbook-xml")
                                  "/xml/dtd/docbook/"))
                  (("http://www.oasis-open.org/docbook/xml/4\\.2/")
-                  (string-append (assoc-ref inputs "docbook-xml-4.2")
+                  (string-append (assoc-ref ,(if (%current-target-system)
+                                                 '(or native-inputs inputs)
+                                                 'inputs) "docbook-xml-4.2")
                                  "/xml/dtd/docbook/"))))
              #t))
          (add-after 'install 'move-doc
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:05:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:05:38 2021
Received: from localhost ([127.0.0.1]:47767 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxHK-0002tR-38
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:05:37 -0400
Received: from laurent.telenet-ops.be ([195.130.137.89]:55660)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxFc-0002hf-CC
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:50 -0400
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by laurent.telenet-ops.be with bizsmtp
 id lu3n2500L0mfAB401u3o9c; Wed, 25 Aug 2021 20:03:48 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 42/52] gnu: libxi: Add --disable-malloc0-returnsnull when
 necessary.
Date: Wed, 25 Aug 2021 20:03:22 +0200
Message-Id: <20210825180332.5720-42-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914628; bh=Es92lra0YgPYIPlLK3zTxPjV93ajdzgElPHlDxqArbw=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=Ezz5wqIm8RqtZnlYYyKRdTyJOcEE4WUt8buV/OuQI7rww59YUsm1Qd3rLjsvy0ToK
 Qm8qzV78A9uBWJJgf8oidClwXGfj7ahlJwLuT74Gfo5S7JXBRjRSapXACxvbZPCSG1
 n5D20aHcWm2FRQuyjCuSJGNQWsbmF4fXsjTJhjJwUzDn2xDti8+KJjnP3Fj0bZWfWm
 uRmMjHYj4kf/ntHURvWX2fvFnsW5qXD78nZ3BoxTvsn/cQS9HhZ4LCB8MhdkWIcXfE
 k8puexuHDWH9pFpBNmBj3GROVtLNQyvCv0h7Z+a0ukGRnObh+Ub0IsI0uBKHqkznSZ
 fV6G+k4z9D5Sw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/xorg.scm
  (libxi)[arguments]<#:configure-flags>: Add malloc0-flags.
---
 gnu/packages/xorg.scm | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/xorg.scm b/gnu/packages/xorg.scm
index 5d1fd6fa80..eecfacd0ec 100644
--- a/gnu/packages/xorg.scm
+++ b/gnu/packages/xorg.scm
@@ -5208,10 +5208,11 @@ new API's in libXft, or the legacy API's in libX11.")
     (build-system gnu-build-system)
     (outputs '("out" "doc"))             ;man pages represent 28% of the total
     (arguments
-     '(#:configure-flags (list "--disable-static"
+     `(#:configure-flags (list "--disable-static"
                                (string-append "--mandir="
                                               (assoc-ref %outputs "doc")
-                                              "/share/man"))))
+                                              "/share/man")
+                               ,@(malloc0-flags))))
     (propagated-inputs
       `(("xorgproto" ,xorgproto)
         ("libx11" ,libx11)
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:05:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:05:34 2021
Received: from localhost ([127.0.0.1]:47765 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxHG-0002tF-6F
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:05:34 -0400
Received: from laurent.telenet-ops.be ([195.130.137.89]:55672)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxFc-0002hq-Jf
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:50 -0400
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by laurent.telenet-ops.be with bizsmtp
 id lu3n2500L0mfAB401u3o9h; Wed, 25 Aug 2021 20:03:48 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 44/52] gnu: libxxf85vm: Add --disable-malloc0-returnsnull when
 necessary.
Date: Wed, 25 Aug 2021 20:03:24 +0200
Message-Id: <20210825180332.5720-44-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914628; bh=2vigp/EVJSPHnZ+bJiuisoJ0UrA0PLej8bPRvFfaqa4=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=uONoRCcCIMMZGHEeEcv0s0SHidk3FxG9BzyHybjHYP6pdRDq7vCWhsZN9rAaCDGBN
 fAJeSBFpfhBg1KNjMbxM0p9oHew9OWKPTAoFI+9Ad3JOIXXh+mkQoRhRyxNtqkjxHm
 MdCk3ORIObZs42T6m/YMHazXL9S7Vk+cRVzeaa3qBSMivPeciNGGIEFEhZHxgUWep0
 Ky1bsofZNhV+naRzs1wc0JAfuUaTUS0+0nzPwXA7Bw+/jvUin6iLWp4qWQJHmmBf3j
 7Zz2mjUHhs+heaX8brbeWneAAGhkgrYXLJUoiC+KLvWQHj5pDxaW3M0HSwzRRqPYGD
 AM/bz3V2XbyaA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/xorg.scm
  (libxxf86vm)[arguments]<#:configure-flags>: Add malloc0-flags.
---
 gnu/packages/xorg.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/packages/xorg.scm b/gnu/packages/xorg.scm
index 385a1cb3bc..30e8fb1db1 100644
--- a/gnu/packages/xorg.scm
+++ b/gnu/packages/xorg.scm
@@ -5302,7 +5302,7 @@ new API's in libXft, or the legacy API's in libX11.")
             "0mydhlyn72i7brjwypsqrpkls3nm6vxw0li8b2nw0caz7kwjgvmg"))))
     (build-system gnu-build-system)
     (arguments
-     '(#:configure-flags '("--disable-static")))
+     `(#:configure-flags '("--disable-static" ,@(malloc0-flags))))
     (propagated-inputs
       `(("libxext" ,libxext)
         ("xorgproto" ,xorgproto)))
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:05:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:05:30 2021
Received: from localhost ([127.0.0.1]:47763 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxHC-0002t4-9D
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:05:30 -0400
Received: from laurent.telenet-ops.be ([195.130.137.89]:55644)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxFb-0002hZ-Uu
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:50 -0400
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by laurent.telenet-ops.be with bizsmtp
 id lu3k2500G0mfAB401u3n9X; Wed, 25 Aug 2021 20:03:47 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 40/52] gnu: xorg: Unify --disable-malloc0-returnsnull code.
Date: Wed, 25 Aug 2021 20:03:20 +0200
Message-Id: <20210825180332.5720-40-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914627; bh=BDyjBdKpQ1Wh75Z6mUGDrYSAUeOoqyCoyWTVLBkYws0=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=k16ZSLUh5YXJkALBjqLk2m7zkNpmq0ijmLjP7fGw74ypmVahjD6io49wYhOugiUOT
 raBSFktDKqRtP6BMwLKctQ17z5R8wVfRriRKSKXfJxJ4SEyuTc+NnVV2gvFITyj+Qr
 7AdKUFQE7kgn/8Gj9agRnfJK0cwXZYwDwu8gXORX2DBw1zbFzSaMGqSrb3L3Zkegkt
 frMg6ho440qN81wDkMhaxhTchJyBKDCN6dcZ5nCbv50sbBr8Gah02nRwnM9Zi5kZKY
 AeTcLKvQ3gWn3L7V7rKL3CTzQLy1CgsB88yQS/kYrMZ5lFThJ06zkQXYi9KZeA3WnC
 e5akV1Uy3uBRQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

The idea is to keep the comments in one place, instead of copying
them over and over.  It's also documented more now.

* gnu/packages/xorg.scm
  (malloc0-flags): New procedure.
  (libxext,libxrender,libx11,libxt): Use new procedures.
---
 gnu/packages/xorg.scm | 32 ++++++++++++++------------------
 1 file changed, 14 insertions(+), 18 deletions(-)

diff --git a/gnu/packages/xorg.scm b/gnu/packages/xorg.scm
index def751c62c..0197e785cb 100644
--- a/gnu/packages/xorg.scm
+++ b/gnu/packages/xorg.scm
@@ -102,6 +102,16 @@
 
 
 
+;; When cross-compiling certain packages, "--disable-malloc0returnsnull"
+;; needs to be passed.  Otherwise, the configure script will try to run a
+;; binary for the host on the build machine.
+(define (malloc0-flags)
+  (if (%current-target-system)
+      ;; At least on glibc-based systems, malloc(0) evaluates to a non-NULL
+      ;; pointer (except in out-of-memory situations).  On other systems,
+      ;; --enable-malloc0returnsnull might be required instead.
+      '("--disable-malloc0returnsnull")
+      '()))
 
 ;; packages without propagated input
 ;; (rationale for this separation: The packages in PROPAGATED_INPUTS need to
@@ -4792,10 +4802,7 @@ cannot be adequately worked around on the client side of the wire.")
              (string-append "--mandir="
                             (assoc-ref %outputs "doc")
                             "/share/man")
-             ;; Disable zero malloc check that fails when cross-compiling.
-             ,@(if (%current-target-system)
-                   '("--disable-malloc0returnsnull")
-                   '()))))
+             ,@(malloc0-flags))))
     (propagated-inputs
       `(("xorgproto" ,xorgproto)))
     (inputs
@@ -4885,11 +4892,7 @@ cannot be adequately worked around on the client side of the wire.")
     (build-system gnu-build-system)
     (arguments
      `(#:configure-flags
-       (list "--disable-static"
-             ;; Disable zero malloc check that fails when cross-compiling.
-             ,@(if (%current-target-system)
-                   '("--disable-malloc0returnsnull")
-                   '()))))
+       (list "--disable-static" ,@(malloc0-flags))))
     (propagated-inputs
       `(("xorgproto" ,xorgproto)))
     (inputs
@@ -5562,11 +5565,7 @@ draggable titlebars and borders.")
                             (assoc-ref %outputs "doc")
                             "/share/man")
              "--disable-static"
-
-             ;; Disable zero malloc check that fails when cross-compiling.
-             ,@(if (%current-target-system)
-                   '("--disable-malloc0returnsnull")
-                   '()))))
+             ,@(malloc0-flags))))
     (propagated-inputs
       `(("xorgproto" ,xorgproto)
         ("libxcb" ,libxcb)))
@@ -5644,10 +5643,7 @@ draggable titlebars and borders.")
                             (assoc-ref %outputs "doc")
                             "/share/man")
              "--disable-static"
-             ;; Disable zero malloc check that fails when cross-compiling.
-             ,@(if (%current-target-system)
-                   '("--disable-malloc0returnsnull")
-                   '()))))
+             ,@(malloc0-flags))))
     (propagated-inputs
       `(("libx11" ,libx11)
         ("libice" ,libice)
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:05:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:05:26 2021
Received: from localhost ([127.0.0.1]:47761 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxH8-0002st-CU
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:05:26 -0400
Received: from laurent.telenet-ops.be ([195.130.137.89]:55666)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxFc-0002hp-8V
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:50 -0400
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by laurent.telenet-ops.be with bizsmtp
 id lu3n2500L0mfAB401u3n9a; Wed, 25 Aug 2021 20:03:47 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 41/52] gnu: libxinerama: Add --disable-malloc0-returnsnull
 when necessary.
Date: Wed, 25 Aug 2021 20:03:21 +0200
Message-Id: <20210825180332.5720-41-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914628; bh=jj0+CbLTOwXS+TfZC4B9lWkYp2a5/ys9/MQnstMkWxo=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=RVhq+/N4J9WsC6Cr6ALGYGFwBzVcgiZWf7NQmDqe4MBa6cZN6n8s7YOK/9Q2GPfDb
 bmbtl9zCKP3c01smnhuvzc9B6hjeUxXKN3Z2VxEgblAKNMnLupogh+nkf82ngr2tm9
 B06g7sfoKqPymC+XL07X7ZKNKn4e/WOxlLlQ4Yx4fIUxe/3LYgIWyAKZGQrh1+yMFg
 KjoHn6HApEkJDiyEq1tGqiq99LuE4Wbof5fl9/zzK/jtfXdqimmqhfVvETpQMIpav2
 MMyW8o6kZr1jhGg4auUxaCyU0AZrwC1+usNuVRLB89QU122zQUXCSrHGmHMRJ1wNQW
 HvB3q5pCz6mrA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/xorg.scm
  (libxinerama)[arguments]<#:configure-flags>: Add malloc0-flags.
---
 gnu/packages/xorg.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/packages/xorg.scm b/gnu/packages/xorg.scm
index 0197e785cb..5d1fd6fa80 100644
--- a/gnu/packages/xorg.scm
+++ b/gnu/packages/xorg.scm
@@ -4833,7 +4833,7 @@ cannot be adequately worked around on the client side of the wire.")
             "086p0axqj57nvkaqa6r00dnr9kyrn1m8blgf0zjy25zpxkbxn200"))))
     (build-system gnu-build-system)
     (arguments
-     '(#:configure-flags '("--disable-static")))
+     `(#:configure-flags '("--disable-static" ,@(malloc0-flags))))
     (propagated-inputs
       `(("xorgproto" ,xorgproto)))
     (inputs
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:05:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:05:22 2021
Received: from localhost ([127.0.0.1]:47759 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxH4-0002sj-FO
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:05:22 -0400
Received: from laurent.telenet-ops.be ([195.130.137.89]:55702)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxFb-0002i5-89
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:49 -0400
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by laurent.telenet-ops.be with bizsmtp
 id lu3k2500G0mfAB401u3m9B; Wed, 25 Aug 2021 20:03:46 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 31/52] gnu: json-glib: Don't build gtk documentation when
 cross-compiling.
Date: Wed, 25 Aug 2021 20:03:11 +0200
Message-Id: <20210825180332.5720-31-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914626; bh=SanOm3VbysYMGhrp3tuoZ/1TreneFf+KCpMfb3eRQuM=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=Nm9XO62VkZSmKyUhiXEPb37BRPLww+T4xkeIwVTWXo52f1dBf5GnoPSfN3abMNucc
 1Rghaqej2SfU9Jpk1xRm+euRLVRTRd9/tM+4lbDNbUIayKEFFP6Z9K3edn6PRH/m5R
 14fykMT3o2VeC/Tqw+mWW8kaO1NVQE6vOjC6lTe9z9+ojIgR/550qk3kVV45aP7XaZ
 1wX319ZVGqNfe9IMMSz0d51/UQivSnhUSPDiPOnzyAXgetr2hvcyBhz401BLIQqGH4
 RfZOCDX45XADvelD1Ru3m7ezRfg1IEgNR3Ipek0Hm0WPLDC90yBodRrxMYBfsqziVs
 wqLebR1eO+oQg==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/gnome.scm
  (json-glib)[arguments]<#:configue-flags>: Set gtk_doc=disables when
  cross-compiling.
  (json-glib)[arguments]<#:phases>{move-docs}: Don't run when cross-compiling
  ...
  (json-glib)[arguments]<#:phases>{stub-docs}: ... instead, create an empty
  directory where the documentation would be.
---
 gnu/packages/gnome.scm | 31 +++++++++++++++++++++----------
 1 file changed, 21 insertions(+), 10 deletions(-)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index c0b6d010c7..febbe10ee8 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -4577,7 +4577,12 @@ configuration storage systems.")
        #:configure-flags
        (list
         "-Ddocs=true"
-        "-Dman=true")
+        "-Dman=true"
+        ,@(if (%current-target-system)
+              ;; If enabled, gtkdoc-scangobj will try to execute a
+              ;; cross-compiled binary.
+              '("-Dgtk_doc=disabled")
+              '()))
        #:phases
        (modify-phases %standard-phases
          (add-after 'unpack 'patch-docbook
@@ -4601,15 +4606,21 @@ configuration storage systems.")
                                                  'inputs) "docbook-xsl")
                                  "/xml/xsl/docbook-xsl-1.79.2/"))))
              #t))
-         (add-after 'install 'move-docs
-           (lambda* (#:key outputs #:allow-other-keys)
-             (let* ((out (assoc-ref outputs "out"))
-                    (doc (assoc-ref outputs "doc")))
-               (mkdir-p (string-append doc "/share"))
-               (rename-file
-                (string-append out "/share/gtk-doc")
-                (string-append doc "/share/gtk-doc"))
-               #t))))))
+         ;; When cross-compiling, there are no docs to move.
+         ,(if (%current-target-system)
+              '(add-after 'install 'stub-docs
+                 (lambda* (#:key outputs #:allow-other-keys)
+                   ;; The daemon doesn't like empty output paths.
+                   (mkdir (assoc-ref outputs "doc"))))
+              '(add-after 'install 'move-docs
+                 (lambda* (#:key outputs #:allow-other-keys)
+                   (let* ((out (assoc-ref outputs "out"))
+                          (doc (assoc-ref outputs "doc")))
+                     (mkdir-p (string-append doc "/share"))
+                     (rename-file
+                      (string-append out "/share/gtk-doc")
+                      (string-append doc "/share/gtk-doc"))
+                     #t)))))))
     (native-inputs
      `(("docbook-xml" ,docbook-xml-4.3)
        ("docbook-xsl" ,docbook-xsl)
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:05:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:05:18 2021
Received: from localhost ([127.0.0.1]:47757 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxH0-0002sX-IZ
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:05:18 -0400
Received: from laurent.telenet-ops.be ([195.130.137.89]:55654)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxFb-0002hb-R1
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:49 -0400
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by laurent.telenet-ops.be with bizsmtp
 id lu3k2500G0mfAB401u3n9V; Wed, 25 Aug 2021 20:03:47 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 39/52] gnu: at-spi2-core: Add missing "bash-minimal" input.
Date: Wed, 25 Aug 2021 20:03:19 +0200
Message-Id: <20210825180332.5720-39-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914627; bh=xfZbBvokFacVFw1PW8hzArmI/3HVae0FPwGZZy+0gAQ=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=nNQ5LaYHKCxQey3lR69ng1k1lT1LSVer/BUfxB9bfJtCggRhxWNpQnZBNKSeUw7eg
 qIKvIxdvVa5jHU9MoOO+3I6mUjO/mdKaSMlOf8aMXVGhscdT8JRHbVQ54kIV1osm2z
 70hjSS+aiNLhcytXYBU+zj+0eZ9uhFyzZBRl0xdkyqrVg/EyrUlfzkfH0VZNh3yel3
 MJRcLdtdw4VenYvJsJDeTE47l6jCWjemyS0JlNRRbMEG1VfMQYe/PmGqDbvTOwZaSw
 j5DOXTd9QA/zmuvPAMCQzmKkSGodJDQozd3baKRiXaVpuEyiHjp+sjZQF3fjRVieND
 gOiSA+oQwvYvA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/gtk.scm
  (at-spi2-core)[inputs]: Add "bash-minimal" when cross-compiling.
---
 gnu/packages/gtk.scm | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/gnu/packages/gtk.scm b/gnu/packages/gtk.scm
index 49208716eb..1d6be00e60 100644
--- a/gnu/packages/gtk.scm
+++ b/gnu/packages/gtk.scm
@@ -781,6 +781,11 @@ scaled, composited, modified, saved, or rendered.")
              (setenv "DBUS_FATAL_WARNINGS" "0") ;
              (invoke "dbus-launch" "ninja" "test")))
          (delete 'check))))
+    (inputs
+     ;; TODO(core-updates): Make this input unconditional.
+     (if (%current-target-system)
+         `(("bash-minimal" ,bash-minimal))
+         '()))
     (propagated-inputs
      ;; atspi-2.pc refers to all these.
      `(("dbus" ,dbus)
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:05:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:05:14 2021
Received: from localhost ([127.0.0.1]:47755 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxGw-0002sL-LE
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:05:14 -0400
Received: from laurent.telenet-ops.be ([195.130.137.89]:55648)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxFb-0002ha-Mx
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:49 -0400
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by laurent.telenet-ops.be with bizsmtp
 id lu3k2500G0mfAB401u3n9T; Wed, 25 Aug 2021 20:03:47 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 38/52] gnu: at-spi2-core: Find docbook when cross-compiling.
Date: Wed, 25 Aug 2021 20:03:18 +0200
Message-Id: <20210825180332.5720-38-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914627; bh=wdfhCARkcIWUnb8mXmHCYkrYKMAMPHckl0VyL49Wr+o=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=dRoaAPBwLMlYhamrYKtalVIsTq7g9T8JYxKW35buL5iNvwyyZOKXkdDA2GTODVvTH
 eMjaM4Cj6j5DgGA2SvLe9iwVHnhjZ3pImYFBbWKgC623+QWptSx5wJsJdw66kDUtnH
 zlGVEqdSt9UH2M7yRvLnqumhWk+LZmIesfqtBLPt1+h3i6lwjlNe1elfVQor7RKUdZ
 xaCXRUJNngBK4CNwSFOrMm7nk/9UOnCvDtOZqa4cu32mOviPUTOPfWd5ox+5QRipV7
 i4MxGCUPZY3PvsZSJ3POOeR2nVxNWcEe5BhpacDsbloS+dNDvxcPa1Hik1mcxBPLDB
 D6bgni2F5x5sQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/gtk.scm
  (at-spi2-core)[arguments]<#:phases>{patch-docbook-sgml}: Look up
  "docbook-sxml" in 'native-inputs' instead of 'inputs' when cross-compiling.
---
 gnu/packages/gtk.scm | 13 ++++++++++---
 1 file changed, 10 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/gtk.scm b/gnu/packages/gtk.scm
index 73b805f6fe..49208716eb 100644
--- a/gnu/packages/gtk.scm
+++ b/gnu/packages/gtk.scm
@@ -744,10 +744,17 @@ scaled, composited, modified, saved, or rendered.")
            (lambda* (#:key outputs #:allow-other-keys)
              (mkdir-p (string-append (assoc-ref outputs "doc") "/share"))
              #t))
+         ;; TODO(core-updates): Unconditionally use (or native-inputs inputs)
          (add-after 'unpack 'patch-docbook-sgml
-           (lambda* (#:key inputs #:allow-other-keys)
-             (let* ((xmldoc (string-append (assoc-ref inputs "docbook-xml")
-                                           "/xml/dtd/docbook")))
+           (lambda* (#:key ,@(if (%current-target-system)
+                                 '(native-inputs)
+                                 '()) inputs #:allow-other-keys)
+             (let* ((xmldoc
+                     (string-append (assoc-ref ,(if (%current-target-system)
+                                                    '(or native-inputs inputs)
+                                                    'inputs)
+                                               "docbook-xml")
+                                    "/xml/dtd/docbook")))
                (substitute* "doc/libatspi/libatspi-docs.sgml"
                  (("http://.*/docbookx\\.dtd")
                   (string-append xmldoc "/docbookx.dtd")))
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:05:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:05:10 2021
Received: from localhost ([127.0.0.1]:47753 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxGs-0002s8-AN
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:05:10 -0400
Received: from laurent.telenet-ops.be ([195.130.137.89]:55696)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxFb-0002i2-3t
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:49 -0400
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by laurent.telenet-ops.be with bizsmtp
 id lu3k2500G0mfAB401u3m99; Wed, 25 Aug 2021 20:03:46 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 30/52] gnu: json-glib: Find docbook inputs when
 cross-compiling.
Date: Wed, 25 Aug 2021 20:03:10 +0200
Message-Id: <20210825180332.5720-30-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914626; bh=Fj+ZeD8eV6Cbp/J5oOj7GdiqcG6cRD09wpUoBEplGCs=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=TFrwX/gks4ClCJ3/MELcTb5m04UnGnyu4SGxsTYphP/igPCYyM+UJ4qYW4jgkSoVy
 Az+fJaJf2IU15O4be5nDaGU1ADJDy4C6cKQVo5ZEiiel33ahJMAU8XggUd45wUW7DY
 RWTYNOmlmdmPbjnXy8NUrJwdH5snTSSLLIW7XD7WQO8zoZM2gKHKztIrL6hQ4jc3ex
 OHbuQ0ZEVB3qb/i8L8sMKLhPhzuGlCWnlXoZ4TgQiCjq3W3hbWzJv24Mkgt3gBdH3S
 tEVsuK52REkQ+WCxVII2iFrZP0Mf5PbEPOQicOvXUGSMeWzQWoVI47FJMkcwWatzqZ
 ibTDMcCMK2jPQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/gnome.scm (json-glib)[arguments]<#:phases>{patch-docbook}:
  Look up "docbook-xml" in 'native-inputs', not 'inputs', when
  cross-compiling.
---
 gnu/packages/gnome.scm | 15 ++++++++++++---
 1 file changed, 12 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index f0f3c0aeef..c0b6d010c7 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -4581,15 +4581,24 @@ configuration storage systems.")
        #:phases
        (modify-phases %standard-phases
          (add-after 'unpack 'patch-docbook
-           (lambda* (#:key inputs #:allow-other-keys)
+           ;; TODO(core-updates): Use (or native-inputs inputs)
+           ;; unconditionally.
+           (lambda* (#:key ,@(if (%current-target-system)
+                                 '(native-inputs)
+                                 '()) inputs #:allow-other-keys)
              (with-directory-excursion "doc"
                (substitute* (find-files "." "\\.xml$")
                  (("http://www.oasis-open.org/docbook/xml/4\\.3/")
-                  (string-append (assoc-ref inputs "docbook-xml")
+                  (string-append (assoc-ref ,(if (%current-target-system)
+                                                 '(or native-inputs inputs)
+                                                 'inputs)
+                                            "docbook-xml")
                                  "/xml/dtd/docbook/")))
                (substitute* "meson.build"
                  (("http://docbook.sourceforge.net/release/xsl/current/")
-                  (string-append (assoc-ref inputs "docbook-xsl")
+                  (string-append (assoc-ref ,(if (%current-target-system)
+                                                 '(or native-inputs inputs)
+                                                 'inputs) "docbook-xsl")
                                  "/xml/xsl/docbook-xsl-1.79.2/"))))
              #t))
          (add-after 'install 'move-docs
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:05:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:05:06 2021
Received: from localhost ([127.0.0.1]:47748 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxGo-0002rN-6O
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:05:06 -0400
Received: from laurent.telenet-ops.be ([195.130.137.89]:55690)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxFb-0002hz-0e
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:48 -0400
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by laurent.telenet-ops.be with bizsmtp
 id lu3k2500G0mfAB401u3m96; Wed, 25 Aug 2021 20:03:46 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 29/52] gnu: json-glib: Add missing 'bash-minimal' input.
Date: Wed, 25 Aug 2021 20:03:09 +0200
Message-Id: <20210825180332.5720-29-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914626; bh=vOQubAxSdhxNm9CYVG9QdcVzmsgJOtLQdtzg72wMaEg=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=BOg4SPdgHs+tV6L4HjkbJYpz8x1El4nHRvWEuVv2dIiExFqGmc+N4uTRm+OcqjgNL
 obthwIZ9MroYe4uz1bkIMF+9Tg4TJg7yj0PTFQ8ly3PIotgOR2E1Qacs1Gr7sV/9tG
 LGgz7Y1VxOC4+GDtADo+s9lD9XQWnED53JpjhbpXzjsnxo6Q9RTTEILXQdhbvFkIRX
 v8PxYyDrTc8OxDFJI87O4fcaIK5+lRu81drU2FDK+Ya08SUPa2XWHKXi9nTxxTwRRo
 QV/d+PhXtNTazk/S7wFSnk2fvuIKN2c7wznFEfuApayrq4VqHDtq36K94M+Y0Y1Yh0
 7tnNfXIMJLJ9Q==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/gnome.scm (json-glib)[inputs]: Add "bash-minimal" when
  cross-compiling (for wrapper scripts).
---
 gnu/packages/gnome.scm | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index 3f7dcb7988..f0f3c0aeef 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -4610,6 +4610,11 @@ configuration storage systems.")
        ("gtk-doc" ,gtk-doc)
        ("pkg-config" ,pkg-config)
        ("xsltproc" ,libxslt)))
+    (inputs
+     ;; TODO(core-updates): Make this input unconditional.
+     (if (%current-target-system)
+         `(("bash-minimal" ,bash-minimal))
+         '()))
     (propagated-inputs
      `(("glib" ,glib)))                 ;according to json-glib-1.0.pc
     (home-page "https://wiki.gnome.org/Projects/JsonGlib")
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:05:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:05:02 2021
Received: from localhost ([127.0.0.1]:47745 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxGk-0002qv-9Q
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:05:02 -0400
Received: from laurent.telenet-ops.be ([195.130.137.89]:55678)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxFa-0002hr-PE
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:48 -0400
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by laurent.telenet-ops.be with bizsmtp
 id lu3k2500G0mfAB401u3m92; Wed, 25 Aug 2021 20:03:46 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 27/52] gnu: heimdal: Find tools when cross-compiling.
Date: Wed, 25 Aug 2021 20:03:07 +0200
Message-Id: <20210825180332.5720-27-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914626; bh=DITiim+TRcj1fRpRiyVCuRiVKtGJZ8yZeANS4Hh3cZM=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=dvSP2Dmk5En7VThD5f6DAzZOwi//MuMhfGVFC5yL3qpGCJU3efLKlNhLfsWjXN/En
 NLlX/OL/mmk0p6PAnsHQ/dUGveov0LpB6pfyVcPnMRqWIxK8wMMd/wY+OuvfZGbfgs
 CCCwAS4EpDp+SThyCuhO6OQFkS1YE28ZSCSjO0STNeIYh2P7YzQ4N4YMssIC0bB3kF
 VhNbU8ZDDKtJBhwuxFxTO2F9nXoGVQzngbrcsQpUQDSZf+TSb5QIyCMY8TnqSv5hzx
 4lPihkLUkQZjrQ/SwCDYpdLNiMUIQ6PgVKu8ATvCjy4bkmvhiop4g5cPOremZe8PmT
 XA6ZukcmHCRpQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/kerberos.scm
  (heimdal)[arguments]<#:configure-flags>: Set --with-cross-tools.
  (heimdal)[arguments]<#:phases>{pre-configure}: Override
  ac_cv_PROG_COMPILE_ET.
---
 gnu/packages/kerberos.scm | 51 ++++++++++++++++++++++++---------------
 1 file changed, 32 insertions(+), 19 deletions(-)

diff --git a/gnu/packages/kerberos.scm b/gnu/packages/kerberos.scm
index 126cdf4342..85f54a4acc 100644
--- a/gnu/packages/kerberos.scm
+++ b/gnu/packages/kerberos.scm
@@ -50,6 +50,7 @@
   #:use-module ((guix licenses) #:prefix license:)
   #:use-module (guix packages)
   #:use-module (guix download)
+  #:use-module (guix gexp)
   #:use-module (guix utils)
   #:use-module (guix build-system gnu))
 
@@ -207,28 +208,33 @@ After installation, the system administrator should generate keys using
                   #t))))
     (build-system gnu-build-system)
     (arguments
-     `(#:configure-flags (list
-                          ;; Avoid 7 MiB of .a files.
-                          "--disable-static"
+     `(#:configure-flags
+       ,#~(list
+           ;; Avoid 7 MiB of .a files.
+           "--disable-static"
 
-                          ;; Do not build libedit.
-                          (string-append
-                           "--with-readline-lib="
-                           (assoc-ref %build-inputs "readline") "/lib")
-                          (string-append
-                           "--with-readline-include="
-                           (assoc-ref %build-inputs "readline") "/include")
+           ;; Do not build libedit.
+           (string-append
+            "--with-readline-lib="
+            (assoc-ref %build-inputs "readline") "/lib")
+           (string-append
+            "--with-readline-include="
+            (assoc-ref %build-inputs "readline") "/include")
 
-                          ;; Do not build sqlite.
-                          (string-append
-                           "--with-sqlite3="
-                           (assoc-ref %build-inputs "sqlite"))
+           ;; Do not build sqlite.
+           (string-append
+            "--with-sqlite3="
+            (assoc-ref %build-inputs "sqlite"))
 
-                          ;; The configure script is too pessimistic.
-                          ;; Setting this also resolves a linking error.
-                          ,@(if (%current-target-system)
-                                '("ac_cv_func_getpwnam_r_posix=yes")
-                                '()))
+           #$@(if (%current-target-system)
+                  ;; The configure script is too pessimistic.
+                  ;; Setting this also resolves a linking error.
+                  #~("ac_cv_func_getpwnam_r_posix=yes"
+                     ;; Allow 'slc' and 'asn1_compile' to be found.
+                     (string-append "--with-cross-tools="
+                                    #+(file-append this-package
+                                                   "/libexec/heimdal")))
+                  #~()))
        #:phases (modify-phases %standard-phases
                   (add-before 'configure 'pre-configure
                     ;; TODO(core-updates): Unconditionally use the
@@ -239,6 +245,13 @@ After installation, the system administrator should generate keys using
                      ,(if (%current-target-system)
                           '(#:key inputs #:allow-other-keys)
                           '_)
+                     ,@(if (%current-target-system)
+                           `((substitute* "configure"
+                               ;; Our 'compile_et' is not in --with-cross-tools,
+                               ;; which confuses heimdal.
+                               (("ac_cv_prog_COMPILE_ET=\\$\\{with_cross_tools\\}compile_et")
+                                "ac_cv_PROG_COMPILE_ET=compile_et")))
+                           '())
                      ,@(if (%current-target-system)
                            '((substitute* '("appl/afsutil/pagsh.c" "appl/su/su.c")
                                (("/bin/sh")
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:04:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:04:58 2021
Received: from localhost ([127.0.0.1]:47743 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxGg-0002qk-Cy
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:04:58 -0400
Received: from laurent.telenet-ops.be ([195.130.137.89]:55684)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxFa-0002hs-Su
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:48 -0400
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by laurent.telenet-ops.be with bizsmtp
 id lu3k2500G0mfAB401u3m94; Wed, 25 Aug 2021 20:03:46 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 28/52] gnu: heimdal: Use libcom_err from input when
 cross-compiling.
Date: Wed, 25 Aug 2021 20:03:08 +0200
Message-Id: <20210825180332.5720-28-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914626; bh=AvLNut+4hlaBHX9wU310cqNGJZccMX64uSY0fTnMq10=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=JHOVcnS7xfAYDjyo+y0fYacFCS9wPmAtHwOBoKgbmPT6LREz5piSHwH0c1h6ib3Hp
 mBnWe3niwi1ACPygHis4YbfQGr0sPyvtUBpo01glEwsPBhZD69nWLmIzkPLmFi8b69
 /NywKiW/oVM95UNRKk/3lSdHOiJnvO22PONMC5KRbdGviagbhQ+C4Wk17QUTq0Q2Ck
 67G/UwJm7jo4KxrsrHJxzGv8+75USL9agzuZstd1xzs7TGaqftaSaw/5Chl/JhvFb3
 /20QbwMhtLvlFgnvfvlVeysWNwdzB3RgGAI4DMeD4GugDZPO+R/FvWrKhlYnLDAVPa
 ROK3Q/HlizjxA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/kerberos.scm
  (heimdal)[arguments]<#:phases>{pre-configure}: Consider ${krb_cv_com_err}
  to be 'yes' when cross-compiling.
---
 gnu/packages/kerberos.scm | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/gnu/packages/kerberos.scm b/gnu/packages/kerberos.scm
index 85f54a4acc..82609ce66e 100644
--- a/gnu/packages/kerberos.scm
+++ b/gnu/packages/kerberos.scm
@@ -247,6 +247,10 @@ After installation, the system administrator should generate keys using
                           '_)
                      ,@(if (%current-target-system)
                            `((substitute* "configure"
+                               ;; The e2fsprogs input is included for libcom_err,
+                               ;; let's use it even if cross-compiling.
+                               (("test \"\\$\\{krb_cv_com_err\\}\" = \"yes\"")
+                                ":")
                                ;; Our 'compile_et' is not in --with-cross-tools,
                                ;; which confuses heimdal.
                                (("ac_cv_prog_COMPILE_ET=\\$\\{with_cross_tools\\}compile_et")
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:04:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:04:54 2021
Received: from localhost ([127.0.0.1]:47741 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxGc-0002qY-5S
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:04:54 -0400
Received: from laurent.telenet-ops.be ([195.130.137.89]:55672)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxFa-0002hq-L9
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:48 -0400
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by laurent.telenet-ops.be with bizsmtp
 id lu3k2500G0mfAB401u3l8z; Wed, 25 Aug 2021 20:03:46 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 26/52] gnu: heimdal: Use the cross-compiled bash in "su".
Date: Wed, 25 Aug 2021 20:03:06 +0200
Message-Id: <20210825180332.5720-26-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914626; bh=qXPKL1xL6Lhsv0jx8bLs1ie94GQT6dqMk4A88wDGAzU=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=qj+Jk3kmnPuRoh/84+SaaMZIZyLI3vRv+CqGpJfRPd1Jabiu1PAtzJFCnOzxaFrAY
 iAU7IfC8AlX6H5MtIis60sIfDhdgjJwQKHyn2zlfkCBij3NKYn08KcgkwVF5onaEzw
 X33iRdRutE2p7fRyqs2qZdkYFGIX0zOFcLTNzhzNAu5ZZWyL/B/4C/IPaPa7fBCcJ5
 3/iJlQtGWHDwTwJVx4kDsQKpAurcq6FT8d0bi0qBpvydTnZWsLIenDsk/QhnvYn8TO
 q9rNsqloqT4mHlo7AnaFlzTq7f6ah6fP5PUbYCiu9n1MQ8YtD3uprvKumupzollOW1
 NLGtNpBlzRM5A==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/kerberos.scm
  (heimdal)[arguments]<#:phases>{pre-configure}: Replace _PATH_BSHELL
  with the cross-compiled bin/sh when cross-compiling.
---
 gnu/packages/kerberos.scm | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/kerberos.scm b/gnu/packages/kerberos.scm
index 9afc6a363f..126cdf4342 100644
--- a/gnu/packages/kerberos.scm
+++ b/gnu/packages/kerberos.scm
@@ -240,9 +240,15 @@ After installation, the system administrator should generate keys using
                           '(#:key inputs #:allow-other-keys)
                           '_)
                      ,@(if (%current-target-system)
-                           '((substitute* '("appl/afsutil/pagsh.c")
+                           '((substitute* '("appl/afsutil/pagsh.c" "appl/su/su.c")
                                (("/bin/sh")
-                                (search-input-file inputs "bin/sh")))
+                                (search-input-file inputs "bin/sh"))
+                               ;; Use the cross-compiled bash instead of the
+                               ;; native bash (XXX shouldn't _PATH_BSHELL point
+                               ;; to a cross-compiled bash?).
+                               (("_PATH_BSHELL")
+                                (string-append
+                                 "\"" (search-input-file inputs "bin/sh") "\"")))
                              (substitute* '("tools/Makefile.in")
                                (("/bin/sh") (which "sh"))))
                            '((substitute* '("appl/afsutil/pagsh.c"
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:04:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:04:50 2021
Received: from localhost ([127.0.0.1]:47739 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxGY-0002qR-8H
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:04:50 -0400
Received: from laurent.telenet-ops.be ([195.130.137.89]:55660)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxFa-0002hf-Jm
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:48 -0400
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by laurent.telenet-ops.be with bizsmtp
 id lu3k2500G0mfAB401u3l8t; Wed, 25 Aug 2021 20:03:45 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 24/52] gnu: heimdal: Fix linking error when cross-compiling.
Date: Wed, 25 Aug 2021 20:03:04 +0200
Message-Id: <20210825180332.5720-24-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914625; bh=aP0rPffZ+/uPlA86N2rQ2T7MbNoLyWO98ygMyvjxMCw=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=oiU7+L0P4exrP/WNFdcekEizLeBbmGHbwCTOolMBLK/Uf1R4nUEgJBfZPDOUZO4rK
 7oyyt5ecLIDYkZTDBjovYv7yD23so0wjTrt9Cema2mOVS3K/RBIOlDmO5/n05wyCD+
 zGbYI3sW7Gz+SENRllSVs5QANhRxlAD1J5Jdrjh1J4yjFnWVM2do4+zGiYmclhWb+i
 OsFuCDryrnx/FmKX80e0P2ijlZ0IjhgF+B2VUIVNrbjNW2ZBw5hSMlruLYWBh3PYfi
 Gwy70KwIQZGyK2VKEhxmYIHpWJkXuXM/va9uGtF3eHdiBjxUWB74tVOqy3ng7QoGWc
 zF+EVU6WTP8oA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/kerberos.scm (heimdal)[arguments]<#:configure-flags>:
  Set ac_cv_func_getpwnam_r_posix=yes when cross-compiling.
---
 gnu/packages/kerberos.scm | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/kerberos.scm b/gnu/packages/kerberos.scm
index 6f3491acf6..54dd5dffc1 100644
--- a/gnu/packages/kerberos.scm
+++ b/gnu/packages/kerberos.scm
@@ -207,7 +207,7 @@ After installation, the system administrator should generate keys using
                   #t))))
     (build-system gnu-build-system)
     (arguments
-     '(#:configure-flags (list
+     `(#:configure-flags (list
                           ;; Avoid 7 MiB of .a files.
                           "--disable-static"
 
@@ -222,8 +222,13 @@ After installation, the system administrator should generate keys using
                           ;; Do not build sqlite.
                           (string-append
                            "--with-sqlite3="
-                           (assoc-ref %build-inputs "sqlite")))
+                           (assoc-ref %build-inputs "sqlite"))
 
+                          ;; The configure script is too pessimistic.
+                          ;; Setting this also resolves a linking error.
+                          ,@(if (%current-target-system)
+                                '("ac_cv_func_getpwnam_r_posix=yes")
+                                '()))
        #:phases (modify-phases %standard-phases
                   (add-before 'configure 'pre-configure
                     (lambda _
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:04:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:04:05 2021
Received: from localhost ([127.0.0.1]:47717 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxFs-0002n9-N1
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:04:05 -0400
Received: from laurent.telenet-ops.be ([195.130.137.89]:55666)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxFa-0002hp-I0
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:47 -0400
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by laurent.telenet-ops.be with bizsmtp
 id lu3k2500G0mfAB401u3l8w; Wed, 25 Aug 2021 20:03:45 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 25/52] gnu: heimdal: Refer to cross-compiled bash.
Date: Wed, 25 Aug 2021 20:03:05 +0200
Message-Id: <20210825180332.5720-25-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914625; bh=WXg62Z8NNtJF4sxT7b+H4yfjenyyJiQ7n+JBELCz2e4=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=bqu1GKU+J9em9jCTb+Ok7gEfnmbFZ+P3AdkeAxY8zvUvBwp+tYn5Q0lAYYoJoGYMu
 GnSPSA/+AQ4U5LAkw5/i9hEIhiQY+OhmfhNEAFWnPuWLOAiowm+1+V7IGK8RIFHsvJ
 ZgD1VSTKx9v0N7bnx2L+DchFH4tWlVa4QfJdzuukSC6uU4OqMsuTLRDoFBM+/OU8iT
 sLSbbQkH7jJIRyzXWXsiJtGmzbXCOO2iV3DzFbNx5qXVvERYNuxO7IDXdRtniiehzv
 bxGhBNNNfwgXaQLrYecX2u8t+H0jNzSClQvAj8ka6wgfVCYZGDMilS1Z2NIb9XNqos
 oh6S2Is6J16gg==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/kerberos.scm
  (heimdal)[arguments]<#:phases>{pre-configure}: Let "appl/afsutil/pagsh.c"
  refer to the cross-compiled bash instead of the native bash when
  cross-compiling.
---
 gnu/packages/kerberos.scm | 23 ++++++++++++++++++-----
 1 file changed, 18 insertions(+), 5 deletions(-)

diff --git a/gnu/packages/kerberos.scm b/gnu/packages/kerberos.scm
index 54dd5dffc1..9afc6a363f 100644
--- a/gnu/packages/kerberos.scm
+++ b/gnu/packages/kerberos.scm
@@ -231,11 +231,24 @@ After installation, the system administrator should generate keys using
                                 '()))
        #:phases (modify-phases %standard-phases
                   (add-before 'configure 'pre-configure
-                    (lambda _
-                      (substitute* '("appl/afsutil/pagsh.c"
-                                     "tools/Makefile.in")
-                        (("/bin/sh") (which "sh")))
-                      #t))
+                    ;; TODO(core-updates): Unconditionally use the
+                    ;; %current-target-system branch.
+                    (,(if (%current-target-system)
+                          'lambda*
+                          'lambda)
+                     ,(if (%current-target-system)
+                          '(#:key inputs #:allow-other-keys)
+                          '_)
+                     ,@(if (%current-target-system)
+                           '((substitute* '("appl/afsutil/pagsh.c")
+                               (("/bin/sh")
+                                (search-input-file inputs "bin/sh")))
+                             (substitute* '("tools/Makefile.in")
+                               (("/bin/sh") (which "sh"))))
+                           '((substitute* '("appl/afsutil/pagsh.c"
+                                            "tools/Makefile.in")
+                               (("/bin/sh") (which "sh")))
+                             #t))))
                   (add-before 'check 'pre-check
                     (lambda _
                       ;; For 'getxxyyy-test'.
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:04:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:04:04 2021
Received: from localhost ([127.0.0.1]:47714 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxFs-0002my-7u
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:04:04 -0400
Received: from laurent.telenet-ops.be ([195.130.137.89]:55644)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxFa-0002hZ-I7
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:47 -0400
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by laurent.telenet-ops.be with bizsmtp
 id lu3k2500G0mfAB401u3l8k; Wed, 25 Aug 2021 20:03:45 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 21/52] gnu: gamin: Fix 'configure' script when cross-compiling.
Date: Wed, 25 Aug 2021 20:03:01 +0200
Message-Id: <20210825180332.5720-21-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914625; bh=PgicG7AECq7NewogSnSMkiqQVLyXZkMWQ/ved/dUa1Y=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=Jdon/zTc7brGfBWzFQ+591eN5LIr+OeO2W9nM7mmeKhmUic7GUgP+PYOoBRh3emrv
 DUjd504+xbOndU+3giABukJabGb5ynfUhjjwekdd4NxbE8kZmuK8jztgGc3LWdTN6s
 53/1CUlIvyobpRQHybtkqaZjBRzSTNdVK21ojV2bH1WvpScOtVZLgc+IR+/+3PUot2
 RtLvWDbFSqbkKJlIhtEVKrsKsnX5zeLPtcp45ZO6dX79kgoOVdhaQB0LKQ3V5gD5Ln
 N8RoqWGgEW7CqTDxPhbDPS8AWSAJH0dcbmp7ahl4k73waH5eQhjPWe2Gp/YQIOMDpu
 hKbmqcG1IcOSA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/gnome.scm
  (gamin)[arguments]<#:phases>{set-have-abstract-sockets}: Override
  test for ‘abstract sockets’ when cross-compiling.
---
 gnu/packages/gnome.scm | 26 +++++++++++++++++++++++++-
 1 file changed, 25 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index c9ccfad6f2..3f7dcb7988 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -11088,7 +11088,31 @@ repository and commit your work.")
                             "server/gam_node.h"
                             "server/gam_subscription.c")
                (("G_CONST_RETURN") "const"))
-             #t)))))
+             #t))
+         ;; The configure script runs a test program unconditionally,
+         ;; without an option to manually set the test result.
+         ;; Override this test anyway.
+         ,@(if (%current-target-system)
+               `((add-after 'bootstrap 'set-have-abstract-sockets
+                   (lambda _
+                     (define in-abstract-sockets-test? #f)
+                     (substitute* "configure"
+                       (("^#### Abstract sockets\n$")
+                        (set! in-abstract-sockets-test? #t)
+                        "#### Abstract sockets\n")
+                       (("^have_abstract_sockets=no\n$")
+                        (set! in-abstract-sockets-test? #f)
+                        ;; ‘Abstract sockets’ appear to be Linux-only.
+                        (string-append "have_abstract_sockets="
+                                       ,(if (target-linux?)
+                                            "yes"
+                                            "no")
+                                       "\nif false; then\nif false; then :\n"))
+                       (("^(.*\n)$" line)
+                        (if in-abstract-sockets-test?
+                            "" ; delete
+                            line))))))
+               '()))))
     (inputs
      `(("glib" ,glib)))
     (native-inputs
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:04:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:04:04 2021
Received: from localhost ([127.0.0.1]:47712 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxFr-0002ml-Mf
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:04:04 -0400
Received: from laurent.telenet-ops.be ([195.130.137.89]:55654)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxFa-0002hb-I6
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:47 -0400
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by laurent.telenet-ops.be with bizsmtp
 id lu3k2500G0mfAB401u3l8r; Wed, 25 Aug 2021 20:03:45 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 23/52] gnu: heimdal: Fix inputs when cross-compiling.
Date: Wed, 25 Aug 2021 20:03:03 +0200
Message-Id: <20210825180332.5720-23-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914625; bh=XGpdI6/F98kPTmRqM8RxLbZw63qoH6vZ5s+Y3s81QDQ=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=RoFi6Kpd16ILL2UosfGgFxu4VTQq2fsrb/0QsWS/XtrQ5jjzIIAS9rRKijuy5VFu7
 vYvZD1nGHCwr537c7Vi8XQW/oFY3WZ4Cbcc3XHEzDii6lINtLtc9NXVUwtbHaTHniQ
 zqik/NiAmnXHK+FGVGiqa9jbLNVsszSnJGzduYzb6+dEMDfCAssjQnaUX/UDQMz67y
 /lLw+h1xsAJV977FGbt77YW863j+2BKGKRBmJxgawMjqUWvmHjrFy7yUwD0njmBPcW
 qt4SgtlnXFNCW8OlgSZnVrlrE12EhP38JAdUTXCZAtPm3mCeFU1BAtFS1DxdYM0DyS
 igJBb9K8hhPXw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/kerberos.scm
  (heimdal)[inputs]: Add "bash-minimal" when cross-compiling.
  (heimdal)[native-inputs]: Add 'perl' when cross-compiling.
---
 gnu/packages/kerberos.scm | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/kerberos.scm b/gnu/packages/kerberos.scm
index 01fea23ec1..6f3491acf6 100644
--- a/gnu/packages/kerberos.scm
+++ b/gnu/packages/kerberos.scm
@@ -11,6 +11,7 @@
 ;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;; Copyright © 2020 Jan (janneke) Nieuwenhuizen <janneke@HIDDEN>
 ;;; Copyright © 2020 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
+;;; Copyright © 2021 Maxime Devos <maximedevos@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -30,6 +31,7 @@
 (define-module (gnu packages kerberos)
   #:use-module (gnu packages)
   #:use-module (gnu packages autotools)
+  #:use-module (gnu packages bash)
   #:use-module (gnu packages bison)
   #:use-module (gnu packages dbm)
   #:use-module (gnu packages perl)
@@ -244,8 +246,15 @@ After installation, the system administrator should generate keys using
        #:parallel-tests? #f))
     (native-inputs `(("e2fsprogs" ,e2fsprogs)     ;for 'compile_et'
                      ("texinfo" ,texinfo)
-                     ("unzip" ,unzip)))           ;for tests
+                     ("unzip" ,unzip)             ;for tests
+                     ,@(if (%current-target-system)
+                           `(("perl" ,perl))
+                           '())))
     (inputs `(("readline" ,readline)
+              ;; TODO(core-updates): Make this input unconditional.
+              ,@(if (%current-target-system)
+                    `(("bash-minimal" ,bash-minimal))
+                    '())
               ("bdb" ,bdb)
               ("e2fsprogs" ,e2fsprogs)            ;for libcom_err
               ("sqlite" ,sqlite)))
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:04:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:04:03 2021
Received: from localhost ([127.0.0.1]:47709 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxFr-0002ma-AF
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:04:03 -0400
Received: from laurent.telenet-ops.be ([195.130.137.89]:55648)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxFa-0002ha-I6
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:47 -0400
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by laurent.telenet-ops.be with bizsmtp
 id lu3k2500G0mfAB401u3l8p; Wed, 25 Aug 2021 20:03:45 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 22/52] gnu: iso-codes: Move inputs to native-inputs when
 cross-compiling.
Date: Wed, 25 Aug 2021 20:03:02 +0200
Message-Id: <20210825180332.5720-22-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914625; bh=qqi8phC/sCUeDm7si9xkgoM/69KDRuma39mqK2lSOH8=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=lRCaEl1Wtzw6el6RDrWarvG04BdgdPDkeN8lUmP/H5+TSuNA2B1Q72Rt9pJZWJ8c7
 GvN7rBDwdEXnqN5XJp0cL7MpthFx/HCHMjW9Zmdg1EL6T5QbmTDwN3qRjRHwyzrAF3
 heSx5r8MB2Cg0fFh3zMCOy8pCSW1D6I1qqwxdYxFP3ic1KxSNfnXB4BjBgOFYDMQPY
 PV+RSI293B5n0aInWXJmu32BdZKa3Th7xd3PHCImp4SEolPF+LVAQUsNKaPZaZwxDb
 4Etr810rnootDRugqXGR9bNijkU/4EjZHxUfi/Kgb06s/jySgWfPC9QsX9GdcTc/LP
 F2cw4iwcpdUvA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/iso-codes.scm
  (iso-codes)[inputs]: Move "gettext", "perl" and "python" to ...
  (iso-codes)[native-inputs]: ... here when cross-compiling.
---
 gnu/packages/iso-codes.scm | 15 ++++++++++++---
 1 file changed, 12 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/iso-codes.scm b/gnu/packages/iso-codes.scm
index 637390d734..b2cfd3434c 100644
--- a/gnu/packages/iso-codes.scm
+++ b/gnu/packages/iso-codes.scm
@@ -44,10 +44,19 @@
               (base32
                "1q6x9c5x4x0x4q11iygldsmxdyzhz1mb4n8im76glwsgqsqyjs80"))))
     (build-system gnu-build-system)
+    ;; TODO(staging): Unconditionally move inputs to native-inputs.
+    (native-inputs
+     (if (%current-target-system)
+         `(("python" ,python-wrapper)
+           ("perl" ,perl)
+           ("gettext" ,gettext-minimal))
+         '()))
     (inputs
-     `(("gettext" ,gettext-minimal)
-       ("perl" ,perl)
-       ("python" ,python-wrapper)))
+     `(,@(if (%current-target-system)
+             '()
+             `(("gettext" ,gettext-minimal)
+               ("perl" ,perl)
+               ("python" ,python-wrapper)))))
     (synopsis "Various ISO standards")
     (description
      "This package provides lists of various ISO standards (e.g. country,
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:04:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:04:03 2021
Received: from localhost ([127.0.0.1]:47707 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxFq-0002mP-RV
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:04:03 -0400
Received: from michel.telenet-ops.be ([195.130.137.88]:50912)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxFZ-0002hI-H9
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:46 -0400
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by michel.telenet-ops.be with bizsmtp
 id lu3d2500J0mfAB406u3kUg; Wed, 25 Aug 2021 20:03:44 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 20/52] gnu: gamin: Recognise aarch64 as architecture when
 cross-compiling.
Date: Wed, 25 Aug 2021 20:03:00 +0200
Message-Id: <20210825180332.5720-20-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914624; bh=NaQcIAZPf+RJCegsKDeLmqPWhn9iSmDRyrLuF2rEe2g=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=j3AGH/WVtiR8CUYHFMbK6YIsokMllRKtnV72gTxLERLKmhqAScmcERAHaOPZqNQxQ
 Frgo3NsXSQh/4gaZxLmbGNk9H3Rg1mRoe7EfJgRQ1ngKwA+RT7AfU0D7JiL0L2ib/+
 P7wl7TsYG0SwFb7QUI7rdXSIu/aFlDi0A4B/pV6Y5VFrkXkcBEioTIl+Q/JkegnD9f
 +BEMlRFd+1p3n1WHqZZ+mM+zQGt1WsCB6LVZ6nddxRPWCDIsghlrBucxav1o6JLVkj
 o6MaZkeVZlKcAudL5/f2ArZtGx9I/obnqXoflis1Vr/AN3/Od2olqKpntq1U+LBAY9
 R/IFd0ig9UO3Q==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/gnome.scm
  (gamin)[arguments]<#:phases>{replace-config.sub}: Update 'config.sub'
  when cross-compiling.
  (gamin)[native-inputs]: Add "config" when cross-compiling.
---
 gnu/packages/gnome.scm | 13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index b23fe4a662..c9ccfad6f2 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -60,6 +60,7 @@
 ;;; Copyright © 2020, 2021 Sébastien Lerique <sl@HIDDEN>
 ;;; Copyright © 2021 Trevor Hass <thass@HIDDEN>
 ;;; Copyright © 2021 Solene Rapenne <solene@HIDDEN>
+;;; Copyright © 2021 Maxime Devos <maximedevos@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -11073,6 +11074,13 @@ repository and commit your work.")
     (arguments
      `(#:phases
        (modify-phases %standard-phases
+         ;; The 'config.sub' is too old to recognise aarch64.
+         ,@(if (and=> (%current-target-system) target-aarch64?)
+               `((add-after 'unpack 'replace-config.sub
+                   (lambda _
+                     (delete-file "config.sub")
+                     (symlink (which "config.sub") "config.sub"))))
+               '())
          (add-after 'unpack 'remove-deprecated-macro
            (lambda _
              (substitute* '("server/gam_node.c"
@@ -11084,7 +11092,10 @@ repository and commit your work.")
     (inputs
      `(("glib" ,glib)))
     (native-inputs
-     `(("pkg-config" ,pkg-config)))
+     `(("pkg-config" ,pkg-config)
+       ,@(if (and=> (%current-target-system) target-aarch64?)
+             `(("config" ,config))
+             '())))
     (home-page "https://people.gnome.org/~veillard/gamin/")
     (synopsis "File alteration monitor")
     (description
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:04:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:04:02 2021
Received: from localhost ([127.0.0.1]:47703 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxFq-0002m9-5G
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:04:02 -0400
Received: from michel.telenet-ops.be ([195.130.137.88]:50690)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxFY-0002fp-Tj
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:46 -0400
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by michel.telenet-ops.be with bizsmtp
 id lu3d2500J0mfAB406u3kUa; Wed, 25 Aug 2021 20:03:44 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 18/52] gnu: bdb: Fix cross-compilation build errors.
Date: Wed, 25 Aug 2021 20:02:58 +0200
Message-Id: <20210825180332.5720-18-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914624; bh=H1PPophH4rr1IUQEZXgGaqfqBQuITGY28xk7BK6DEZs=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=Dj5OApMHKU7ReKVIyLnycrOd0yaly+jpGTAUaI0QykIcpfr+iL9JJS7IaAd6LYpGC
 oxmCGNyizZHusIQjjqzzfTX3zqvczO579Qh5Ol+M8q78h1i4m1FSnEzNQ2Zo0VPcRG
 ruAfKcsjaMvMGJ99btQzxk8rvy6/zj/kTA2+dNx/h7s89HBFFHahRmjSnbxY9Lc/0B
 plriA/wSCSbUayjiVbHYtnZfIj59I3cdQ3Ny0sa2PWHlYtsj4xsnO4l9QUn0EaxGlR
 zX+4VBugMhEDk8sfKmgo8/MHE4WVFS76VNJPpZpAAJNaa/NoydAyV649E5tYBNbCZ7
 XnITmDh8Pbvog==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/dbm.scm
  (bdb-4.8)[arguments]<#:phases>{update-config.sub}: Update 'config.sub'
  when cross-compiling for 'powerpc64le' or 'aarch64'.
---
 gnu/packages/dbm.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/dbm.scm b/gnu/packages/dbm.scm
index ce84ef9eda..607e4aecf8 100644
--- a/gnu/packages/dbm.scm
+++ b/gnu/packages/dbm.scm
@@ -6,6 +6,7 @@
 ;;; Copyright © 2018 Mark H Weaver <mhw@HIDDEN>
 ;;; Copyright © 2020 Jakub Kądziołka <kuba@HIDDEN>
 ;;; Copyright © 2021 Leo Le Bouter <lle-bout@HIDDEN>
+;;; Copyright © 2021 Maxime Devos <maximedevos@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -24,6 +25,7 @@
 
 (define-module (gnu packages dbm)
   #:use-module (gnu packages)
+  #:use-module (gnu packages autotools)
   #:use-module ((guix licenses) #:prefix license:)
   #:use-module (guix packages)
   #:use-module (guix download)
@@ -57,6 +59,19 @@
        #:disallowed-references ("doc")
        #:phases
        (modify-phases %standard-phases
+         ;; The configure script is too old to recognise aarch64 and
+         ;; powerpc64le as valid architectures.  The trick below works
+         ;; for "--build", but not for "--host", so update config.sub.
+         ,@(if (and (%current-target-system)
+                    (or (target-ppc64le? (%current-target-system))
+                        (target-aarch64? (%current-target-system))))
+               `((add-after 'unpack 'update-config.sub
+                   (lambda* (#:key native-inputs #:allow-other-keys)
+                     (delete-file "dist/config.sub")
+                     (symlink
+                      (search-input-file native-inputs "/bin/config.sub")
+                      "dist/config.sub"))))
+               '())
          (replace 'configure
            (lambda* (#:key target outputs #:allow-other-keys)
              (let ((out (assoc-ref outputs "out"))
@@ -97,6 +112,12 @@
                        ;; of db_cxx.h into C++ files works; it leads to
                        ;; HAVE_CXX_STDHEADERS being defined in db_cxx.h.
                        "--enable-cxx")))))))
+    (native-inputs
+     (if (and (%current-target-system)
+              (or (target-ppc64le? (%current-target-system))
+                  (target-aarch64? (%current-target-system))))
+         `(("config" ,config)) ; for config.sub
+         '()))
     (synopsis "Berkeley database")
     (description
      "Berkeley DB is an embeddable database allowing developers the choice of
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:04:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:04:02 2021
Received: from localhost ([127.0.0.1]:47701 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxFp-0002lx-QM
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:04:02 -0400
Received: from michel.telenet-ops.be ([195.130.137.88]:50758)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxFZ-0002fx-12
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:46 -0400
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by michel.telenet-ops.be with bizsmtp
 id lu3d2500J0mfAB406u3kUe; Wed, 25 Aug 2021 20:03:44 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 19/52] gnu: graphene: Don't build introspection data when
 cross-compiling.
Date: Wed, 25 Aug 2021 20:02:59 +0200
Message-Id: <20210825180332.5720-19-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914624; bh=YssuwreKzTmGZsSoZ144vAZTHJMfTWr8UD3D1LPJPV0=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=lG5Oy8rsjUO5t5wrN6uw5IljSod10W7xYr/W/lwtfwQe4G3XLAI0CFiQSUx1eZsWJ
 E5TI1oGcBAvqk8dc3vh+/cIDSyFRv4QahHIKC31Im1EeeXnBVyGp7j0MDsAP4mwqQY
 UN1nBgP3uDe8vsfeJjv2ZWAmk/Z5yYgM/iopy3vV6qVPgQ3SRrCEgh4Goc07hlkezo
 zaDBjgMkaCnNe8Dylq0w3qSPZThuinxMBBZZe0rf6KurH8U7H/CW85M/tlbMAKJ+/i
 ul31IEGbRr9iG97OXktcfU/UD2RxyLUibHragyr+cVSUaiZlR0tz1EnDP0xL+7fYvu
 HzlnABYI3j4tA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/gtk.scm (graphene)[arguments]<#:configure-flags>: Set
  introspection=false when cross-compiling.
---
 gnu/packages/gtk.scm | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/gtk.scm b/gnu/packages/gtk.scm
index 7ca1161844..cd764da7f3 100644
--- a/gnu/packages/gtk.scm
+++ b/gnu/packages/gtk.scm
@@ -2287,7 +2287,11 @@ Parcellite and adds bugfixes and features.")
      `(#:glib-or-gtk? #t     ; To wrap binaries and/or compile schemas
        #:configure-flags
        (list
-        "-Dinstalled_tests=false")))
+        "-Dinstalled_tests=false"
+        ,@(if (%current-target-system)
+              ;; Introspection requires running binaries for 'host' on 'build'.
+              '("-Dintrospection=false")
+              '()))))
     (native-inputs
      `(("git" ,git-minimal)
        ("gobject-introspection" ,gobject-introspection)
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:04:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:04:01 2021
Received: from localhost ([127.0.0.1]:47699 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxFp-0002lm-Bf
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:04:01 -0400
Received: from michel.telenet-ops.be ([195.130.137.88]:50818)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxFY-0002gL-PP
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:45 -0400
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by michel.telenet-ops.be with bizsmtp
 id lu3d2500J0mfAB406u3kUU; Wed, 25 Aug 2021 20:03:44 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 17/52] gnu: atk: Disable introspection when cross-compiling.
Date: Wed, 25 Aug 2021 20:02:57 +0200
Message-Id: <20210825180332.5720-17-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914624; bh=aVmYP+oMKLZdcX0djEBMBaluW2fqyyl3RkjAnINK/rw=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=dt9PUl2R+mLTPS92MhbS9JrkzHGCX2jiwAs9/pzFmaTH5w6XVDhQrsQ3r9euIUeP/
 n4RfehH8mGc22yFQ4dAuGvE71l1XHWHTEy8jdOJ+1YV2UkMSpxNrW0EqirGwrSdZLC
 f0j1wjtM6U2Plugl0ysTg0n9MeNhywBMWUQWHwoCcoNNvIJ7tBco8f9zuByZ6Gnnqs
 bLOkqyvQT61+wY81/3T71oZ7dEEd94k0ZP4knsBgJWBrhsx5MTc1s8vQYMOAfUQ/u3
 evq3QCLd5goK1FZSS2ZgibUBhHPB/mPDTU3VFRhnPk3DL2iMdqKMjVhIUSkVtByy/o
 PnC+tBTaYKGyw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/gtk.scm
  (atk)[arguments]<#:configure-flags>: Set -Dintrospection=false
  when cross-compiling.
---
 gnu/packages/gtk.scm | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/gtk.scm b/gnu/packages/gtk.scm
index 3470691e51..7ca1161844 100644
--- a/gnu/packages/gtk.scm
+++ b/gnu/packages/gtk.scm
@@ -27,6 +27,7 @@
 ;;; Copyright © 2020, 2021 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
 ;;; Copyright © 2021 Leo Famulari <leo@HIDDEN>
 ;;; Copyright © 2021 Simon Streit <simon@HIDDEN>
+;;; Copyright © 2021 Maxime Devos <maximedevos@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -120,7 +121,13 @@
                 "1217cmmykjgkkim0zr1lv5j13733m4w5vipmy4ivw0ll6rz28xpv"))))
     (build-system meson-build-system)
     (arguments
-     `(#:glib-or-gtk? #t))  ; To wrap binaries and/or compile schemas
+     `(#:glib-or-gtk? #t ; To wrap binaries and/or compile schemas
+       ,@(if (%current-target-system)
+             `(#:configure-flags
+               ;; introspection requires running binaries for the host system
+               ;; on the build system.
+               '("-Dintrospection=false"))
+             '())))
     (propagated-inputs `(("glib" ,glib))) ; required by atk.pc
     (native-inputs
      `(("gettext" ,gettext-minimal)
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:04:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:04:01 2021
Received: from localhost ([127.0.0.1]:47697 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxFo-0002lb-V4
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:04:01 -0400
Received: from michel.telenet-ops.be ([195.130.137.88]:50794)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxFY-0002g9-L9
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:45 -0400
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by michel.telenet-ops.be with bizsmtp
 id lu3d2500J0mfAB406u3kUS; Wed, 25 Aug 2021 20:03:44 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 16/52] gobject-introspection: Correct library name when
 cross-compiling.
Date: Wed, 25 Aug 2021 20:02:56 +0200
Message-Id: <20210825180332.5720-16-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914624; bh=6KEohBV31jnOIWGlZtl8C2vldCOk/inpCMNihQgXbVA=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=OeSRY66SxUSMl8DtyHBhDSvDWApI5CtEoYx/3Qy4lni+Ekp6QqXH52L3GA5jQ6nWS
 H3uemAtiHgn3+18SUOssTb/lDGWG4Z120ICX3aNDmoCg7Ho2AkC5XzQYQjWhWHV0SY
 BqJGgkzULzk8QJ9jC6FENYrEi1WXhSpu7CcShSmU3UrBf+mDjrIQaVu+lFZq6W8XKW
 +7VjMBjvB5X2c4IQ62QWXTK1KgTyRw9YTL5vegPvn9ktjLiDyMzXJ8TelyoCGwHKo9
 deQSNJeIErDwa5UirOCBVGqwKeKUiAA7XAs1bviLXvzZseZaiTyPRz2Yo7ODPZElXj
 WBfKHAul24DMQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/glib.scm
  (gobject-introspection)[arguments]<#:phases>{rename-library}:
  Correct the name of the python extension when cross-compiling.
---
 gnu/packages/glib.scm | 37 ++++++++++++++++++++++++++++---------
 1 file changed, 28 insertions(+), 9 deletions(-)

diff --git a/gnu/packages/glib.scm b/gnu/packages/glib.scm
index ac38cd40d2..0c2f548f62 100644
--- a/gnu/packages/glib.scm
+++ b/gnu/packages/glib.scm
@@ -411,21 +411,40 @@ functions for strings and common data structures.")
                  "-Dbuild_introspection_data=false"))
              '())
        #:phases
+       ,#~
        (modify-phases %standard-phases
-         ,@(if (%current-target-system)
-               ;; 'typelibs' is undefined.
-               `((add-after 'unpack 'set-typelibs
-                   (lambda _
-                     (substitute* "meson.build"
-                       (("\\bsources: typelibs\\b")
-                        "sources: []")))))
-               '())
+         #$@(if (%current-target-system)
+                ;; 'typelibs' is undefined.
+                `((add-after 'unpack 'set-typelibs
+                    (lambda _
+                      (substitute* "meson.build"
+                        (("\\bsources: typelibs\\b")
+                         "sources: []")))))
+                '())
          (add-after 'unpack 'do-not-use-/usr/bin/env
            (lambda _
              (substitute* "tools/g-ir-tool-template.in"
                (("#!@PYTHON_CMD@")
                 (string-append "#!" (which "python3"))))
-             #t)))))
+             #t))
+         #$@(if (%current-target-system)
+               ;; Meson gives python extensions an incorrect name, see
+               ;; <https://github.com/mesonbuild/meson/issues/7049>.
+                #~((add-after 'install 'rename-library
+                     (lambda* (#:key build target #:allow-other-keys)
+                       (define dir
+                         (string-append #$output
+                                        "/lib/gobject-introspection/giscanner"))
+                       ;; python uses strings like 'x86_64-linux-gnu', not
+                       ;; 'x86_64-unknown-linux-gnu'.
+                       (define (normalise-system system)
+                         ((@ (ice-9 string-fun) string-replace-substring)
+                          system "-unknown-" "-"))
+                       (define (extension system)
+                         (string-append dir "/_giscanner.cpython-39-"
+                                        (normalise-system system) ".so"))
+                       (rename-file (extension build) (extension target)))))
+                #~()))))
     (native-inputs
      `(("glib" ,glib "bin")
        ("pkg-config" ,pkg-config)
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:04:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:04:01 2021
Received: from localhost ([127.0.0.1]:47695 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxFo-0002lU-LL
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:04:00 -0400
Received: from michel.telenet-ops.be ([195.130.137.88]:50732)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxFY-0002fr-H5
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:45 -0400
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by michel.telenet-ops.be with bizsmtp
 id lu3d2500J0mfAB406u3kUP; Wed, 25 Aug 2021 20:03:44 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 15/52] gobject-introspection: Fix inputs when cross-compiling.
Date: Wed, 25 Aug 2021 20:02:55 +0200
Message-Id: <20210825180332.5720-15-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914624; bh=kS3t+jybC3TprxDYFZnwyHLFzPrYqoflKDh+p7gUA0s=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=Kdw+PGPKOxIbT1ln4WFSHuel89Niii4xqfdJJdAEMPdM55TKZxjr1tkKmbn5i4epy
 fZREq4GOjCHkI80BJwYlSKsRRmJt/1AetP5a8964FBBhAn3QmrjSA3qMqzeN9ikr7V
 8MMZ3WbVZcqkZFSVd6rJjfnz1SyaZj0rfxfU4aXahaN7VD+4hgi4RAzYuztCoPd7Qs
 aCRmvzIIQJo8UYjnCTsblaps8pgOPPCqTFv9a8x4IYvFLNkqrvZHgNvlG5b8uxzn78
 hZdGL/H6iAS0fEAaIsoS81fadV+L/UKF5ASc7Ey+Ac3RQ/GX1Y5Kir8osuF1jpjTTF
 XFkr8lGIbwDqw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/glib.scm
  (gobject-introspection)[native-inputs]: Add 'bison' and 'flex'
  when cross-compiling.
  (gobject-introspection)[inputs]: Use 'python' instead of 'python-wrapper'
  when cross-compiling.  Remove 'bison', 'flex' when cross-compiling.
---
 gnu/packages/glib.scm | 16 ++++++++++++----
 1 file changed, 12 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/glib.scm b/gnu/packages/glib.scm
index 060122f42b..ac38cd40d2 100644
--- a/gnu/packages/glib.scm
+++ b/gnu/packages/glib.scm
@@ -428,11 +428,19 @@ functions for strings and common data structures.")
              #t)))))
     (native-inputs
      `(("glib" ,glib "bin")
-       ("pkg-config" ,pkg-config)))
+       ("pkg-config" ,pkg-config)
+       ;; TODO(core-updates): Unconditionally place "flex" and "bison"
+       ;; in 'native-inputs'.
+       ,@(if (%current-target-system)
+             `(("bison" ,bison)
+               ("flex" ,flex))
+             '())))
     (inputs
-     `(("bison" ,bison)
-       ("flex" ,flex)
-       ("python" ,python-wrapper)
+     `(,@(if (%current-target-system)
+             `(("python" ,python))
+             `(("bison" ,bison)
+               ("flex" ,flex)
+               ("python" ,python-wrapper)))
        ("zlib" ,zlib)))
     (propagated-inputs
      `(("glib" ,glib)
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:04:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:04:00 2021
Received: from localhost ([127.0.0.1]:47693 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxFo-0002lM-BH
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:04:00 -0400
Received: from michel.telenet-ops.be ([195.130.137.88]:50746)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxFX-0002ft-PT
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:45 -0400
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by michel.telenet-ops.be with bizsmtp
 id lu3d2500J0mfAB406u3jUD; Wed, 25 Aug 2021 20:03:43 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 14/52] gnu: gobject-introspection: Don't build introspection
 data when cross-compiling.
Date: Wed, 25 Aug 2021 20:02:54 +0200
Message-Id: <20210825180332.5720-14-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914623; bh=Qr4WCtmdHd+go5M/vzaQHxm1iWDipay3cfIc2N7hvvs=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=BUrUW5S0z9BKdvR/dpVKo5NR2nf1oGOGn8jliLCRmX4OKbkUDmiZ1cNdxDQqqgWZ4
 hfPxqLz7H391g73OPrbYcyTfJY0APlNRVvOBcDARifD5ZS+fpWsFutFiJ47B+Em2zZ
 /VTyjXD6xdXKuMEglueTHPdIrK50b0g2NxR9JozAA+GzAaAniCsO6mfE6nXWBq7e2c
 R0I/XJYZ6PoQwqpfq0fcAeuH0B9Hc8Sv/vrON079KdaKFEXxA5lZ4HdQK03bcRq9On
 J/gWbSVjbxZ8WhzK2C7KHlnkaMeRbLt3Yg8+n+P7XYDOrcwiq476PvFz0MTdfRIu4S
 DNzCVVFQo2i+g==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/glib.scm
  (gobject-introspection)[arguments]<#:configure-flags>: Set
  gi_cross_use_prebuilt_gi to 'true'.
  (gobject-introspection)[arguments]<#:phases>{set-typelibs}: New phase,
  avoid undefined variable in "meson.build".
---
 gnu/packages/glib.scm | 22 +++++++++++++++++++++-
 1 file changed, 21 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/glib.scm b/gnu/packages/glib.scm
index fc1c5eb271..060122f42b 100644
--- a/gnu/packages/glib.scm
+++ b/gnu/packages/glib.scm
@@ -398,8 +398,28 @@ functions for strings and common data structures.")
                        "gobject-introspection-absolute-shlib-path.patch"))))
     (build-system meson-build-system)
     (arguments
-     `(#:phases
+     `(,@(if (%current-target-system)
+             `(#:configure-flags
+               '("-Dgi_cross_use_prebuilt_gi=true"
+                 ;; Building introspection data requires running binaries
+                 ;; for ‘host’ on ‘build’, so don't do that.
+                 ;;
+                 ;; TODO: it would be nice to have introspection data anyways.
+                 ;; Would copying the introspection data from a native
+                 ;; 'gobject-introspection' work, or is introspection data
+                 ;; architecture-dependent?
+                 "-Dbuild_introspection_data=false"))
+             '())
+       #:phases
        (modify-phases %standard-phases
+         ,@(if (%current-target-system)
+               ;; 'typelibs' is undefined.
+               `((add-after 'unpack 'set-typelibs
+                   (lambda _
+                     (substitute* "meson.build"
+                       (("\\bsources: typelibs\\b")
+                        "sources: []")))))
+               '())
          (add-after 'unpack 'do-not-use-/usr/bin/env
            (lambda _
              (substitute* "tools/g-ir-tool-template.in"
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:04:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:04:00 2021
Received: from localhost ([127.0.0.1]:47691 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxFn-0002lF-Q7
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:04:00 -0400
Received: from michel.telenet-ops.be ([195.130.137.88]:50752)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxFX-0002fv-4V
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:45 -0400
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by michel.telenet-ops.be with bizsmtp
 id lu3d2500J0mfAB406u3iTw; Wed, 25 Aug 2021 20:03:42 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 11/52] build-system/glib-or-gtk: Support cross-compilaton.
Date: Wed, 25 Aug 2021 20:02:51 +0200
Message-Id: <20210825180332.5720-11-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914622; bh=+t9HQzRRTiVRVkIgQOQ1sz7vCx1LXB/2p6pzE0Yz2gY=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=Walr6b7L5J2RZqIZUQI6B7DAFBsvslaP/s5y2yQs15ezy11Zu3gkDQQAneA/LnO3z
 SlATlBbhmSa4HyUDB+qE0zlPfxYmrIsRsTOyH+C6N56S0LdgnKT5rNJDlrCoHXiTZT
 j5Yf5BwyGj5RGTzekXSH85fMNYKw+IhvLvMy+pCXv6+93NSEDcGbxXkBJp15Fa8anc
 woGnpziOtYDydkgrZ8ZtObZ9SK0gL/qim6D1cCmay/0nH81aPjG2oNHHso+8BvwrxD
 JG828EZiX/vfJm06Ug2peZn9SE0b7/JKgKHl0gb4rSfeM7XGaClYMaRK0qTQuOIClt
 c/Hc//Butqhhw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* guix/build-system/glib-or-gtk.scm
  (lower): Add 'implicit-cross-inputs?' argument.  Generate a bag
  when cross-compiling.
  (glib-or-gtk-cross-build): New procedure.
---
 guix/build-system/glib-or-gtk.scm | 146 ++++++++++++++++++++++++++----
 1 file changed, 127 insertions(+), 19 deletions(-)

diff --git a/guix/build-system/glib-or-gtk.scm b/guix/build-system/glib-or-gtk.scm
index 2df49a2495..ec491ff0bd 100644
--- a/guix/build-system/glib-or-gtk.scm
+++ b/guix/build-system/glib-or-gtk.scm
@@ -2,6 +2,7 @@
 ;;; Copyright © 2013, 2014, 2015, 2019, 2020, 2021 Ludovic Courtès <ludo@HIDDEN>
 ;;; Copyright © 2013 Cyril Roelandt <tipecaml@HIDDEN>
 ;;; Copyright © 2014 Federico Beffa <beffa@HIDDEN>
+;;; Copyright © 2021 Maxime Devos <maximedevos@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -31,6 +32,7 @@
   #:use-module (ice-9 match)
   #:export (%glib-or-gtk-build-system-modules
             glib-or-gtk-build
+            glib-or-gtk-cross-build
             glib-or-gtk-build-system))
 
 ;; Commentary:
@@ -82,30 +84,42 @@
                 #:key source inputs native-inputs outputs system target
                 (glib (default-glib))
                 (implicit-inputs? #t)
+                (implicit-cross-inputs? #t)
                 (strip-binaries? #t)
                 #:allow-other-keys
                 #:rest arguments)
   "Return a bag for NAME."
   (define private-keywords
-    '(#:target #:glib #:inputs #:native-inputs
-      #:outputs #:implicit-inputs?))
-
-  (and (not target)                               ;XXX: no cross-compilation
-       (bag
-         (name name)
-         (system system)
-         (host-inputs (if source
-                          `(("source" ,source))
-                          '()))
-         (build-inputs `(,@native-inputs
-                         ,@inputs
-                         ("glib:bin" ,glib "bin") ; to compile schemas
-                         ,@(if implicit-inputs?
-                               (standard-packages)
-                               '())))
-         (outputs outputs)
-         (build glib-or-gtk-build)
-         (arguments (strip-keyword-arguments private-keywords arguments)))))
+    `(#:glib #:inputs #:native-inputs
+      #:outputs #:implicit-inputs? #:implicit-cross-inputs?
+      ,@(if target '() '(#:target))))
+
+  (bag
+    (name name)
+    (system system) (target target)
+    (host-inputs `(,@(if source
+                         `(("source" ,source))
+                         '())
+                   ,@(if target
+                         inputs
+                         '())))
+    (build-inputs `(,@native-inputs
+                    ,@(if target '() inputs)
+                    ("glib:bin" ,glib "bin") ; to compile schemas
+                    ;; Keep standard inputs of gnu-build-system.
+                    ,@(if (and target implicit-cross-inputs?)
+                          (standard-cross-packages target 'host)
+                          '())
+                    ,@(if implicit-inputs?
+                          (standard-packages)
+                          '())))
+    ;; Keep standard inputs of 'gnu-build-system'.
+    (target-inputs (if (and target implicit-cross-inputs?)
+                       (standard-cross-packages target 'target)
+                       '()))
+    (outputs outputs)
+    (build (if target glib-or-gtk-cross-build glib-or-gtk-build))
+    (arguments (strip-keyword-arguments private-keywords arguments))))
 
 (define* (glib-or-gtk-build name inputs
                             #:key guile source
@@ -176,6 +190,100 @@
                       #:disallowed-references disallowed-references
                       #:guile-for-build guile)))
 
+(define* (glib-or-gtk-cross-build name
+                                  #:key
+                                  target
+                                  build-inputs target-inputs host-inputs
+                                  guile source
+                                  (outputs '("out"))
+                                  (search-paths '())
+                                  (native-search-paths '())
+                                  (configure-flags ''())
+                                  ;; Disable icon theme cache generation.
+                                  (make-flags ''("gtk_update_icon_cache=true"))
+                                  (out-of-source? #f)
+                                  (tests? #f)
+                                  (test-target "check")
+                                  (parallel-build? #t)
+                                  (parallel-tests? #t)
+                                  (validate-runpath? #t)
+                                  (make-dynamic-linker-cache? #f)
+                                  (patch-shebangs? #t)
+                                  (strip-binaries? #t)
+                                  (strip-flags ''("--strip-debug"))
+                                  (strip-directories ''("lib" "lib64" "libexec"
+                                                        "bin" "sbin"))
+                                  (phases '(@ (guix build glib-or-gtk-build-system)
+                                              %standard-phases))
+                                  (glib-or-gtk-wrap-excluded-outputs ''())
+                                  (system (%current-system))
+                                  (build (nix-system->gnu-triplet system))
+                                  (imported-modules %glib-or-gtk-build-system-modules)
+                                  (modules %default-modules)
+                                  allowed-references
+                                  disallowed-references)
+  "Cross-build SOURCE with INPUTS.  See GNU-BUILD for more details."
+  (define builder
+    #~(begin
+        (use-modules #$@(sexp->gexp modules))
+
+        (define %build-host-inputs
+          #+(input-tuples->gexp build-inputs))
+
+        (define %build-target-inputs
+          (append #$(input-tuples->gexp host-inputs)
+                  #+(input-tuples->gexp target-inputs)))
+
+        (define %build-inputs
+          (append %build-host-inputs %build-target-inputs))
+
+        (define %outputs
+          #$(outputs->gexp outputs))
+
+        (glib-or-gtk-build #:source #+source
+                           #:system #$system
+                           #:build #$build
+                           #:target #$target
+                           #:outputs %outputs
+                           #:inputs %build-target-inputs
+                           #:native-inputs %build-host-inputs
+                           #:search-paths '#$(sexp->gexp
+                                              (map search-path-specification->sexp
+                                                   search-paths))
+                           #:native-search-paths '#$(sexp->gexp
+                                                     (map search-path-specification->sexp
+                                                          native-search-paths))
+                           #:phases #$(if (pair? phases)
+                                          (sexp->gexp phases)
+                                          phases)
+                           #:glib-or-gtk-wrap-excluded-outputs
+                           #$glib-or-gtk-wrap-excluded-outputs
+                           #:configure-flags #$configure-flags
+                           #:make-flags #$make-flags
+                           #:out-of-source? #$out-of-source?
+                           #:tests? #$tests?
+                           #:test-target #$test-target
+                           #:parallel-build? #$parallel-build?
+                           #:parallel-tests? #$parallel-tests?
+                           #:validate-runpath? #$validate-runpath?
+                           #:make-dynamic-linker-cache? #$make-dynamic-linker-cache?
+                           #:patch-shebangs? #$patch-shebangs?
+                           #:strip-binaries? #$strip-binaries?
+                           #:strip-flags #$(sexp->gexp strip-flags)
+                           #:strip-directories
+                           #$(sexp->gexp strip-directories))))
+
+
+  (mlet %store-monad ((guile (package->derivation (or guile (default-guile))
+                                                  system #:graft? #f)))
+    (gexp->derivation name builder
+                      #:system system
+                      #:target target
+                      #:modules imported-modules
+                      #:allowed-references allowed-references
+                      #:disallowed-references disallowed-references
+                      #:guile-for-build guile)))
+
 (define glib-or-gtk-build-system
   (build-system
     (name 'glib-or-gtk)
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:03:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:03:59 2021
Received: from localhost ([127.0.0.1]:47689 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxFn-0002l8-Hd
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:59 -0400
Received: from michel.telenet-ops.be ([195.130.137.88]:50758)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxFX-0002fx-Fc
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:44 -0400
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by michel.telenet-ops.be with bizsmtp
 id lu3d2500J0mfAB406u3jUA; Wed, 25 Aug 2021 20:03:43 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 13/52] gnu: polkit: Prevent cross-compilation build error.
Date: Wed, 25 Aug 2021 20:02:53 +0200
Message-Id: <20210825180332.5720-13-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914623; bh=1Z8nej+VfaMcWw4v1GhwZ3uX8KcZQWGrPiFqbxJBh5o=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=qZCVShDyFfO1oz1lGwv6d32yOGmSpOlRvq5XtgNEFVWt65LQSLuATkvdA+dA14Eo8
 8UUcqXleFbMkupDAxn0lCmVYtwevpNjlNp+U0sT5kVdyTxHR5w3GI1xVtRQG6ABiLH
 2FUOlEiFqtG/F/rgIaodGxh4o52WEW30S/a1syPuUwPduyFx2ZXprqpmIQ+8su0Zk0
 //eTG0x6yudkvBIQalFjOgwAQBxesFB/qMq5WaFZaKwBoE1at4gvX8O0hIquPoGop2
 Pi0dfhgexqWFOqeBzfCy6q0+4sGeN6BmtvZ5fSgSAnuiBw8Q3vNkrCwzPdeaK9RwOs
 mx6/72s/imeBA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Alternative ‘os types’ include RedHat and Gentoo, which
don't seem applicable.

* gnu/packages/polkit.scm (polkit)[arguments]<#:configure-flags>:
  Set "--with-os-type" to "unknown".
---
 gnu/packages/polkit.scm | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/polkit.scm b/gnu/packages/polkit.scm
index f495d51c83..585e0d8087 100644
--- a/gnu/packages/polkit.scm
+++ b/gnu/packages/polkit.scm
@@ -101,7 +101,12 @@
        ("gobject-introspection" ,gobject-introspection)))
     (arguments
      `(#:configure-flags '("--sysconfdir=/etc"
-                           "--enable-man-pages")
+                           "--enable-man-pages"
+                           ;; Prevent ‘configure: error: cannot check for
+                           ;; file existence when cross compiling’.
+                           ,@(if (%current-target-system)
+                                 '("--with-os-type=unknown")
+                                 '()))
        #:phases
        (modify-phases %standard-phases
          (add-after
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:03:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:03:59 2021
Received: from localhost ([127.0.0.1]:47687 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxFn-0002l0-94
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:59 -0400
Received: from michel.telenet-ops.be ([195.130.137.88]:50690)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxFX-0002fp-8F
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:44 -0400
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by michel.telenet-ops.be with bizsmtp
 id lu3d2500J0mfAB406u3iU7; Wed, 25 Aug 2021 20:03:42 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 12/52] gnu: dbus-cairo: Add missing bash-minimal input.
Date: Wed, 25 Aug 2021 20:02:52 +0200
Message-Id: <20210825180332.5720-12-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914623; bh=gBPT0tubBz5IJIRTeffHz8epfaWBlp2lIrMh6QLn+2g=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=Und/hHPVbFrMwdBc+ixivMM85OTQbF62MmE+20VnFrFEuRWel2SLrug2vXJ3l/jaV
 JofD1JrKA1DqjDmImmgPq/zR1ZTYj8V+tFwZ1kBmaFlyYmDsW/zKUQOok1sXnNLDTG
 hvRi8a215ojFQ2gAZXQRgCSsePRPIrDDoQ+8MrPanqGgBFEtLdAHq926kIbNWxNlUO
 p38b3MzwN2cuvTAi2wFWq8w8spJnZcRqtFtxwlt3Wv0nhh4AqSxYdqGen0v4yZiJ9L
 2INrhaken7Ex0ogXYkgHgTpzjtS2YDa62l774qBJ9Ypbj2fkzz2Bk6FBFM41G80NZ0
 M9eCpaJIhYNxg==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

If absent, this causes the 'glib-or-gtk-wrap' phase to fail.

* gnu/packages/glib.scm
  (cairo)[inputs]: Add "bash-minimal", but only when cross-compiling
  to avoid a world-rebuild.
---
 gnu/packages/gtk.scm | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/gtk.scm b/gnu/packages/gtk.scm
index 24c24d5653..3470691e51 100644
--- a/gnu/packages/gtk.scm
+++ b/gnu/packages/gtk.scm
@@ -61,6 +61,7 @@
   #:use-module (gnu packages algebra)
   #:use-module (gnu packages autotools)
   #:use-module (gnu packages base)
+  #:use-module (gnu packages bash)
   #:use-module (gnu packages boost)
   #:use-module (gnu packages build-tools)
   #:use-module (gnu packages texinfo)
@@ -174,7 +175,11 @@ tools have full access to view and control running applications.")
        ("pkg-config" ,pkg-config)
        ("python" ,python-wrapper)))
     (inputs
-     `(("drm" ,libdrm)
+     ;; TODO(core-updates): make this unconditional
+     `(,@(if (%current-target-system)
+             `(("bash-minimal" ,bash-minimal)) ; for glib-or-gtk-wrap
+             '())
+       ("drm" ,libdrm)
        ("ghostscript" ,ghostscript)
        ("libspectre" ,libspectre)
        ("poppler" ,poppler)))
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:03:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:03:59 2021
Received: from localhost ([127.0.0.1]:47685 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxFn-0002kt-0K
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:59 -0400
Received: from michel.telenet-ops.be ([195.130.137.88]:50818)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxFX-0002gL-4U
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:43 -0400
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by michel.telenet-ops.be with bizsmtp
 id lu3d2500J0mfAB406u3iTn; Wed, 25 Aug 2021 20:03:42 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 10/52] build-system/meson: Allow 'configure-flags' to be a
 G-exp.
Date: Wed, 25 Aug 2021 20:02:50 +0200
Message-Id: <20210825180332.5720-10-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914622; bh=P9X8uKM/apMrnq19smxjhhvb6ejxi/z8vnlKq4vHemo=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=PTEe1JRAsrsNLa+Boh/wwtoaI0gf/4LtiYfNoyPiKWx6l9gLTcv8vnZrOfJ8Usx/C
 isMV5fjYCQIaYHpf07RwwQI7j91HMr20sRWFMlcBpkW/HaevU4rNAlpV1jjQBL1MgU
 YltseybqqXW2RSFQQ5/7MyVjYiErPcGM2i9ymuIPwxmOIbI5LqEDPlRysZs52zul99
 T+JKmjPiqchIEMKGED2me5/IaAz0C1pFMuDOWE5um2mr2QNelxf2xRhIhYx+D9pl4H
 2thdPmeNp/bioRaJexoidntnnx638GpFtW/WMrGWIPaF3TCEOXg8ngU2WC1NmFqBHo
 /vespqCNkLWrg==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* guix/build-system/meson.scm
  (meson-build, meson-cross-build): Only call 'sexp->gexp' on
  'configure-flags' when 'configure-flags' is a pair.
---
 guix/build-system/meson.scm | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

diff --git a/guix/build-system/meson.scm b/guix/build-system/meson.scm
index dae0abde94..dcad3f322d 100644
--- a/guix/build-system/meson.scm
+++ b/guix/build-system/meson.scm
@@ -212,7 +212,10 @@ has a 'meson.build' file."
                                                 (map search-path-specification->sexp
                                                      search-paths))
                              #:phases build-phases
-                             #:configure-flags #$(sexp->gexp configure-flags)
+                             #:configure-flags
+                             #$(if (pair? configure-flags)
+                                   (sexp->gexp configure-flags)
+                                   configure-flags)
                              #:build-type #$build-type
                              #:tests? #$tests?
                              #:test-target #$test-target
@@ -309,7 +312,9 @@ SOURCE has a 'meson.build' file."
                        #:phases build-phases
                        #:make-dynamic-linker-cache? #$make-dynamic-linker-cache?
                        #:configure-flags `("--cross-file" #+cross-file
-                                           ,@#$(sexp->gexp configure-flags))
+                                           ,@#$(if (pair? configure-flags)
+                                                   (sexp->gexp configure-flags)
+                                                   configure-flags))
                        #:build-type #$build-type
                        #:tests? #$tests?
                        #:test-target #$test-target
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:03:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:03:59 2021
Received: from localhost ([127.0.0.1]:47683 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxFm-0002km-JQ
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:58 -0400
Received: from michel.telenet-ops.be ([195.130.137.88]:50794)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxFW-0002g9-Ir
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:43 -0400
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by michel.telenet-ops.be with bizsmtp
 id lu3d2500J0mfAB406u3hTT; Wed, 25 Aug 2021 20:03:41 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 08/52] gnu: mozjs-60: Fix cross-compilation build errors.
Date: Wed, 25 Aug 2021 20:02:48 +0200
Message-Id: <20210825180332.5720-8-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914622; bh=VAH7Fanzy1zZE0RSyLhTLquklReZfcFeTDVOEDmWdzU=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=XM03ph550qzAMSVA0qoCmiWn8ZRopF2INti9hI2fj+pIOkQZ7BqQE3d+K9f/9M/HP
 cCKQOcGE9Fihje64gS4RI+C6cOJV2abm5zHuVgGw9kvv/pizMhkxE/u43sDCcCTsd6
 XVwlRdEMCUwHm9uh3rN82Mg+EEa1yoNNxj2Es6Rs3XziYgaWaO5l6/FC5LIdUjTRTQ
 jlPZ8o9Jjqddj+iwREpIUFETih9LQB0shrMmeNdaFziL/hpND0Sj1PpofHHoC6CMdw
 wOFUpTIEyF4vmRpPNEU6ii2Pue0hw4F5SB1YR7ArV2PLyk45apnB6OXai3rpf8lRz2
 wUlQ/8BE2QG7w==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Presumably the other versions of mozjs need some changes
as well, but for now only fix mozjs@60, which is a dependency
of polkit.

* gnu/packages/gnuzilla.scm
  (mozjs-60)[arguments]<#:configure-flags>: Set --with-nspr-prefix
  and set --host and --target inappropriately when cross-compiling.
  (mozjs-60)[arguments]<#:phases>{set-PKG_CONFIG}: New phase
  when cross-compiling.
---
 gnu/packages/gnuzilla.scm | 51 ++++++++++++++++++++++++++++-----------
 1 file changed, 37 insertions(+), 14 deletions(-)

diff --git a/gnu/packages/gnuzilla.scm b/gnu/packages/gnuzilla.scm
index a4d193ce11..df1926dc51 100644
--- a/gnu/packages/gnuzilla.scm
+++ b/gnu/packages/gnuzilla.scm
@@ -15,6 +15,7 @@
 ;;; Copyright © 2019, 2020 Adrian Malacoda <malacoda@HIDDEN>
 ;;; Copyright © 2020 Jonathan Brielmaier <jonathan.brielmaier@HIDDEN>
 ;;; Copyright © 2020 Marius Bakke <marius@HIDDEN>
+;;; Copyright © 2021 Maxime Devos <maximedevos@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -367,22 +368,44 @@ in C/C++.")
      `(#:tests? #f ; FIXME: all tests pass, but then the check phase fails anyway.
        #:test-target "check-jstests"
        #:configure-flags
-       '("--enable-ctypes"
-         "--enable-optimize"
-         "--enable-pie"
-         "--enable-readline"
-         "--enable-shared-js"
-         "--enable-system-ffi"
-         "--with-system-nspr"
-         "--with-system-zlib"
-         "--with-system-icu"
-         "--with-intl-api"
-         ;; This is important because without it gjs will segfault during the
-         ;; configure phase.  With jemalloc only the standalone mozjs console
-         ;; will work.
-         "--disable-jemalloc")
+       ;; TODO(core-updates): unconditionally use 'quasiquote
+       ,#~(#$(if (%current-target-system)
+                 #~quasiquote
+                 #~quote)
+           ("--enable-ctypes"
+            "--enable-optimize"
+            "--enable-pie"
+            "--enable-readline"
+            "--enable-shared-js"
+            "--enable-system-ffi"
+            "--with-system-nspr"
+            #$@(if (%current-target-system)
+                   #~(,(string-append "--with-nspr-prefix="
+                                      #$(this-package-input "nspr")))
+                   #~())
+            "--with-system-zlib"
+            "--with-system-icu"
+            "--with-intl-api"
+            ;; This is important because without it gjs will segfault during the
+            ;; configure phase.  With jemalloc only the standalone mozjs console
+            ;; will work.
+            "--disable-jemalloc"
+            ;; Mozilla deviates from Autotools conventions due to historical
+            ;; reasons.
+            #$@(if (%current-target-system)
+                   #~(#$(string-append
+                         "--host="
+                         (nix-system->gnu-triplet (%current-system)))
+                      #$(string-append "--target=" (%current-target-system)))
+                   #~())))
        #:phases
        (modify-phases %standard-phases
+         ;; Make sure pkg-config will be found.
+         ,@(if (%current-target-system)
+               `((add-before 'configure 'set-PKG-CONFIG
+                   (lambda _
+                     (setenv "PKG_CONFIG" ,(pkg-config-for-target)))))
+               '())
          (replace 'configure
            (lambda* (#:key inputs outputs configure-flags #:allow-other-keys)
              ;; The configure script does not accept environment variables as
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:03:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:03:58 2021
Received: from localhost ([127.0.0.1]:47681 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxFm-0002kf-9X
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:58 -0400
Received: from michel.telenet-ops.be ([195.130.137.88]:50732)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxFW-0002fr-GS
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:43 -0400
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by michel.telenet-ops.be with bizsmtp
 id lu3d2500J0mfAB406u3iTZ; Wed, 25 Aug 2021 20:03:42 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 09/52] gnu: poppler: Find pkg-config when cross-compiling.
Date: Wed, 25 Aug 2021 20:02:49 +0200
Message-Id: <20210825180332.5720-9-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914622; bh=LeJBy+ilYlmlNcsj0ZMMdULIwkVqn0ehPUzcDABJqZM=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=dTkLG2J+23newVs8UaeUQYQf1O3T/KyLI4LocMX8oroKg2JGv5UE3stcdVC35cQa0
 7hQL2SlQLCFhTNQS6yDDyeF36Wfl+ECibtsglW/hFkpB19njcQkuE80tfgswty69En
 8WdEkcCMVvU+adV+5eEr9aG0sHCLBpcDvlu/0LkmJpOg0pB1gtE92SKs9upK7cxyUF
 VH5EQkdxOPuvWY09v6wzN71Y2TpInAs9dqtzu8kBynxPxkQP+Q03nRLRSzQUabfSQd
 7LSDh3fEeWMtWFGzqt5cL76pbJHinpZQglGIhnkeCQIXopjb0PhoppM7NGClM/XQZR
 Ju7YWNST9aypA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/pdf.scm
  (poppler)[arguments]<#:phases>{set-PKG_CONFIG}: New phase.
---
 gnu/packages/pdf.scm | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/pdf.scm b/gnu/packages/pdf.scm
index 8e2cebe490..1a3cb63352 100644
--- a/gnu/packages/pdf.scm
+++ b/gnu/packages/pdf.scm
@@ -21,6 +21,7 @@
 ;;; Copyright © 2020 Michael Rohleder <mike@HIDDEN>
 ;;; Copyright © 2020 Timotej Lazar <timotej.lazar@HIDDEN>
 ;;; Copyright © 2020 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
+;;; Copyright © 2021 Maxime Devos <maximedevos@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -264,7 +265,14 @@ please install the @code{flyer-composer-gui} package.")))
               "-DENABLE_ZLIB=ON"
               "-DENABLE_BOOST=OFF"      ;disable Boost to save size
               (string-append "-DCMAKE_INSTALL_LIBDIR=" lib)
-              (string-append "-DCMAKE_INSTALL_RPATH=" lib)))))
+              (string-append "-DCMAKE_INSTALL_RPATH=" lib)))
+      ,@(if (%current-target-system)
+            `(#:phases
+              (modify-phases %standard-phases
+                (add-after 'unpack 'set-PKG_CONFIG
+                  (lambda _
+                    (setenv "PKG_CONFIG" ,(pkg-config-for-target))))))
+            '())))
    (synopsis "PDF rendering library")
    (description
     "Poppler is a PDF rendering library based on the xpdf-3.0 code base.")
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:03:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:03:58 2021
Received: from localhost ([127.0.0.1]:47679 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxFl-0002kW-Tv
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:58 -0400
Received: from michel.telenet-ops.be ([195.130.137.88]:50746)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxFV-0002ft-Vf
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:43 -0400
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by michel.telenet-ops.be with bizsmtp
 id lu3d2500J0mfAB406u3hTR; Wed, 25 Aug 2021 20:03:41 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 07/52] gnu: nspr: Don't retain references to native inputs.
Date: Wed, 25 Aug 2021 20:02:47 +0200
Message-Id: <20210825180332.5720-7-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914621; bh=h/3wGHB3nkZskJTnbC35gsMRJjoH29DxJGYjvvIUL7w=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=HZ/R/0RhOZDPBHJQk8sn4xohkqCx4qRsf7ns7JXRz/zgnQF4Lb5iWx0O+TTIFulhD
 90Nyki+JBcVvTKT0g70l9iTK3qlHCOJMZu5fcTVBAtuqZY29M5FUvla+CuGFAASMGa
 AbzF63/nmzzlszv/vMD1quabhVg0EZI8klkmvr7/p5691pNcvvovXi69VDmrK/KEw+
 WB+iN1krnnBRjRARSv3KYZJNiKsgP1Lqa4xssbjqLykKDS+HCwNwWjHfqw2KnqYLZe
 puVy3OhxGJwkD6qHBnEylra1jBQB/NwMC+GSA6Zmxd4RaI5u6GE/xLXTTlnNZE2N4S
 HjgwOPBGs97XQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/nss.scm
  (nspr)[inputs]: Add 'perl' and 'bash-minimal' when cross-compiling.
  (nspr)[arguments]{#:disallowed-references}: Add native 'perl' when
  cross-compiling.
---
 gnu/packages/nss.scm | 18 +++++++++++++++++-
 1 file changed, 17 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/nss.scm b/gnu/packages/nss.scm
index 6560aede56..381756e387 100644
--- a/gnu/packages/nss.scm
+++ b/gnu/packages/nss.scm
@@ -26,10 +26,12 @@
 (define-module (gnu packages nss)
   #:use-module (guix packages)
   #:use-module (guix utils)
+  #:use-module (guix gexp)
   #:use-module (guix download)
   #:use-module (guix build-system gnu)
   #:use-module ((guix licenses) #:prefix license:)
   #:use-module (gnu packages)
+  #:use-module (gnu packages bash)
   #:use-module (gnu packages check)
   #:use-module (gnu packages compression)
   #:use-module (gnu packages perl)
@@ -48,10 +50,24 @@
               (base32
                "1j5b2m8cjlhnnv8sq34587avaagkqvh521w4f95miwgvsn3xlaap"))))
     (build-system gnu-build-system)
+    (inputs
+     ;; TODO(core-updates): Make these inputs unconditional.
+     ;; For 'compile-et.pl' and 'nspr-config'.
+     (if (%current-target-system)
+         `(("perl" ,perl) ; for 'compile-et.pl'
+           ("bash-minimal" ,bash-minimal)) ; for 'nspr-config'
+         '()))
     (native-inputs
      `(("perl" ,perl)))
     (arguments
-     `(#:tests? #f ; no check target
+     `(;; Prevent the 'native' perl from sneaking into the closure.
+       ;; XXX it would be nice to do the same for 'bash-minimal',
+       ;; but using 'canonical-package' causes loops.
+       ,@(if (%current-target-system)
+             `(#:disallowed-references
+               (,(gexp-input (this-package-native-input "perl") #:native? #t)))
+             '())
+       #:tests? #f ; no check target
        #:configure-flags
        (list "--disable-static"
              "--enable-64bit"
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:03:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:03:57 2021
Received: from localhost ([127.0.0.1]:47677 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxFl-0002kP-Gd
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:57 -0400
Received: from michel.telenet-ops.be ([195.130.137.88]:50758)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxFV-0002fx-Nm
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:43 -0400
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by michel.telenet-ops.be with bizsmtp
 id lu3d2500J0mfAB406u3hTD; Wed, 25 Aug 2021 20:03:41 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 05/52] gnu: perl: Find 'bash' when cross-compiling.
Date: Wed, 25 Aug 2021 20:02:45 +0200
Message-Id: <20210825180332.5720-5-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914621; bh=Eav3gzMnHi0An8gBIihU4DSjcrMcDTRwRnsorm4NHbg=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=UwMxTI7Sk+JKM2x6v89Thzc7ybhN99Kkir5C5DQ5s0wI35YTYBG74YgVerywnNf6/
 3IZa/ZXGNzvkpV+97so/JaHDwwRbVksj3ujC4WxwiouztIK1SfvcIHHt5L7Dztmln4
 jmFLQAzQoqu0Kubhqa3nCD2Wp8FVnYc1Gz5L/b4CyKi1taJIiRxphtguGSWVktLtYC
 buR8giFohVCdNsySW3GlK+sjIvbo5omTKP9CzygA0AF+8oJEn6asbANL+W71pcr4eO
 X3HhRZZgGG4fR3HWC06QI5N2HpxhakJP5rUf4+RCVc1SC1Nxc6UcWZ+fM0mDGo0MDd
 5X6QPjZUlEQXw==
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/perl.scm
 (perl)[arguments]<#:phases>{unpack-cross}:
 Search for "bash" with 'search-input-file' instead of 'assoc-ref'.
 (perl)[arguments]<#:phases>{configure}:
 Search for "bash-minimal" [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [195.130.137.88 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [195.130.137.88 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (maximedevos[at]telenet.be)
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/perl.scm
  (perl)[arguments]<#:phases>{unpack-cross}: Search for "bash" with
  'search-input-file' instead of 'assoc-ref'.
  (perl)[arguments]<#:phases>{configure}: Search for "bash-minimal"
  instead of "bash".
---
 gnu/packages/perl.scm | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/perl.scm b/gnu/packages/perl.scm
index 99a152e0ab..c548fe3350 100644
--- a/gnu/packages/perl.scm
+++ b/gnu/packages/perl.scm
@@ -31,6 +31,7 @@
 ;;; Copyright © 2021 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
 ;;; Copyright © 2021 Xinglu Chen <public@HIDDEN>
 ;;; Copyright © 2021 Raghav Gururajan <rg@HIDDEN>
+;;; Copyright © 2021 Maxime Devos <maximedevos@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -142,15 +143,15 @@
                        (rename-file "Artistic" "Artistic.perl")
                        (rename-file "Copying" "Copying.perl")
                        (copy-recursively cross-checkout "."))
-                     (let ((bash (assoc-ref inputs "bash")))
+                     (let ((bash (search-input-file inputs "bin/bash")))
                        (substitute* '("Makefile.config.SH"
                                       "cnf/config.guess"
                                       "cnf/config.sub"
                                       "cnf/configure"
                                       "cnf/configure_misc.sh"
                                       "miniperl_top")
-                         (("! */bin/sh") (string-append "! " bash "/bin/bash"))
-                         ((" /bin/sh") (string-append bash "/bin/bash")))
+                         (("! */bin/sh") (string-append "! " bash))
+                         ((" /bin/sh") bash))
                        (substitute* '("ext/Errno/Errno_pm.PL")
                          (("\\$cpp < errno.c") "$Config{cc} -E errno.c")))))
                  (replace 'configure
@@ -168,7 +169,7 @@
                                        (lambda (x) (or (string-prefix? "-d" x)
                                                        (string-prefix? "-Dcc=" x))))
                                       configure-flags)))
-                            (bash (assoc-ref inputs "bash")))
+                            (bash (assoc-ref inputs "bash-minimal")))
                        (format (current-error-port)
                                "running ./configure ~a\n"
                                (string-join configure-flags))
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:03:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:03:57 2021
Received: from localhost ([127.0.0.1]:47675 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxFl-0002kI-5u
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:57 -0400
Received: from michel.telenet-ops.be ([195.130.137.88]:50690)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxFV-0002fp-MW
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:42 -0400
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by michel.telenet-ops.be with bizsmtp
 id lu3d2500J0mfAB406u3hTH; Wed, 25 Aug 2021 20:03:41 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 06/52] gnu: nspr: Adjust to Mozilla cross-compilation
 conventions.
Date: Wed, 25 Aug 2021 20:02:46 +0200
Message-Id: <20210825180332.5720-6-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914621; bh=91nw3xm/j8z3TOe7GW5zhxpr5YBMKVGVy8EzGUESIlk=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=DkjLcbFIr6bTTSIaYEiX2Q8mxfCwRAx8hUtqzoj/GPT1dCyzDw6NWwsJulp5WKZxr
 2WNf5tOKlxvwPw7zivuQ/GlwnzN1fdNAF7UBgbqZNxFgZGGIFkU2Lk7xaZPda5x95j
 SaRvYd6RPBelaqx7PadV3jKcxMFSv8Q2C7sXfS9Btl6ELEJ3o+3qS8Yp3Qa8G/cRfo
 P7lPDJqWH0O3qArNkbZuPtTqZwQd1uM2uE0Y2JKsVjsQrRozHZld0ZlFeq4YQ+WdWn
 qto00BkF/JNC4iG0biXjfEOudVlpBmT6urR6k9x9wpRBLzhw2q+Nny9Xkk4OOVP8TW
 yoqytrsHoLOMg==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/nss.scm
  (nspr)[arguments]<#:configure-flags>: Set --host and --target
  inappropriately when cross-compiling.
---
 gnu/packages/nss.scm | 20 +++++++++++++++-----
 1 file changed, 15 insertions(+), 5 deletions(-)

diff --git a/gnu/packages/nss.scm b/gnu/packages/nss.scm
index 55eddc0c91..6560aede56 100644
--- a/gnu/packages/nss.scm
+++ b/gnu/packages/nss.scm
@@ -6,6 +6,7 @@
 ;;; Copyright © 2020, 2021 Marius Bakke <marius@HIDDEN>
 ;;; Copyright © 2020 Jonathan Brielmaier <jonathan.brielmaier@HIDDEN>
 ;;; Copyright © 2021 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
+;;; Copyright © 2021 Maxime Devos <maximedevos@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -51,11 +52,20 @@
      `(("perl" ,perl)))
     (arguments
      `(#:tests? #f ; no check target
-       #:configure-flags (list "--disable-static"
-                               "--enable-64bit"
-                               (string-append "LDFLAGS=-Wl,-rpath="
-                                              (assoc-ref %outputs "out")
-                                              "/lib"))
+       #:configure-flags
+       (list "--disable-static"
+             "--enable-64bit"
+             (string-append "LDFLAGS=-Wl,-rpath="
+                            (assoc-ref %outputs "out") "/lib")
+             ;; Mozilla deviates from Autotools conventions
+             ;; due to historical reasons.  Adjust to Mozilla conventions,
+             ;; otherwise the Makefile will try to use TARGET-gcc
+             ;; as a ‘native’ compiler.
+             ,@(if (%current-target-system)
+                   `(,(string-append "--host="
+                                     (nix-system->gnu-triplet (%current-system)))
+                     ,(string-append "--target=" (%current-target-system)))
+                   '()))
        ;; Use fixed timestamps for reproducibility.
        #:make-flags '("SH_DATE='1970-01-01 00:00:01'"
                       ;; This is epoch 1 in microseconds.
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:03:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:03:57 2021
Received: from localhost ([127.0.0.1]:47673 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxFk-0002kF-Ta
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:57 -0400
Received: from michel.telenet-ops.be ([195.130.137.88]:50752)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxFV-0002fv-Dv
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:42 -0400
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by michel.telenet-ops.be with bizsmtp
 id lu3d2500J0mfAB406u3gTB; Wed, 25 Aug 2021 20:03:40 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 04/52] gnu: libcap: Fix cross-compilation build failures.
Date: Wed, 25 Aug 2021 20:02:44 +0200
Message-Id: <20210825180332.5720-4-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914620; bh=c1TzpS26rcjtYV4WUcZF+5NQ43HWXEftUJjg7hkf3NQ=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=Xatr6GqfJteIlvfmZYd7fqyAnKaMf2qEDUzA6BIv38wsKD+E+Sawfgj7RHInN6LZ5
 M60/0jLk5bIG8q1yY4I2nT3kPshkZlYfRVWJCANFAWP61/KD18lJetfLrxicKtg31m
 n7SpaBcOHH+xeiQ/rZCIG2InOtXFrgdk/SHNrmjFiOjz2c0FE4O0OwXimobyF+P3tq
 FfuotwO+x4AYUzctFwpXMc60qJFyg89wjweaPyKYgPEqGNbjsfHRG+Ei4/XhOnVl10
 9MFTTeQS4KKsKRU2kxQo5uX9IPBtPeVXuik5/Q5uH3VrIRrZGlBNseRPD7bVCWrBKN
 KTnZaIVAO9gIw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/linux.scm
  (libcap)[arguments]<#:phases>{configure}: Don't use non-existent
  '%output' when cross-compiling.
  (libcap)[arguments]<#:make-flags>: Set "CROSS_COMPILE" and "BUILD_CC"
  when cross-compiling.
---
 gnu/packages/linux.scm | 38 +++++++++++++++++++++++++-------------
 1 file changed, 25 insertions(+), 13 deletions(-)

diff --git a/gnu/packages/linux.scm b/gnu/packages/linux.scm
index 1f52bccee8..0dd8cf4ed4 100644
--- a/gnu/packages/linux.scm
+++ b/gnu/packages/linux.scm
@@ -2812,20 +2812,32 @@ configuration (iptunnel, ipmaddr).")
               (base32
                "1ych13qc1mvzv8iscbims5b317vxcmy5ffpmfy98zk7bgamz62b6"))))
     (build-system gnu-build-system)
-    (arguments '(#:phases
-                 (modify-phases %standard-phases
-                   (replace 'configure
-                            ;; Add $libdir to the RUNPATH of executables.
-                            (lambda _
-                              (substitute* "Make.Rules"
-                                (("LDFLAGS \\?= #-g")
-                                 (string-append "LDFLAGS ?= -Wl,-rpath="
-                                                %output "/lib"))))))
+    (arguments `(#:phases
+                 ,#~(modify-phases %standard-phases
+                      (replace 'configure
+                        ;; Add $libdir to the RUNPATH of executables.
+                        (lambda _
+                          (substitute* "Make.Rules"
+                            (("LDFLAGS \\?= #-g")
+                             (string-append "LDFLAGS ?= -Wl,-rpath="
+                                            ;; TODO(core-updates): Use #$output
+                                            ;; unconditionally.
+                                            #$(if (%current-target-system)
+                                                  #~#$output
+                                                  '%output)
+                                            "/lib"))))))
                  #:test-target "test"
-                 #:make-flags (list "lib=lib"
-                                    (string-append "prefix="
-                                                   (assoc-ref %outputs "out"))
-                                    "RAISE_SETFCAP=no")))
+                 #:make-flags
+                 (list "lib=lib"
+                       (string-append "prefix=" (assoc-ref %outputs "out"))
+                       "RAISE_SETFCAP=no"
+                       ;; Tell the makefile to use TARGET-gcc and friends
+                       ;; when cross-compiling.
+                       ,@(if (%current-target-system)
+                             `(,(string-append "CROSS_COMPILE="
+                                               (%current-target-system) "-")
+                               "BUILD_CC=gcc")
+                             '()))))
     (native-inputs `(("perl" ,perl)))
     (supported-systems (delete "i586-gnu" %supported-systems))
     (home-page "https://sites.google.com/site/fullycapable/")
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:03:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:03:49 2021
Received: from localhost ([127.0.0.1]:47621 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxFY-0002hD-TS
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:48 -0400
Received: from michel.telenet-ops.be ([195.130.137.88]:50732)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxFU-0002fr-Al
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:42 -0400
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by michel.telenet-ops.be with bizsmtp
 id lu3d2500J0mfAB406u3fSc; Wed, 25 Aug 2021 20:03:39 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 02/52] gnu: elogind: Make #:configure-flags a G-exp.
Date: Wed, 25 Aug 2021 20:02:42 +0200
Message-Id: <20210825180332.5720-2-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914619; bh=o2P+6KSxN+ky4D9UZ8elUcdBStwnOvfrIurcVtK/UfE=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=IwxozxuD468exsAR9qfG8BC/llkg9hw59NqfDnasKPpsUawnb9Eb26xJO43PzUsW8
 c3BOqH9mH86D06lr1K3sQKOUGn5yYYUrbyQB0RTk8zlHPp0maurhcGkQyf80+CzjI4
 NUD8l/i7Yjbckh1jDqBCt2cMT5p7S/pfwUOuIcxBhWjotdy34BfsmNtrR4CfadASd7
 TpuuKN7Zn8dWrFhEAx68k0ZK2ODj20gZPRExdf02aMkHR71eiI6C2FGv48Aw8ZIj2r
 1l3vruMSAO9B39yekzvOine2leQsIUP4aQt5VTjXRcT6S6RvaR9nxKJeYgiPtMqYIw
 Tu+ojo/GiKFiA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/freedesktop.scm
  (elogind)[arguments]{configure-flags}: Let this be a G-exp.
---
 gnu/packages/freedesktop.scm | 56 +++++++++++++++++++-----------------
 1 file changed, 29 insertions(+), 27 deletions(-)

diff --git a/gnu/packages/freedesktop.scm b/gnu/packages/freedesktop.scm
index a7766edf04..e0f5623805 100644
--- a/gnu/packages/freedesktop.scm
+++ b/gnu/packages/freedesktop.scm
@@ -24,6 +24,7 @@
 ;;; Copyright © 2020 Raghav Gururajan <raghavgururajan@HIDDEN>
 ;;; Copyright © 2021 Brendan Tildesley <mail@HIDDEN>
 ;;; Copyright © 2021 pineapples <guixuser6392@HIDDEN>
+;;; Copyright © 2021 Maxime Devos <maximedevos@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -45,6 +46,7 @@
   #:use-module (guix utils)
   #:use-module (guix packages)
   #:use-module (guix download)
+  #:use-module (guix gexp)
   #:use-module (guix git-download)
   #:use-module (guix build-system cmake)
   #:use-module (guix build-system gnu)
@@ -578,33 +580,33 @@ the freedesktop.org XDG Base Directory specification.")
     (build-system meson-build-system)
     (arguments
      `(#:configure-flags
-       (let* ((out (assoc-ref %outputs "out"))
-              (sysconf (string-append out "/etc"))
-              (libexec (string-append out "/libexec/elogind"))
-              (dbuspolicy (string-append out "/etc/dbus-1/system.d"))
-              (shadow (assoc-ref %build-inputs "shadow"))
-              (shepherd (assoc-ref %build-inputs "shepherd"))
-              (halt-path (string-append shepherd "/sbin/halt"))
-              (kexec-path "")           ;not available in Guix yet
-              (nologin-path (string-append shadow "/sbin/nologin"))
-              (poweroff-path (string-append shepherd "/sbin/shutdown"))
-              (reboot-path (string-append shepherd "/sbin/reboot")))
-         (list
-          (string-append "-Drootprefix=" out)
-          (string-append "-Dsysconfdir=" sysconf)
-          (string-append "-Drootlibexecdir=" libexec)
-          (string-append "-Ddbuspolicydir=" dbuspolicy)
-          (string-append "-Dc_link_args=-Wl,-rpath=" libexec)
-          (string-append "-Dcpp_link_args=-Wl,-rpath=" libexec)
-          (string-append "-Dhalt-path=" halt-path)
-          (string-append "-Dkexec-path=" kexec-path)
-          (string-append "-Dpoweroff-path=" poweroff-path)
-          (string-append "-Dreboot-path=" reboot-path)
-          (string-append "-Dnologin-path=" nologin-path)
-          "-Dcgroup-controller=elogind"
-          "-Dman=true"
-          ;; Disable some tests.
-          "-Dslow-tests=false"))
+       ,#~(let* ((out (assoc-ref %outputs "out"))
+                 (sysconf (string-append out "/etc"))
+                 (libexec (string-append out "/libexec/elogind"))
+                 (dbuspolicy (string-append out "/etc/dbus-1/system.d"))
+                 (shadow (assoc-ref %build-inputs "shadow"))
+                 (shepherd (assoc-ref %build-inputs "shepherd"))
+                 (halt-path (string-append shepherd "/sbin/halt"))
+                 (kexec-path "")           ;not available in Guix yet
+                 (nologin-path (string-append shadow "/sbin/nologin"))
+                 (poweroff-path (string-append shepherd "/sbin/shutdown"))
+                 (reboot-path (string-append shepherd "/sbin/reboot")))
+            (list
+             (string-append "-Drootprefix=" out)
+             (string-append "-Dsysconfdir=" sysconf)
+             (string-append "-Drootlibexecdir=" libexec)
+             (string-append "-Ddbuspolicydir=" dbuspolicy)
+             (string-append "-Dc_link_args=-Wl,-rpath=" libexec)
+             (string-append "-Dcpp_link_args=-Wl,-rpath=" libexec)
+             (string-append "-Dhalt-path=" halt-path)
+             (string-append "-Dkexec-path=" kexec-path)
+             (string-append "-Dpoweroff-path=" poweroff-path)
+             (string-append "-Dreboot-path=" reboot-path)
+             (string-append "-Dnologin-path=" nologin-path)
+             "-Dcgroup-controller=elogind"
+             "-Dman=true"
+             ;; Disable some tests.
+             "-Dslow-tests=false"))
        #:phases
        (modify-phases %standard-phases
          (add-after 'unpack 'fix-pkttyagent-path
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:03:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:03:45 2021
Received: from localhost ([127.0.0.1]:47611 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxFX-0002gf-Ly
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:44 -0400
Received: from michel.telenet-ops.be ([195.130.137.88]:50746)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxFV-0002ft-0Y
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:41 -0400
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by michel.telenet-ops.be with bizsmtp
 id lu3d2500J0mfAB406u3gT0; Wed, 25 Aug 2021 20:03:40 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 03/52] gnu: elogind: Fix cross-compilation.
Date: Wed, 25 Aug 2021 20:02:43 +0200
Message-Id: <20210825180332.5720-3-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210825180332.5720-1-maximedevos@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
 <20210825180332.5720-1-maximedevos@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914620; bh=8mKjxkd3JNJoIdwZnTrV1aelukG3WYjEvqoBuHQblIE=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=r4Z+L59Oa4eS/bHnXa+aG5R30kur9JWH8jHQ5MOjlXRCXLBqoXmxACNB8S0kF2RGO
 uMH3TZqtueAJQsjVx8NjCou96DS95Wijl8g/fzaXAgdK9juc1++/9DprPYrQ2o1MWu
 muLquJjmozKZmMxR5drjLeA2Sk0BIvN08KlGr7FwcAqU68F15Slxt2GK7CcpHqX5n+
 pzk8vpstNQ4Ju+hs8DzFEYlRfAIbiHCA3IUBe49dQSUw7SgnFhepyQwOINTIoOW/Ts
 uCWJK70tjrdPDfxfRLHlcFRVFhvDy1p7VYoT9EBo0sLzxy4cct3Tu955CVVvp1eY/q
 HEgxn1UwpXU5w==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

%build-inputs and friends don't exist when cross-compiling,
so use some G-expology instead.

* gnu/packages/freedesktop.scm (elogind)[arguments]<#:configure-flags>:
  Don't use '%outputs' or '%build-inputs' when cross-compiling.
---
 gnu/packages/freedesktop.scm | 14 +++++++++++---
 1 file changed, 11 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/freedesktop.scm b/gnu/packages/freedesktop.scm
index e0f5623805..0f6bb72a1f 100644
--- a/gnu/packages/freedesktop.scm
+++ b/gnu/packages/freedesktop.scm
@@ -580,12 +580,20 @@ the freedesktop.org XDG Base Directory specification.")
     (build-system meson-build-system)
     (arguments
      `(#:configure-flags
-       ,#~(let* ((out (assoc-ref %outputs "out"))
+       ;; TODO(core-updates): Use #$output unconditionally.
+       ,#~(let* ((out #$(if (%current-target-system)
+                            #~#$output
+                            #~(assoc-ref %outputs "out")))
                  (sysconf (string-append out "/etc"))
                  (libexec (string-append out "/libexec/elogind"))
                  (dbuspolicy (string-append out "/etc/dbus-1/system.d"))
-                 (shadow (assoc-ref %build-inputs "shadow"))
-                 (shepherd (assoc-ref %build-inputs "shepherd"))
+                 ;; TODO(core-updates): use this-package-input unconditionally.
+                 (shadow #$(if (%current-target-system)
+                               (this-package-input "shadow")
+                               #~(assoc-ref %build-inputs "shadow")))
+                 (shepherd #$(if (%current-target-system)
+                                 (this-package-input "shepherd")
+                                 #~(assoc-ref %build-inputs "shepherd")))
                  (halt-path (string-append shepherd "/sbin/halt"))
                  (kexec-path "")           ;not available in Guix yet
                  (nologin-path (string-append shadow "/sbin/nologin"))
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at 50201 <at> debbugs.gnu.org:


Received: (at 50201) by debbugs.gnu.org; 25 Aug 2021 18:03:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 14:03:43 2021
Received: from localhost ([127.0.0.1]:47601 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxFW-0002gR-SS
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:43 -0400
Received: from michel.telenet-ops.be ([195.130.137.88]:50690)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIxFT-0002fp-Ri
 for 50201 <at> debbugs.gnu.org; Wed, 25 Aug 2021 14:03:41 -0400
Received: from localhost.localdomain
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by michel.telenet-ops.be with bizsmtp
 id lu3d2500J0mfAB406u3eRx; Wed, 25 Aug 2021 20:03:38 +0200
From: Maxime Devos <maximedevos@HIDDEN>
To: 50201 <at> debbugs.gnu.org
Subject: [PATCH 01/52] gnu: dbus-glib: Support cross-compilation.
Date: Wed, 25 Aug 2021 20:02:41 +0200
Message-Id: <20210825180332.5720-1-maximedevos@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
References: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914618; bh=hfFjrXCnpHe9Xb4MkhSNDh8CLBi9AmzJiR8R751SgSU=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=kpuonUGR2mJ6x2mN6WsrKGDiMrHn2Oaqqk78UTKItYFemYgiytNKVsVznMM+zC0bG
 MSH3/f814MLfIWH5CLIpKjEGV6OTpy6NIDXl5tgzhnvarLTyn/aEWAMRUsOLzZ5hif
 vW99a3qR+k+iW6lPybt7UXVSrh8jy+FeLq6B8QRWmokrSWizyhz1ZaQSWRANKlNvMe
 9wLJkSlSmaz2g1e1OjCtAEziI5/OEUd9xnzJq/lWDfyxRr/DmiPLssLNYKsf9n9f3G
 SI+GuzpAP7GzDldfajSusS85guJkP/78W8GUpW150Fb94agKjzod+HDgWI+T9Blvbi
 qxwZ9xrR4ULPg==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50201
Cc: Maxime Devos <maximedevos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This allows cross-compilation to succeed when not using
QEMU's transparent emulation, and the cross-compilation
is not a pointless cross-compilation like x86_64 -> i686.

* gnu/packages/glib.scm (dbus-glib)[arguments]: Set --with-dbus-binding-tool
  to a native version of "dbus-binding-tool" when cross-compiling.
---
 gnu/packages/glib.scm | 10 ++++++++++
 1 file changed, 10 insertions(+)

diff --git a/gnu/packages/glib.scm b/gnu/packages/glib.scm
index f0328498e4..fc1c5eb271 100644
--- a/gnu/packages/glib.scm
+++ b/gnu/packages/glib.scm
@@ -550,6 +550,16 @@ translated.")
               (base32
                "09g8swvc95bk1z6j8sw463p2v0dqmgm2zjfndf7i8sbcyq67dr3w"))))
     (build-system gnu-build-system)
+    (arguments
+     (if (%current-target-system)
+         `(#:configure-flags
+           ;; Run a native 'dbus-binding-tool' instead of a cross-compiled
+           ;; 'dbus-binding-tool' when cross-compiling.
+           ,#~(list
+               (string-append
+                "--with-dbus-binding-tool="
+                #+(file-append this-package "/bin/dbus-binding-tool"))))
+         '()))
     (propagated-inputs ; according to dbus-glib-1.pc
      `(("dbus" ,dbus)
        ("glib" ,glib)))
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Aug 2021 17:58:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 13:58:02 2021
Received: from localhost ([127.0.0.1]:47575 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIxA2-0002VR-0T
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 13:58:02 -0400
Received: from lists.gnu.org ([209.51.188.17]:57518)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mIx9z-0002V1-Si
 for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 13:58:01 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:57116)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <maximedevos@HIDDEN>)
 id 1mIx9z-0006gM-KH
 for guix-patches@HIDDEN; Wed, 25 Aug 2021 13:57:59 -0400
Received: from michel.telenet-ops.be ([2a02:1800:110:4::f00:18]:41322)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <maximedevos@HIDDEN>)
 id 1mIx9x-0005aq-9a
 for guix-patches@HIDDEN; Wed, 25 Aug 2021 13:57:59 -0400
Received: from ptr-bvsjgyjmffd7q9timvx.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by michel.telenet-ops.be with bizsmtp
 id ltwX250030mfAB406txrPk; Wed, 25 Aug 2021 19:57:51 +0200
Message-ID: <ae9b811656ee605563cceaf617d079fff0433542.camel@HIDDEN>
Subject: [PATCH core-updates-frozen 0/52] Support cross-compilation in
 glib-or-gtk-build-system and fix cross-compilation errors
From: Maxime Devos <maximedevos@HIDDEN>
To: guix-patches@HIDDEN
Date: Wed, 25 Aug 2021 19:55:33 +0200
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-wctXyTA1uQujQTFyVcxq"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629914271; bh=v3mlNPoc1mfdt4153puUKy2NAUEsL180SDajj2r2T64=;
 h=Subject:From:To:Date;
 b=oMGvMDPeVFLiQQL5caFRB09BJo7+dcf52KVHlth8OHmELNrRZN9lefu01jn+UnMeq
 zcuav1YJWmvr1LR+Es7NUzXI/AirSoUvSxDNnbXDKMGVK4o10TBIvp7iXspE8Br5zO
 2kHMW3DHhsxVKql2zSFfoACbOFR1jZwqHynDGm+LlQCChLlQ8GeUsWImW72ybdkT52
 2EOJOwYJQk6gGXwSk1u6YU5jjcHNKtY9YYZH4/2YbbzCoS5q0tksUkq02627u4rrbZ
 4rp5NjJ8Z0673Cf7As+tgx95Wz8ZsvhNEDeXY+qxE4KJajNplzCIUc9daNEORWkujP
 MRlJThI7Pciag==
Received-SPF: pass client-ip=2a02:1800:110:4::f00:18;
 envelope-from=maximedevos@HIDDEN; helo=michel.telenet-ops.be
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_LOW=-0.7, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


--=-wctXyTA1uQujQTFyVcxq
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Hi guix,

This patch series does two things:

  * let 'glib-or-gtk-build-system' support cross-compilation

  * fix many (but not all) cross-compilation errors that prevent
    "guix build gtk+ --target=3Daarch64-linux-gnu" from succeeding.

It should not cause any rebuilds.  You can test with
./pre-inst-env guix build gtk+ --target=3Daarch64-linux-gnu.
There is still some work to be done though:

cannot build derivation `[...]-cups-filters-1.28.9.drv': 1 dependencies cou=
ldn't be built
[...] `[...]-cups-2.3.3op2.drv': 1 dependencies couldn't be built
[...] `[...]-samba-4.13.10.drv': 6 dependencies couldn't be built
[...] `[...]-libsoup-2.72.0.drv': 4 dependencies couldn't be built
[...] `[...]-rest-0.8.1.drv': 1 dependencies couldn't be built

Greetings,
Maxime

--=-wctXyTA1uQujQTFyVcxq
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYSaEFhccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7rFOAQDYWv/4mpBJwHuie2G2EWTMNYtX
8Ip7dNPnoWDsqD0XYwD9E/IgfX6pInCcZolT9EteWUPr6rBrjuO5/hASMU6H9As=
=LKvr
-----END PGP SIGNATURE-----

--=-wctXyTA1uQujQTFyVcxq--





Acknowledgement sent to Maxime Devos <maximedevos@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#50201; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 20 Sep 2021 11:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.